2025-02-19 14:07:15 +0100 Tobias Oetiker <tobi@oetiker.ch>

 - Enhancements to SSH.pm probe for #431, allowing configurable start-up test host and doc improvements
 - fix error when toggling autorefresh @jlu5
 - Support parsing IPv6 output in OpenSSHJunOSPing Plugin @zimage
 - Enhancement to SSHProbe allows specification of IPv4 vs IPv6 transport, #385
 - InfluxDB 2.x v1 (compatibility) api doesn't set the "WWW-Authenticate" header (violating rfc7235).
   Work around this issue by manually setting the Authorization header @HandyMenny
 - use actual link for form submission @michaelharo
 - allow to enable/disable autorefresh from ui @Fantros
 - make image responsive @HinataKato
 - add fix for #209 - auto create 'dyndir' structure when saving slave updates @simfishing
 - add favicon (bas64) to basepage.html  @rezzorix
 - add "Home"-Link to basepage.html  @rezzorix
 - remove --insecure from curl (wget does not have it!) in configure.ac @Gunni
 - add fix for curl feature checking introduced in curl 7.74 and later @matellis
 - enhancement to extend color handling, making dark templates easier to do @matellis
 - enhancement to remove more borders with graphborders set to no @matellis
 - add "literalsearch" option to filter targets using literal strings instead
 of regex @jlu5
 - OpenSSH 9.8 compatibility for SSH Plugin @ermuller

2021-08-13 08:12:06 +0200 Tobias Oetiker <tobi@oetiker.ch>

 - release 2.8.2
 - fix spelling issues in FTPtransfer.pm
 - add missing README.md to the release archive

2021-08-11 17:12:22 +0200 Tobias Oetiker <tobi@oetiker.ch>

 - release 2.8.1
 - fix regression with 'use FindBin' missing from the installed scripts

2021-08-06 15:46:22 +0200 Tobias Oetiker <tobi@oetiker.ch>

 - release 2.8.0
 - support for influxdb @mad-ady
 - AnotherDNS update @parseword
 - new matcher ConsecutiveLoss @rborgmaster
 - lots of spelling fixes @jsoref
 - update FPing commandline @lelutin
 - better handling of return codes from probe binaries @lelutin
 - manual page for smokeinfo @lelutin
 - drop SSHv1 and rsa1 from SSH.pm @Strykar
 - disable page refresh while zooming @n0rc
 - overflow scrollbar @bevhost
 - update url in zoom mode @dekenberg
 - allow relative time entry for cropper @dekenberg
 - fix config reload for slaves @stromnet
 - improved template layout @bevhost
 - fix edgetrigger functionality @oetiker
 - fping protocol parameter optional @AID
 - exploss matcher fixes @dfrli
 - interface parameter for fping probe @saaly182
 - pass 6th argument to edgetrigger external alerts @Ryan Rawdon
 - red background for 100% loss @dagelf
 - probe target in graph title @Daxtorim
 - make loss colors more distinctive @Daxtorim
 - calculate loss buckets based on number of 'pings' @Daxtorim

commit 0992229546c3732d12ac5af348672c58b6ad8e74
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 20 11:23:55 2018 +0100

    release 2.7.3

commit 3eb7434cecc23df3cb7dd23d1fc97a41d206102d
Author: Pete Heist <pete@heistp.net>
Date:   Wed Dec 19 10:56:55 2018 +0100

    Add optional require_zero_status parameter (closes oetiker/SmokePing#142).

commit 2ab17461671cba0c740326882f970d5da299d0e7
Author: Pete Heist <pete@heistp.net>
Date:   Wed Dec 19 10:07:13 2018 +0100

    Update email address.

commit cb9b9b146d7d7c7d79829913c2300fa2ab1c055f
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 30 22:47:05 2018 +0100

    fix cpanmin.us url

commit 7d2260ec2a2d4eec2544555a54049bb9a10b2b58
Author: Alexander Koch <alex@meersau.de>
Date:   Tue Oct 9 12:54:27 2018 +0200

    Do not show whole page if in ajax display mode
    
    After sending the PNG file in get_detail the returned
    undef was not honored. Now checks for undef and will
    return also.

commit a2948059960f06fdc8b0060bbeb7b39708574eac
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 2 11:49:30 2018 +0200

    fix cpanmin.us url ... resolves #127

commit b5741263093e13d7970c64e7dbc96e1926eea105
Author: Pete Heist <pete@heistp.net>
Date:   Wed Sep 5 20:01:17 2018 +0200

    Remove unnecessary use Switch.

commit 681457d0872057f79e2b2f97fa6ff8b6b415b48c
Author: Gabriel Filion <lelutin@users.noreply.github.com>
Date:   Wed Aug 29 04:09:04 2018 -0400

    FPing: create new parameter to force using IPv4 or IPv6 fixes#95 (#125)
    
    * FPing: create new parameter to force using IPv4 or IPv6 fixes#95
    
    Starting with FPing 3.16, the IPv6 functionality was merged in the main
    binary and fping now respects the system-wide setting for address
    resolution. This means that when we add a target that has both an A
    record and a AAAA record, the probe tests the IPv6 address by default.
    
    This breaks the expectation that the FPing probe tests IPv4 and that the
    FPing6 probe checks IPv6.
    
    To restore this, we can now add a parameter to the probes to force the
    protocol version to be 4 or 6.
    
    * FPing: set default value for protocol
    
    This ensures we have a meaningful default value. It was suggested by
    Tobias Oetiker.

commit c1bcf1f9077b1ef1c3baedefb355c9fdb7db2f2b
Author: diorgesl <diorgesl@gmail.com>
Date:   Thu Jul 19 02:29:02 2018 -0400

    Added rport option (#121)
    
    Added the option to specify the port of the remote host

commit 8a528b13d85414eb9162bc045c0e222049a721bd
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 13 14:07:47 2018 +0200

    release 2.7.2

commit 7cc29e42ebe5a11c2d58f39b93a6365a2c5bb1b4
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 13 14:06:52 2018 +0200

    fix syntax

commit 435d3d575603d1e8c156776b41f4bdc0b63f515e
Author: Pete Heist <pete@eventide.io>
Date:   Mon Mar 5 08:12:11 2018 +0100

    Improve handling of one-way delay and documentation (#111)
    
    * Initial revision of IRTT probe.
    
    * Return 0 values for negative one-way delays. Improve documentation
    and fix some white space issues.
    
    * Add Path::Tiny to PERL_MODULES and update IRTT probe doc.
    ew.

commit b926090aabcb6d0fd9e57e91d81949ec8b2a1192
Merge: 7820885 2552386
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 25 22:07:42 2018 +0100

    Merge branch 'master' of github.com:oetiker/SmokePing

commit 78208854ec68363ee43bacfce804c9991b9216ca
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 25 22:07:34 2018 +0100

    let sidebar scroll ...

commit 2552386ec4ef0097622d45ca435d337d4ebd6a03
Author: Pete Heist <pete@eventide.io>
Date:   Sun Feb 18 10:39:52 2018 +0100

    Initial revision of IRTT probe. (#110)

commit b29242fdd1bf931511be52507ce1c09966802dff
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 4 14:35:27 2018 +0100

    update release script

commit 6afb2f2ac97a718821c0d2368094d68370e79658
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 4 14:26:55 2018 +0100

    fix referer

commit bd38d05b856d2310032ac56c06454b91a345dc02
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 4 14:26:39 2018 +0100

    going https!

commit 9b2ecb96c69b0b0ec294fb858c878327b96ed293
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 2 22:14:55 2018 +0100

    release 2.7.0

commit bf2e13afb06387d54faba62a2a2cbf38abafa3d1
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 2 22:08:49 2018 +0100

    add note on pressing return

commit 8c7fb0aaebf6ad425fef0052419ec41c5b0269e9
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 30 21:43:12 2018 +0100

    update release script

commit 31969f3156479061ce7d1487c72a4dcbb5e800ab
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 30 21:40:29 2018 +0100

    update install instructions

commit dcc17c1ce60504d8052ea639354b5660f598768a
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 30 21:10:00 2018 +0100

    rebuilt build system

commit 62a588d379f1ca7177faf448a377a27acfa2dace
Author: Louis Sautier <sautier.louis@gmail.com>
Date:   Fri Jan 19 10:45:53 2018 +0100

    Fix typo in doc (#106)

commit fc24b7ca86bd7e0d9c07b66805c115b49cc82fa1
Author: Rick van der Zwet <info@rickvanderzwet.nl>
Date:   Fri Jan 19 10:45:26 2018 +0100

    Fix ipv6 in multigraph (#108)
    
    * Fix rendering multigraph with host ipv6 address
    
    A host IPv6 adress in [RFC5952] representation contains colons which
    should be escaped in legends since colons are part of rddtool syntax.
    
    [RFC5952]: https://tools.ietf.org/html/rfc5952
    
    * Fix rendering minigrah with host ipv6 address

commit 44682b6d3aec8d2063adae4dca1ce251c44e2fed
Author: Rick van der Zwet <info@rickvanderzwet.nl>
Date:   Wed Dec 6 11:17:42 2017 +0100

    Fix typo in WHAT description text (#102)

commit 2e4f6fb7cbf6458a8634092ed00c1b892ca77e6b
Author: diegospd <diegospd@users.noreply.github.com>
Date:   Wed Dec 6 02:17:12 2017 -0600

    Fix typo: prolem -> problem (#98)

commit 72ed1570fbb4ae0b90846625e1a3bd5d2bade531
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 25 20:19:47 2017 +0200

    fing compatibility update. fix for #90

commit 30d3032b5a8fc529c09bcdc31d9a4baf2bfecd66
Author: Nick <nick@xfce.org>
Date:   Thu Jun 22 08:35:33 2017 +0200

    Improve mobile support (#89)
    
    * Move javascript under the fold.
    
    Render speed optimization.
    
    * Move css to separate file.
    
    Becomes a bit too much in the basepage and since js is
    included as well, this should be just fine.
    
    * Make the site work a lot better on mobile devices
    
    Set viewport, auto hide sidemenu and some margin changes
    to make it a bit nicer..
    
    * Remove the no-cache pragma's.
    
    Not valid html anymore, instead this should be in the header
    so in the smokeping config for nginx/apache.
    
    * Add css for printing pages.
    
    * Fix typo in css.
    
    * Use utf-8 charset by default.
    
    Recommended by w3.org.
    
    * Remove border=0 and add alt=""
    
    An attempt to make everything html complaint...
    
    * Use cgiurl in hswitch form.
    
    Action was empty, which is not valid, use the absolute path
    to the site here.
    
    * Uptimize the cropper.js file.
    
    * Add panel for navigator graph.

commit 38bd70634c960c76203c30e58e55825fe080d809
Author: Nick <nick@xfce.org>
Date:   Wed Jun 21 11:54:09 2017 +0200

    Nick (#88)
    
    * Add panel block around zoom image.
    
    * Update basebase to hide menu and make it more spaceious
    
    Add navbar and move stuff around a bit to give it some
    more free space for the menu and contents.
    
    Use the prototype framework to toggle the sidebar.
    
    * Move javascript files around
    
    Mv files so we actully know which file belongs
    to what library.
    
    * Update js prototype to 1.7.3.
    
    * Update js script.aculo.us to 1.9.0.
    
    * Update js cropper to 1.2.2.
    
    * Add option graphborders
    
    If option is set to 'no' borders will be hidden and
    background and canvas will be transparent.
    
    Use central function for this, so all generated
    pngs look identical.
    
    * Add new options to config.dist.
    
    * Fix compiler warnings.
    
    Apparently Switch adviced not to be used...

commit 0088c1b4fef363b09ff992223a4c50f32e4067ea
Author: Martin DiViaio <martindiv@yahoo.com>
Date:   Fri Jun 16 03:40:33 2017 -0400

    Fix unitialized value warnings when rrd returns undef. Add slave support (#42)
    
    Got rid of the warning that happens when RRD returns 'undef' in the math on line 125.
    
    Added support for slave rrd files using a cli option. If option exists all slaves are used. If a csv list of slaves is submitted with the option then only those slaves are used. Exact name match is required.
    
    Added regex substitution for a '~' in the rrd name to make it readable as 'host from server' in morning email.
    
    Added support for 'nomasterpoll' but only if processing for slaves. Having 'nomasterpoll' set for a host and no slaves configured for it is technically a configuration error, isn't it? If so, then this will show up as a 'down host' in the morning email this way.

commit afb95d5dd350c7dddbcf2fce5a31f970ebe26304
Author: Nick <nick@xfce.org>
Date:   Fri Jun 16 09:38:12 2017 +0200

    Improve smokeping dashboard (#87)
    
    * Generate unordered list for menu html
    
    List are much easier to style with css
    
    * Add div blocks around images in html layout
    
    <div class="panel">
      <div class="panel-heading">
        <h2>Title</h2>
      </div>
      <div class="panel-body">
        IMG or content
      </div>
    </div>
    
    * Add config option htmltitle to render in div headings
    
    If the option is set to yes; the title is not rendered in
    the rrd image, but added to the html panel as a h2 heading.
    
    * Update filter html
    
    Use a label instead of a div and use classes since this is a
    bit more obvious for styling.
    
    * Use label for hierarchy popup
    
    And add classes for consistency.
    
    * Properly close the div tag
    
    Fix for previous commit
    
    * Add alt to rddtool and smokeping logos
    
    2 errors less in html validator...
    
    * Initial commit of new basepage
    
    * Smaller smokeping and rrdtool logos.
    
    Update the rrdlogo to the one currently used on
    the website (with background that matches the
    sidebar) and make both 100x30px.
    
    * Complete sidebar css.

commit 48eb6391d95f0ddc53d632729f998dcec6edd472
Author: Ivan Zahariev <famzah@users.noreply.github.com>
Date:   Mon May 22 17:41:37 2017 +0300

    Display the master host "display_name" in the chart title (#85)
    
    When having multiple slaves, and in general, it is more clear if all chart titles contain an explicit "from XYZ" label where XYZ is either the master host name or the slave's name. This gives us an immediate insight for source of the ping check. Otherwise we need to remember that if "from" is missing, then this comes from the master host. This brings inconsistency in the user experience.
    
    You can also consider the case when the CGI is behind a web reverse proxy. The user opens "https://web-proxy-server/smokeping.cgi?target=dc1.myhost" but the chart titles don't show a "from". In such a case, the user must know which is the actual master host which did the ping check. This could become even harder to remember if we have multiple instances of SmokePing.

commit 5ce690e3aaece79a57404f73a47caa62c4f9cbb4
Author: Daniel Néri <dne+github@mayonnaise.net>
Date:   Mon May 1 17:36:58 2017 +0200

    Download cpanminus securely (#83)

commit fff19a73e0058e56b07834b37bf56b5b787681f0
Author: Simon Arlott <lp0@users.noreply.github.com>
Date:   Tue Apr 18 15:53:43 2017 +0100

    Call RRDs::fetch() with a zero length time period (#81)
    
    The default fetch time period (1 day) can be very slow when the RRD
    file is not in the filesystem cache.
    
    The info2create function doesn't even use the data, it's just trying
    to get the DS definition.
    
    Specify a start and time of 0 so that no data is retrieved.

commit 4ea88bc384f6852fba891b62973286df67189dec
Author: 有张纸 <fanyeren@gmail.com>
Date:   Mon Apr 3 22:11:08 2017 +0800

    Update Smokeping.pm (#76)
    
    * Update Smokeping.pm
    
    add support for smtp authentication
    
    * Update Smokeping.pm
    
    add doc for username and userpass

commit 21f4715f6f06c5165bf3e46b5731f34edab67db6
Author: runout-at <markus@runout.at>
Date:   Mon Apr 3 15:20:52 2017 +0200

    add xmpp/jabber alerts (#78)
    
    * add xmpp alerts
    
    lets have alerts sent to xmpp/jabber servers/accounts/chatrooms
    needs sendxmpp installed. (it's similar to sendmail)
    
    Example for the Alerts config:
    to = xmpp:-t -u <sending_user> -j <jabberserver_of_sender> -p <passwort> <receiving_user>@<jabberserver_of_receiver>
    
    * bugfix
    
    * more lines where xmpp: is needed
    
    fix using xmpp: in alertee,...

commit f993798d1597a0302c13ed972c7a7855068e85d9
Merge: ed7f7ec 7fa1612
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 8 06:06:52 2017 +0100

    Merge pull request #75 from bobbwest/master
    
    Fix white-on-white CSS bug with filter

commit 7fa161250dbb3cedb2a65c139ce50355705f3865
Author: Bob West <bob.b.west@gmail.com>
Date:   Wed Mar 8 11:51:44 2017 +1100

    Fix white-on-white CSS bug with filter

commit ed7f7ec1c512a1876b2474dc2485b4ba98b098d5
Merge: 88c7360 77253c3
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 5 02:52:21 2017 -0500

    Merge pull request #70 from rborgmaster/patch-1
    
    Update CheckLoss.pm

commit 88c736037559772e1623a46d6946f94d50678542
Merge: 3479284 716ffcf
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 5 02:51:58 2017 -0500

    Merge pull request #71 from rborgmaster/patch-2
    
    Update CheckLatency.pm

commit 716ffcf3abfc90350203f525ebc090dba2687fd0
Author: rborgmaster <rickard@borgmaster.se>
Date:   Wed Jan 4 20:49:38 2017 +0100

    Update CheckLatency.pm
    
    Address issue #69

commit 77253c3c3cf158cabb1a0503dec1186c6fd49ff1
Author: rborgmaster <rickard@borgmaster.se>
Date:   Wed Jan 4 20:42:17 2017 +0100

    Update CheckLoss.pm
    
    Adress issuse #69

commit 3479284f786fb7683ef6dab442447903f42a10a0
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 31 21:45:27 2016 +0200

    properly check alertee

commit 2b1dbf9c3d1347e21933d6bdc62de8f954a50b21
Merge: 5ac48fa 8334e15
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Jul 23 09:02:27 2016 +0200

    Merge branch 'master' of github.com:oetiker/SmokePing

commit 5ac48fab69cfb674b0e43153e70444f1caff1a50
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Jul 23 09:02:18 2016 +0200

    fix for #65

commit 8334e159d8bec5ca66317b7f29323ab5b8220d7d
Merge: 7ca84ed e260302
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu May 12 10:59:12 2016 +0200

    Merge pull request #59 from fgtb/master
    
    re: issue #58

commit e260302502f7ac8be18a7007b4b33ca9e1bdb371
Merge: 7ca84ed 52976ea
Author: fgtb <github.20.fgt@recursor.net>
Date:   Mon May 9 17:31:50 2016 +0100

    Merge pull request #1 from fgtb/fgtb-patch-1
    
    Update OpenSSHJunOSPing.pm

commit 52976eaedbaa64a22685d28668b260507c2e52ff
Author: fgtb <github.20.fgt@recursor.net>
Date:   Mon May 9 17:29:40 2016 +0100

    Update OpenSSHJunOSPing.pm

commit 7ca84ed877bc761759473a80e471b87948bfb3da
Merge: f3d2aee 7870ad8
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 28 11:34:13 2016 +0200

    Merge pull request #54 from dne/auth-dns
    
    Add support for probing authoritative nameservers to AnotherDNS

commit f3d2aee6f8dfdcf152756cc555a9b47106ba853d
Merge: 962f3f4 e4c34a2
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 13 17:20:03 2016 +0200

    Merge pull request #57 from mpawlik/master
    
    Add support for ldaps in LDAP probe.

commit e4c34a2b4949bf80167e8f26283e61540c63d479
Author: Maciej Pawlik <m.pawlik@cyfronet.pl>
Date:   Wed Apr 13 17:07:23 2016 +0200

    Add support to ldaps in LDAP probe.

commit 962f3f458a11bc4bdd5a2ceebd3be7f4a1e7d204
Merge: de9fb3b cf8d202
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 2 09:09:22 2016 +0200

    Merge pull request #56 from NickHibma/master
    
    More details on mailtemplate

commit cf8d202ef5315bc6920f4be8ba0df9e6208274c2
Author: Nick Hibma <nick@van-laarhoven.org>
Date:   Fri Apr 1 22:40:25 2016 +0200

    More details on mailtemplate

commit 7870ad812ac0f0b1650a683e1dc0dfa5332eec17
Author: Daniel Néri <dne@mayonnaise.net>
Date:   Sat Feb 20 18:12:10 2016 +0100

    AnotherDNS: Add 'authoritative' option
    
    When enabled, send non-recursive queries (RD=0) and require
    authoritative answers (AA=1).

commit f24b83651d2eebc258036668ea0b9c39e7813fa9
Author: Daniel Néri <dne@mayonnaise.net>
Date:   Sat Feb 20 02:29:01 2016 +0100

    AnotherDNS: Avoid reusing query IDs for each run and match responses with queries

commit de9fb3bc9fcdf7f690524ef3aec494a5edc0eda9
Merge: 4a10386 f9ba643
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 8 10:56:42 2016 +0100

    Merge pull request #52 from mdiehm/patch-1
    
    Add even a little more valuable data to the syslog

commit f9ba6432cf0d73832e77931d47cf231fa5083f3f
Author: mdiehm <md@mailq.de>
Date:   Fri Jan 29 10:38:00 2016 +0100

    Add even a little more valuable data to the syslog
    
    Maybe some of this data is also wanted in the mail - esp. ratio number and prevmatch?

commit 4a103866e3e7df3d09185df397d13d4f9cde44af
Merge: 6e8fcc8 361c017
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 28 09:53:05 2016 +0100

    Merge pull request #51 from mdiehm/patch-1
    
    Little more verbose syslog-message in Smokeping.pm

commit 361c0179c60de6c05c5ba5231a7d5b82cdda3f38
Author: mdiehm <md@mailq.de>
Date:   Wed Jan 27 18:18:25 2016 +0100

    Update Smokeping.pm

commit 6e8fcc8bb9dcb944e2efc832c27ecc6909d81b31
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 25 14:03:10 2016 +0100

    added timeout to sipsak

commit 2ed0b369276f188544edbadd81e505520522c816
Merge: 8c67c29 3a8546b
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 22 13:20:34 2015 +0100

    Merge pull request #49 from mmazur/high_precision_sleep_timer
    
    Add high precision timer for sleeps between steps

commit 3a8546ba52448c54ca522027a599fb05039c19af
Author: Mariusz Mazur <mmazur@pld-linux.org>
Date:   Tue Dec 22 12:08:52 2015 +0100

    Add high precision timer for sleeps between steps
    
    This code does two things:
    1. Calculates sleep time till next step start as a float instead of an
    integer, so next probe starts much more precisely when it should instead
    of up to 0.9999 seconds later.
    2. Adds a fail safe in which if the current step is overdue by less than
    300ms, it is not skipped. In other words:
     - let's have step 60s
     - probe took 60.1s
     - old code would sleep for 60s (and skip a step)
     - new code notices it's only 100ms overdue, so it runs the probe anyway.
    
    This patch allows me to run fping every minute (step 60) with each run
    taking almost a minute (120 pings total, one every 500ms) for constant
    link monitoring.

commit 8c67c298cf2c19be0c9b6cde58964d02c64da9a4
Merge: 6547500 707a9ca
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 27 08:37:18 2015 +0100

    Merge pull request #47 from eskyuu/master
    
     - Add the FPingContinuous probe

commit 707a9ca656bb75e15c84baf056d82b58fff43651
Author: Steven Wilton <swilton@fluentit.com.au>
Date:   Wed Nov 25 16:30:55 2015 +0800

     - Add the FPingContinuous probe

commit 65475007b7879132b3cbc6565d6c11cdc907ee33
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 24 16:32:10 2015 +0200

    add support for -T option  from gurhan.ozen@gmail.com

commit 4c6dec645583a8ddeea73335ed5abc0a0ed0813f
Merge: a8c3b00 cd0879a
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 3 09:28:40 2015 +0200

    Merge branch 'master' of github.com:oetiker/SmokePing

commit a8c3b00dff57a3b62a6b4dc92d6d2c9ca02617a7
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 3 09:28:23 2015 +0200

    fix echoping location

commit cd0879a24707cc4ec30182c71205359e86bc3374
Merge: 943f986 6041983
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 11 23:56:36 2015 +0200

    Merge pull request #39 from mad-ady/master
    
    Remove RRD max limit of 180 - so that the RRD can store values larger…

commit 60419834f224a0735094fd4ad0aac8eac3b15289
Author: Adrian Popa <adrian.popa.gh@gmail.com>
Date:   Thu Jun 11 10:35:20 2015 +0300

    Remove RRD max limit of 180 - so that the RRD can store values larger than 180 (e.g. for non-time data).

commit 943f98660f16be1a7370f44efa656895b6090b57
Merge: 0e2179c 6622ee2
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 30 06:00:55 2015 +0200

    Merge branch 'master' of github.com:oetiker/SmokePing

commit 0e2179cbb917c15539a90a8d88866f06a3d1e93e
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 30 05:59:56 2015 +0200

    the tcpping script does not support the -e switch ... fix for #37

commit 6622ee22785c1ccd1543392605f28ee2d36e2e02
Merge: ac57e1d 367e874
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 3 01:58:14 2015 +0200

    Merge pull request #35 from fenner/master
    
    Minor markup fixes.

commit 367e874034d424171ee1b6b11644fddbf52f0fa0
Merge: ad76d30 ac57e1d
Author: Bill Fenner <fenner@aristanetworks.com>
Date:   Thu Apr 2 09:08:50 2015 -0700

    Merge remote-tracking branch 'upstream/master'

commit ad76d3052ed1d830083b0f413568c27b190c5e0d
Author: Bill Fenner <fenner@aristanetworks.com>
Date:   Thu Apr 2 09:08:32 2015 -0700

    Minor markup fixes.

commit ac57e1d3ac69d20533d6cb6215247a89b6887967
Merge: 258a010 003ad71
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 4 10:55:16 2015 +0100

    Merge pull request #34 from slesru/patch-1
    
    Update TelnetIOSPing.pm

commit 003ad71f44772265732374a9c66974f75c6f13a0
Author: slesru <slesru@yahoo.com>
Date:   Wed Mar 4 13:32:48 2015 +0400

    Update TelnetIOSPing.pm
    
    added VRF support

commit 258a01011604dd3d65d6be4148cdbb745ccbbf0b
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 25 14:47:17 2015 +0100

    TOS can be 0-255 fix for #33

commit ca230332389b3402484791eae0d826cf6d4b223e
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 25 14:46:46 2015 +0100

    TOS can be 0-255 fix for #33

commit 08fa8bb3313ce9e085945e5c100c811154832a4f
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 16 17:45:17 2015 +0100

    allow more precise waittime fix for #31

commit 8c641451e5a79ce64391c2d5d531bbae1b1a2832
Merge: 34a95b6 a4ab7d7
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 16 17:42:52 2015 +0100

    Merge pull request #28 from SaaldjorMike/fix-typo
    
    Fixed typo in comment

commit 34a95b6c5d745ee53d4671911fbeba07d7696bc4
Merge: 6920029 2a3947f
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 16 17:42:37 2015 +0100

    Merge pull request #27 from cgull/traceroute_ping
    
    New TraceroutePing probe module

commit 692002997e1ba98601c977a4050f31440793c8d7
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 11 22:58:10 2015 +0100

    must be tos not packetsize

commit 9afefe173b0ab08240336258e12cc17f151bf0a9
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 7 08:01:55 2015 +0100

    add support for tos configuration

commit 2a3947f500dfd810182d4b0c4cff6b85d43f3265
Author: John Hood <cgull@glup.org>
Date:   Sat Dec 27 00:51:40 2014 -0500

    Fix bugs.  Make IPv6 work on FreeBSD and Linux.  Improve docs.

commit f3c7e385e61192851739e7f5c66110d77a1f7de8
Author: John Hood <cgull@glup.org>
Date:   Sun Nov 23 20:11:40 2014 -0500

    fix variable renaming

commit c990501fcd19ed1c2d8a752419ac856311a0e182
Author: John Hood <cgull@glup.org>
Date:   Sun Nov 23 19:38:12 2014 -0500

    New TraceroutePing probe module

commit a4ab7d7368e05b06302501dceece400f7a456493
Author: Mike Rostermund <mike@kollegienet.dk>
Date:   Mon Dec 8 20:15:20 2014 +0100

    Fixed typo in comment

commit 85050b8e0d0810dc934d44c13e68ce362f40da2a
Merge: d035e91 5aa35dd
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 8 17:10:35 2014 +0100

    Merge branch 'master' of github.com:oetiker/SmokePing

commit d035e91affa33615a074bbfce79e6de67dee7c07
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 8 17:10:06 2014 +0100

    added word of caution regarding the cgi file

commit 5aa35dd768af3a28c622dcd88d63baddf210f850
Merge: 9e8c570 a72d1b7
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 18 11:39:15 2014 -0800

    Merge pull request #24 from jbfavre/feat_add_custom_curl_probe
    
    Add a custom Curl probe.

commit 9e8c5705c5cf4cbdf179e8630019b15e4f3a5fd1
Merge: 14301f3 56f9e7d
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 18 11:38:13 2014 -0800

    Merge pull request #26 from skoef/master
    
    bugfixed AnotherDNS

commit 56f9e7d452a770405b13cee1c70b9309a46fcb5a
Author: Reinier Schoof <reinier@skoef.nl>
Date:   Tue Nov 18 20:29:59 2014 +0100

    cleaned handling defaults

commit f0866c5f6fe68fd5834b8c488d7d25ee5b4c5e51
Author: Reinier Schoof <reinier@skoef.nl>
Date:   Tue Nov 18 20:26:44 2014 +0100

    fixed protocol and ipversion support

commit 14301f3377d4bc1351d8090e4c5b340612cc9e7b
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 4 23:55:19 2014 +0100

    updated changes

commit 9395d663c2675a2073658e5e8114e7722dbc25aa
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 4 23:50:28 2014 +0100

    add missing PERL_MODULES file

commit bd46feebee11262d37cf5e4743a6ebd607786354
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 29 10:07:08 2014 +0100

    getting ready for 2.6.10

commit 52001917bd5f635e5118a0503e242ebbce76e5a4
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 29 09:35:03 2014 +0100

    ready for 2.6.10

commit b48e6b51a43e09170d164d67539788bd05663076
Merge: 57b3aa5 7467c47
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 29 09:03:10 2014 +0100

    suync up
    
    Merge branch 'master' of github.com:oetiker/SmokePing

commit 57b3aa5b4c863417b720413c76eb26c6b03fd2bc
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 29 09:02:40 2014 +0100

    actually override defaults

commit 60be7048597cbc3b4239ed18df24f56fa2648e82
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 29 09:02:35 2014 +0100

    have 443 as default port

commit a72d1b7585859ed9d9f84701e7589139edd27552
Author: Jean Baptiste Favre <jean-baptiste.favre@blablacar.com>
Date:   Tue Oct 14 11:34:20 2014 +0200

    Add a custom Curl probe.
    
    Update curl output to support all timers (see bellow).
    
    Add new configuration option 'write_out'.
    This option designate which timer information we want to get from curl output.
    
    'write_out' can take one of the following values:
    
    * time_namelookup
    * time_redirect
    * time_connect
    * time_appconnect
    * time_pretransfer
    * time_starttransfer
    * time_total
    
    Default behaviour is the same than current Curl probe: total - DNS

commit 7467c476624b666bfbe752801af5d86a22c7ae15
Merge: a3e3e36 0672331
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Aug 1 11:44:56 2014 +0200

    Merge pull request #22 from felderado/master
    
    Support Net::DNS 0.75+

commit 0672331840d935b3a03d75b6cb0af5f7ed818a32
Author: felderado <github@feld.me>
Date:   Mon Jul 14 09:58:10 2014 -0500

    Update AnotherDNS.pm
    
    &Net::DNS::PACKETSZ has been removed from Net::DNS and was not officially part of the API. Set packet size to 512, which was default value for &Net::DNS::PACKETSZ anyway.

commit a3e3e36f7c41171b1a437cb2d47fa05785e36c2c
Merge: f36b413 e4f9b60
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 17 00:17:31 2014 +0100

    Merge pull request #18 from jimpop-at-gmail-dot-com/master
    
    Added IPv6 (ipversion) and TCP (protocol) support

commit e4f9b6093694f76b55fa2cecc9499977b98e3db4
Author: jimpop-at-gmail-dot-com <jimpop@gmail.com>
Date:   Sat Feb 15 18:53:38 2014 -0500

    Added IPv6 (ipversion) and TCP (protocol) support

commit f36b413bb8c5f287c205b64b743973065157c5d2
Merge: 3e1e3cc 34af662
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 14 21:16:21 2013 -0800

    Merge pull request #15 from fenner/master
    
    DismanPing updates: don't return stale data, log more helpful errors, and rename weird variable

commit 3e1e3cc5ac714f6193336d35297dbb3fa54b5c89
Merge: b23d5ad d0f28aa
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 14 21:13:19 2013 -0800

    Merge pull request #17 from hufman/feature-qstat
    
    Adds a Qstat probe plugin

commit d0f28aaa3c1c691dde4d5656c7727d538bd64f50
Author: Walter Huf <hufman@gmail.com>
Date:   Thu Nov 14 19:30:16 2013 -0600

    Fixes up parameter passing to qstat

commit ccb33eab568a971e953e76db92b4bcb8983827b3
Author: Walter Huf <hufman@gmail.com>
Date:   Thu Nov 14 18:20:55 2013 -0600

    Cleans out remnants of Fping plugin

commit fa098cb2302da3ddcd528e43d7d985dc9d41e00b
Author: Walter Huf <hufman@gmail.com>
Date:   Thu Nov 14 17:02:02 2013 -0600

    Adds a Qstat probe plugin

commit b23d5ad4b24ee26393585fd069261f0fb2263b18
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 14 10:43:05 2013 +0100

    fix fping

commit 51aa7f39f221a55cd39d4664c3748a2d17f7ecc0
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 24 09:14:16 2013 +0200

    make sure locale settings are now screwing with the creation of the rfc2822 timestamp

commit f043ccf9587e429bfea382872e4260357ec388f8
Merge: 8cdd000 8024031
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 23 16:26:14 2013 +0200

    Merge branch 'master' of github.com:oetiker/SmokePing

commit 8cdd0005f737c9cff83c31a8d33b1342b47ba061
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 23 16:26:02 2013 +0200

    PERL5LIB is : separated while use lib expects an Array

commit 80240313453e1f302f1ad8bff64c7c5eb4a98966
Merge: b388be2 ebf63a9
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 4 11:46:30 2013 -0700

    Merge pull request #16 from Bluewind/working
    
    Misc fixes

commit ebf63a98adae5ea84d044b73a03612a9fd75af26
Author: Florian Pritz <bluewind@xinu.at>
Date:   Wed Sep 4 19:20:06 2013 +0200

    Fix wrong hardcoded path in fcgi example file
    
    Signed-off-by: Florian Pritz <bluewind@xinu.at>

commit fec626d9e26dbdce91db6eed42d898eb671a7906
Author: Florian Pritz <bluewind@xinu.at>
Date:   Wed Sep 4 19:19:28 2013 +0200

    Fix syntax error in POD
    
    Possible perl 5.18 related, I didn't look into that.
    
    Signed-off-by: Florian Pritz <bluewind@xinu.at>

commit 34af662d2dfe8be1cc433a2395186dc20c25d9cf
Author: Bill Fenner <fenner@aristanetworks.com>
Date:   Tue Apr 23 19:28:58 2013 -0700

    Better error logging, and support unpriv'd accounts

commit 3bdee9c96d27a65836b6ef3ba018d3d437699ad3
Author: Bill Fenner <fenner@aristanetworks.com>
Date:   Tue Apr 16 07:44:45 2013 -0700

    A probe to use the EOS "ping" cli command
    
    Based on OpenSSHJunOSPing, this probe ssh's to a
    device and uses the EOS "ping" command to collect
    data.

commit b388be244855778ff87899b040ac0c565b4dc456
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 21 22:55:32 2013 +0100

    remove duplicate entries

commit bad9f9c28f0939b269f90072aa4cf41f20f15563
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 17 13:11:10 2013 +0100

    xss fix from Steven Chamberlain

commit af24c7886e48d97bc226a123d12e6b15cd089b51
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 4 14:07:39 2013 +0100

    update release number

commit 6085244986b5f6d76c824553c166d8fee13f9d9a
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 4 14:04:22 2013 +0100

    updated changes log

commit 01eb8afb8030f9c0fe1316e4558023f37dd710e4
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 4 13:54:29 2013 +0100

    be more careful about preventing xss attacks, re http://bugs.debian.org/659899

commit fd1067f6ac2733818f00909c161b6e084e97ebf9
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 27 16:10:48 2013 +0100

    provide more configurable replacements for remocular integration

commit d8b0a0001fa8945e93cac5e4f1294272848c9576
Author: Bill Fenner <fenner@aristanetworks.com>
Date:   Tue Feb 5 09:48:49 2013 -0800

    Improved logging from SNMP errors.

commit 704fa685408de843e7d0a9e13aa75524ce0bb502
Author: Bill Fenner <fenner@aristanetworks.com>
Date:   Tue Feb 5 08:53:34 2013 -0800

    Don't reuse $t, even if perl scoping rules allow it.
    
    Reusing $t to iterate over the ping results is just confusing,
    especially since one line later we assign to the other $t.
    Use a new locally-scoped $result variable instead.

commit 8b1020fe6a877eee16fdbdcb873b95b0368b14c7
Author: Bill Fenner <fenner@aristanetworks.com>
Date:   Tue Feb 5 07:00:26 2013 -0800

    Empty out any RTTs from the last round.
    
    If we don't empty the hash before starting this round, then if we get
    an SNMP error for a target, we'll report his results from the
    previous round.

commit efcd36cf069f51f52fdd9c6b4f433fc979d93e23
Merge: 7dac529 7719ba5
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 8 00:03:34 2012 -0800

    Merge pull request #9 from couloum/master
    
    new probe SendEmail

commit 7719ba573effcbd0ac35203c0c6f5ebf79921ee6
Author: Florian Coulmier <florian@coulmier.fr>
Date:   Wed Nov 7 22:13:42 2012 +0100

    Added new probe SendEmail

commit 7dac5296d1e490adf5fcbfa8de0c398e1a5cf55a
Merge: ef24bb2 70b3337
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 24 21:06:10 2012 +0200

    Merge branch 'master' of github.com:oetiker/SmokePing

commit ef24bb21f91c066129d1fbb4fb72493029a17c6a
Author: Niko Tyni <ntyni@debian.org>
Date:   Wed Oct 24 21:04:53 2012 +0200

    As spotted by Gert Doering, rand() gives the same results in each
    pinger subprocess. This is because they all inherit the same RNG state
    from their parent.
    
    Fix this undesired behaviour by reseeding the RNG with the current time
    and the process ID.
    
    The argument of srand() shouldn't really matter much on modern Perls,
    but we're not very concerned about the quality of the random numbers
    either, and time()+$$ should make sure it's different for each process.

commit 70b3337a26a5cf8e3a4ef49f3491017715bf212b
Merge: 49572f3 75dcab2
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 12 22:02:34 2012 -0700

    Merge pull request #8 from jweather/master
    
    add "expect" parameter to Curl.pm

commit 75dcab25f99f7f074514e9d184c6de268fd18601
Author: Jeremy Weatherford <jweather@xidus.net>
Date:   Wed Sep 12 08:36:16 2012 -0700

    fix stray spaces

commit 7d68f748c5fdb8e1fe8d5daeb1deda2b9dafa435
Author: Jeremy Weatherford <jweather@xidus.net>
Date:   Wed Sep 12 08:34:35 2012 -0700

    add expect parameter to Curl.pm

commit 49572f3da6f0e62adbcb3d326c698fad941164f4
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 29 11:01:18 2012 +0200

    fix regression - added missing )

commit 491498b57a427230069604d10b68073c0f6f5e33
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 29 09:49:57 2012 +0200

    allow to configure FPing probe to read fping output form stdout instead of stderr

commit 7e4c58744dc9f8b8656f88612fd58f54b7e522e4
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 13 09:34:59 2012 +0200

    allow title to be defined via cgi parameter when calling navigator interface directly

commit c15e166eb9b2331348f7729c394e37a7e88c1870
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 9 11:46:19 2012 +0200

    it's milliseconds not miliseconds, thanks frank habicht

commit 372a20962b00cf3974e8530eb3ee981df11caba4
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 6 09:06:30 2012 +0200

    respect the probe timeout -- Dmitry Melekhov

commit dde47e5461dbbe07ce5653971f98912625ea233e
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 3 22:37:14 2012 +0200

    set a default for end too

commit 689cbec359940d2eead85d9567a4b3be530507af
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 3 21:09:48 2012 +0200

    fix smokeinfo to actually consider --start and --end

commit 972673d1c94305ad6631e15b3b4213a0b4aef728
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed May 23 18:02:27 2012 +0200

    exec the cgi to make sure fastcgi is tracking the right process - Eric Searcy

commit e145ab1abf091802da4aad8e9106d2c234f9251e
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed May 23 09:33:59 2012 +0200

    must provide the actual width when finding max or consolidation will cause problems - thanks david for the hint!

commit 11838ebc2ae0661130544c383643046803d8d45b
Merge: 8837a8d 6fae074
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Apr 2 09:20:35 2012 +0200

    Merge branch 'master' of github.com:oetiker/SmokePing

commit 8837a8d3a033a124644d6085555d70afa1372a30
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Apr 2 09:20:07 2012 +0200

    wait for the first gen child to terminate

commit 6fae074f1a8a305b0a8361626902110e7351a65b
Merge: 79b6c93 11cf1d9
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Mar 24 13:00:28 2012 -0700

    Merge pull request #6 from mcdarren/integration
    
    HTTP auth user template support

commit 11cf1d954dc92e4d4f2a8dc8fed729f0ef04bf7a
Merge: 8e9692b 79b6c93
Author: Darren Murphy <darren@victoriajd.com>
Date:   Fri Mar 23 13:25:28 2012 +0800

    Merge remote branch 'tobi/master' into integration

commit 8e9692b5f8a39eea12521f7ae9ad9b62c28ae6f5
Author: Darren Murphy <darren@victoriajd.com>
Date:   Fri Mar 23 13:10:55 2012 +0800

    Template support for HTTP auth user
    
    * Updated doc
    * Added section to basepage.html.dist

commit 79b6c9346c950d0b3e22dc9ba337bbcdcbed052e
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 22 23:01:14 2012 +0100

    fork alert handlers, so that smokeping does not block

commit 82162859fa9bc528fedf284e5bf6618ae98f1a7d
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 22 23:00:25 2012 +0100

    fork alert handlers, so that smokeping does not block

commit c3539403a5ba22a633488764a68200a06aa3ba95
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 13 06:53:21 2012 +0100

    added hacking notes

commit 872cadbfdf1ee27db786389c941671a2e0df1b4f
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 7 07:00:56 2012 +0100

    added release

commit cb1c7d001fd4a410e50112585f03694edf4a1474
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 7 06:43:36 2012 +0100

    update RRD location

commit 9672c02ac02b2a152dc786b57053cc93d4f510fe
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 6 23:18:25 2012 +0100

    update for release

commit 589ea56efaa087811c2bf0cf37781843f9992c51
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 6 23:17:32 2012 +0100

    make SipSak work with sip servers implementing OPTIONS

commit 50333cf052a6fc2ed29f16639ac1d0c891978b38
Author: Darren Murphy <darren@victoriajd.com>
Date:   Mon Feb 6 20:25:06 2012 +0800

    Add template support for http auth user

commit 8c8ed47542783991ed4639783607334f2e52bb70
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 2 23:34:38 2012 +0100

    fix documentation

commit f18024c3a610238aaf7d7101308367f72bc75e7d
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 2 23:21:31 2012 +0100

    handle servers actually implementing OPTIONS

commit f4f50a94f1beacfea12b3b1f1eb06251909cccc5
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 11 10:01:44 2012 +0100

    add relese date to changes file

commit 4b1cc570fe684968f7afee3c39dfb69791c969be
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 11 09:27:18 2012 +0100

    prep for release

commit ea18202ce6ecd0ff619f7fbc7c2329db3bd3d086
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 11 09:26:18 2012 +0100

    be more careful in handling input from the web to prevent xss. Thanks to
    Russ McRee <holisticinfosec@gmail.com> for pointing this out.

commit 0c43c8b653065862d6dd10ffd6789b168c138b21
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 20 07:37:33 2011 +0100

    integrated NFSping probe by Matt Provost - https://github.com/mprovost/NFSping

commit cda6cb8ef889fd0d7f08848025ea4687b41b2c1d
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 3 12:58:33 2011 +0100

    From: Chris Wilson <chris@aptivate.org>
    Date: Fri, 2 Dec 2011 20:38:26 +0000 (GMT)
    
    I tried to use the tcpping probe but it didn't work for me (centos 5). It seems
    that the tcptraceroute output format has changed or there is a problem with the
    script's ability to parse options. It also doesn't report tcptraceroute errors
    properly or have much in the way of debugging support. And it required
    smokeping to be run as root.
    
    I think I have fixed these issues, and posted updated versions here:
    
    https://github.com/aptivate/network-scripts/blob/master/TCPPing.pm
    https://github.com/aptivate/network-scripts/blob/master/tcpping
    
    I hope that you will consider these for inclusion in your projects. Richard,
    are you still maintaining tcpping? If not, is it worth merging this
    functionality into the TCPPing module?
    
    (integrated the TCPPing.pm for now -- tobi)

commit 0f421fbf603b2427a6c010cdd375bf40b3aacabb
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 24 11:28:52 2011 +0100

    use max index instead of count ... then it all works nicely

commit 77890232a5020dc5caf034da9a2d1bc1392b1a3b
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 24 11:25:53 2011 +0100

    fixed off by 1 error

commit c332d31fbf2f398455c4a7dfc8f9eec19943fed0
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 23 22:42:08 2011 +0100

    added ken

commit 8bb8c6817b082fd11ece24119064607bc287dfec
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 23 14:14:01 2011 +0100

    add missing } ...  syntax error

commit 91d090167d30c90a7f4daff1e468ad7d0f717049
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 23 07:05:03 2011 +0100

    make sure we stay within the bounds of the array

commit 3c1ce9f1d0ca20479d10d5d18d66a2af416ad42a
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 22 09:26:13 2011 +0100

    make Median matcher work fine on startup and when unknown values are in the stream

commit 1c6f909c977061ace3e5bc00af8adc8b1b8b84ab
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 22 09:25:02 2011 +0100

    make Median matcher work fine on startup and when unknown values are in the stream

commit 1e9842ca33991ba4c395ed1a457866c7189d8aa6
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 12 11:57:32 2011 +0100

    prep for 2.6.6 release

commit 7cef01f0089476f9b39e28cda0871c2a5ced72d9
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 12 11:56:27 2011 +0100

    fix version patching

commit 913c728d0d06bd67d5e9db29de8794ee596a347f
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 30 11:36:09 2011 +0100

    updated changes for 2.6.5 release

commit e6332c5a1a098fbf6d5a44795d96d26dcc099e5c
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 30 11:35:45 2011 +0100

    updated changes for 2.6.5 release

commit b061046f26e01821761ce7381f5782bc629dda17
Merge: 677f0b4 89f91c4
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 30 03:32:45 2011 -0700

    Merge pull request #4 from twilde/master
    
    Automatically configure config.dist paths

commit 89f91c4e71fa85bc992cabe001da01d762770fdd
Author: Tim Wilde <github@krellis.org>
Date:   Sun Oct 30 01:16:35 2011 +0000

    Update gitignore for auto generation of config.dist

commit a40ae75d8c76fe578f54cd5afd879de4ae0b744f
Author: Tim Wilde <github@krellis.org>
Date:   Sun Oct 30 00:54:08 2011 +0000

    Automatically configure etc/config.dist paths

commit 677f0b4d837b4b040d085aedce6f09120a912cdf
Merge: 81d0718 c72affb
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 29 16:11:04 2011 -0700

    Merge pull request #3 from twilde/master
    
    Make $prefix available for HTDOCSDIR

commit c72affb3a8387d606eb837bd9b47e238aa6edec3
Author: Tim Wilde <github@krellis.org>
Date:   Sat Oct 29 22:08:51 2011 +0000

    Make $prefix available for HTDOCSDIR
    
    Code lifted from the Tor Project's configure.in

commit 81d0718bbb09fbf098a84f16278d51d9058e63ec
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 29 01:43:17 2011 +0200

    properly version sync

commit e1cf85743f68c43d0eb2476b22d5747bd28a58c5
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Oct 21 14:26:08 2011 +0200

    prep for release 2.6.4

commit c2907861471223bc08c2d68ea3ac7f0e8cf6b179
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Fri Oct 21 14:24:40 2011 +0200

    one more naked gettimeofday eliminated

commit c6f817fcb7e49495de647e43729c910223468ba7
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 20 09:28:27 2011 +0200

    allow for conftools to exist

commit 4658580d38d6866dcd4d6a7b1822de8ce7ec2057
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 20 09:27:29 2011 +0200

    added ignore file

commit d093ababdb99883921f5855c46989ed782438f9d
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 20 09:25:07 2011 +0200

    prep for 2.6.3 release

commit ccd03bfead2c62f3541a6ee944270789f18b8f38
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 20 09:24:17 2011 +0200

    it seems some version of perl bulk at gettimeofday without ()

commit 4b4dc3a97a0b77a12ac036b4a1985f083ae11cdb
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 11 09:12:04 2011 +0200

    ready for 2.6.2

commit bbba546ca670562a0d2aa2dd5e98d61c2b0d516e
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 6 09:34:26 2011 +0200

    fix helptext formatting

commit 30d4bb237aa397bb407d90680657a445a50e2f02
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 6 09:34:10 2011 +0200

    help rebuilding autoconf

commit d7a08344bb0c229d9133f688ac45cac4e5c7b889
Merge: e3c26a5 8643c2f
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 5 22:58:18 2011 -0700

    Merge pull request #2 from twilde/master
    
    Minor documentation nit-pickery

commit 8643c2fa2b5955ffda759d0fbf735a84e68d2da8
Author: Tim Wilde <github@krellis.org>
Date:   Thu Oct 6 00:27:03 2011 +0000

    Minor documentation nit-pickery

commit e3c26a55acf046586bd94219f6873a8734c0c66e
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 5 23:44:07 2011 +0200

    include more files into distribution

commit 8b2e076704cd3cd249ea4054ef741cd42dd58f75
Merge: 0a83e73 34d6cd6
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 5 13:10:03 2011 -0700

    Merge pull request #1 from mcdarren/34d6cd69e4b075ba732c44ebdad25cf4db744e7b
    
    Some minor document fixes

commit 34d6cd69e4b075ba732c44ebdad25cf4db744e7b
Author: Darren Murphy <darren@victoriajd.com>
Date:   Wed Oct 5 23:09:44 2011 +0800

    Innocuous first commit - corrected a few typos in the docs

commit 0a83e73c871b94d2c8df4abe18034ab1fd41e202
Author: Tobias Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 5 12:09:40 2011 +0200

    no need to mention DESTDIR in normal Makefile.am use ... only in command options. Thanks to  Jeff Bilyk for tha patch.

commit f1601f6f97589e5011f10ff1b528606903dd8c62
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 11:53:30 2011 +0000

    wait before syncing

commit 7937c1a3a41a477aede9325476a71cd253853c06
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 11:47:42 2011 +0000

    do not distribute non existing files

commit bc78b2af7c82cced422e4dc424b8ae45589be2fd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 11:44:31 2011 +0000

    create htdocs dor

commit 1930d47ac9b2635b610a74ea1e4302731fe7be20
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 11:37:28 2011 +0000

    better install system

commit 4ab769579b0aeafd81878ddb332b726c44dc2ffc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 11:36:39 2011 +0000

    improve webserver docu and sample script

commit d6136cf5bb98c3b52d54f9b0c9042a54169bfb5b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 07:18:33 2011 +0000

    improve release system

commit dce506ebf931914e915cde7c7ec5c8be51b516df
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 07:16:13 2011 +0000

    improve release sytem

commit 90ea2254d53adbf61bfa62c573f0fae1958a7f0d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 07:11:41 2011 +0000

    add missing js file

commit 0f4f0f82bdbd329b93b5598fa6b59b50d6e1e9a7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 07:06:21 2011 +0000

    add missing js file

commit df41fd1716a16baa47b388c588eb572be1bcdb30
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 07:02:41 2011 +0000

    improve release system

commit 58ae5f7ec98bf360ab5cc9a2aeab7d4349083de7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:54:51 2011 +0000

    improve release system

commit 2d52bd6a6ac81b6cb5c75a93f28a6c2ba6e2743b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:54:10 2011 +0000

    improve release system

commit ba384d7679698812140a3ef3dd92c12b30816dfd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:52:21 2011 +0000

    improve release mechanism and add DESTDIR to binary paching

commit d0444c7bd2713466995b986c8d47fb467f79a458
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:38:28 2011 +0000

    include thirdparty libs when building docs

commit 15273596f42e24f86d48b502f48414714ee4971c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:34:04 2011 +0000

    preparing for the release of smokeping-

commit 43cfbeb810d245bb4095f1bea4f917557cb14175
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:33:00 2011 +0000

    deal with missing variables

commit a39594e10328d8acd06f113282d081cde5d3f72b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:31:30 2011 +0000

    preparing for the release of smokeping-

commit a93be0e71209b34d6c371e3d4876846975fcd812
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:30:54 2011 +0000

    include conftools

commit 45eaeac285e281d808ac45e6a736628765e6c55a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:30:14 2011 +0000

    preparing for the release of smokeping-

commit 6ffd03fa16badf0d5454ea2cfbf47796b9d5643c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:21:08 2011 +0000

    make sure version if Smokeping.pm is synced on distbuild

commit eb2af9461f2a1282701a68505b1ba00eddd99adf
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 06:06:26 2011 +0000

    update install documentation

commit 3acd454b9c2d9c5e2f6255c5c6472a99b2d0f1dc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 04:49:59 2011 +0000

    check for gnumake in configure

commit bac2ea4e099770cdf3074e093da085769f97a04f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 23:20:03 2011 +0000

    tweak build rules

commit 261f28813c8154a70349d4fdbf51645cd509906c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 23:07:55 2011 +0000

    add note about building missing modules to configure

commit f05d11a794291157f39778907c698c9008cd7edf
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 22:34:38 2011 +0000

    * silent build
    * add perl and library path to the scripts on install

commit a0d01155dc7b2774435721aa319625c9c42d9e59
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 21:32:22 2011 +0000

    make install destination configurable

commit 109efdb60386dbabd451162f3f3145a1eaf47f5e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 21:19:38 2011 +0000

    remove some old un-used directories

commit 5fae780ff1fe39322a370957bb004f8046faeafb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 21:18:47 2011 +0000

    start modifying

commit c7fd04defd13eb3d962156292bf6abaaa893619d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 21:18:01 2011 +0000

    fix to work with new automake build

commit 4b3cafae64c7c562cbec2231488f63d912f269ca
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 21:17:26 2011 +0000

    added automake support

commit 039861d743c2993959aca1a3e52045e8f6073d0a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 19:45:11 2011 +0000

    standard modules from CPAN ... get them there

commit c8936eaeaf0d642d66b48cd1cf126924725a8f48
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 19:44:42 2011 +0000

    add missing POSIX prefix

commit b3c0fa34dd27dbe1fd89bc8dfd63705c5ea4e927
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 26 12:52:29 2011 +0000

    prepare for the release of smokeping-2.5.1

commit f638a6d39525dded01b5bcde64bd65e47ec10110
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 21:04:58 2011 +0000

    fix pod

commit 2e72f71bcbb2e50a5e74557c0707774153e6ccb0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 19:56:53 2011 +0000

    prepare for the release of smokeping-2.5.0

commit 4197b239883707b5f40433f39c4796e886beaa9b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 19:56:34 2011 +0000

    sync version

commit b34700bd5c300dcf5326871c2b490b3ad8e267ee
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 16:08:07 2011 +0000

    do not exit in zoom ajax mode

commit 5d9cbae7cb53a12719f7bc649f7d3c11bbf7d412
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 15:50:18 2011 +0000

    fix makefile

commit 07104cc21206d40ce7d212133733d8ec99adacde
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 15:48:47 2011 +0000

    fix tagging

commit 2e7e8a27536ad204ec4b6d60a6a2e75cd35245ad
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 15:45:03 2011 +0000

    sample scripts

commit 6735adcb1d8a03b3d6e3309233335b32c9b9404c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 15:44:45 2011 +0000

    initial

commit 595d31e93b261519631191330c9bde764064ede1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 15:39:36 2011 +0000

    added sample scripts

commit 7e6820cc9127828f84640831852f6a5badc784dc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 25 15:18:57 2011 +0000

    prepare for the release of smokeping-2.5.0

commit e63c27dac0ca039b67e284235df8238bd0012cfc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 21 16:18:29 2011 +0000

    * switch from speedy to fastcgi
    * improved installation, no file editing required anymore
    * update installation instructions

commit 11d1224adf4208f5122c2e87bb18007e95443490
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 12 19:41:55 2011 +0000

    fixed alert pattern parser for range alerts

commit 28c1837b9b13debd296cfee32426584505b28e66
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 10:13:37 2011 +0000

    track changes

commit 791c6625f49ff446fcca3e403cc00bc630fb99eb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 10:13:25 2011 +0000

    track changes

commit 2a854c9b0fd0742fdd5a05c9bcce27da7bf35f82
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 10:12:28 2011 +0000

    fixed name JunoOS -> JunOS

commit 6d003965b51b8b20aec52c320ae215ad3b0caf6e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 10:10:05 2011 +0000

    added not on connecting by hand once

commit 4f079b6837b7698dc92fadebd92dd90dd55ea443
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 10:05:31 2011 +0000

    initial junos probe

commit 664349b51b620cee8afbbd94dff00f8998f86014
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 10:04:53 2011 +0000

    added scripts to build required perl modules

commit 5e4b9fe9ed3975e519e317e07288fcee1a2180a3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 10:03:03 2011 +0000

    fix library paths and start perl via env, following todays custom

commit 72898b7566ea545be6ee94a91a5ec29ef9bf0aa0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 23 16:18:52 2011 +0000

    disman integration looks good now

commit d2815512ed313bf5ce7800c8b84e61aa173566df
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 23 16:14:20 2011 +0000

    alter probe names to be based on local hostname AND target host

commit 55490b1bfb539386b63e25a8fd90e56c0200c1e8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 23 13:59:15 2011 +0000

    clean out smoketrace

commit a1fbf832f9f0ba3043c3300aa0ca3a3d841ce41c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 23 13:58:56 2011 +0000

    started integration of DismanPing support with modules from Bill Fenners: Bill's Permanently Unfinished but Potentially Useful scripts
    http://code.google.com/p/pupu/ --- thanks bill!

commit 7bcda72c21f3d1d28760427455b3b1c9b2f48b44
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 23 13:53:40 2011 +0000

    updated to SNMP_Session 1.13

commit 454e8ff564da151b1ad8bb56140a582ea827a4f9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 7 06:47:51 2011 +0000

    updated the download link

commit 5108700d36b8c565c01301795bbacc4827bac0c2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 18 13:26:01 2011 +0000

    suggest to get a copy of fping from here ...

commit 1aa624d182cdec1d1f5caa69f814df29947a76f0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 28 07:59:55 2010 +0000

    I run smokeping on many boxes and and my Gentoo/Funtoo boxes frequently run
    into localization setup issues which will bomb out Smokeping's web
    interface.  It works fine invoked from the shell.  I use the attached patch
    to help me diagnose the server setup problem.  The behavior is identical to
    current Smokeping in that it logs a message and throws a HTTP 500 error.
    The basic Smokeping localization sanity check has uncovered "insane" setups
    where the PERL %ENV environment variables are being ignored by "setlocale"
    on several of my boxes for unknown reasons.  Obviously, smokeping should
    quit, which it does... -- Lee Thompson stagr.lee gmail.com

commit 3f7adcc5b693de323fd921cf34678e41bbf6d154
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 14 11:31:13 2010 +0000

    added SipSak probe for SIP ping testing

commit bf2a5c2c1de2a1b20348bfb6c1f49b850f0db4f6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 10 05:53:36 2010 +0000

    port the timeout fix from CiscoRTTMon ICMPPing to DNS and TcpConnect versions

commit 98421ee8ba3adf8545f4a35e673ff8ef6881b65e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 9 08:19:12 2010 +0000

    raise timeout to 5s and twist basefork.pm into allowing this by providing a higher _default timeout for the probe.

commit ccac2c707170b3e4ccb8c3f714abcaf9e1ceb962
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 19 13:57:43 2010 +0000

    fix spaceing in  alert from slave

commit 9eb3e9ccd4d3d9fa6494a4e543d2948ceacf3639
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Dec 30 16:04:14 2009 +0000

    add support for TOS setting in fping

commit 892f12c656500ae9460250db5337cb12eb70ffe2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Dec 16 07:23:51 2009 +0000

    fix 'bad' link

commit decdf04f8089301848801650957b951c85a9cb91
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Dec 13 12:01:07 2009 +0000

    make the build system compatible with HTML::Parser >= 3.64
    
     reported as Debian bug #560562

commit 0763259d1aeab109b9396e486ff2e106147174e1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 8 11:51:32 2009 +0000

    updated to lates prototype and scriptaculous libraries

commit 150e62aad688c3143a1a9c2c4c890dd81b91cc54
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 24 20:15:53 2009 +0000

    improved docs, added me to the author and copyright list

commit 80c593387051f0a7c72e44dc855d8ca5459a73b9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 15 05:38:14 2009 +0000

    fix url in alert emails for alerts triggered by slaves

commit a4b49e45557677dd854bc84cb38bed952fd9588d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 16 21:19:41 2009 +0000

    lowercase charset

commit b697133c514e296cc47904cb7c8403095a7b34c6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 16 20:42:41 2009 +0000

    * improved documentation
    * made location of service modules configurable
    * made method prefix configurable

commit 16f3a3e84d2c25073d7ac1c40bf42852421ef5cc
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Feb 13 14:23:53 2009 +0000

    fix a typo in configuration example 4, spotted by Guglielmo Bondioni

commit 3c2ad106f30d111731d460b5274471d7cafe5cf8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Feb 13 07:46:16 2009 +0000

    From: Jeremy Laidman <jlaidman *rebel-it.com.au>
    
    > Please consider including the patch below.  It allows specifying a parameter
    > of "allowreject" in the Radius probe configuration.  When allowreject=true,
    > rejected RADIUS authentications are treated as OK.  This means I can test
    > the RTT of a RADIUS request without using a valid account.  As long as the
    > RADIUS secret is correct, the timings should be reasonable.  The default is
    > "false".

commit d27bd1a9015c9c1e9fe2d862d136e96e8a80f706
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jan 30 17:21:52 2009 +0000

    fix for static implementation

commit d3a10222b0262b103d1fc6ad855a81017f4943a2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 27 15:13:49 2009 +0000

    no filter gets us all

commit 8380a62bdbecb16f6623afff21059e914d09364b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 27 14:25:08 2009 +0000

    we want pattern to be called filter ... really !

commit 76b82782a9ecf7c4066399703c4f7e1a9fe975b3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 25 15:38:30 2009 +0000

    added updates accorrding to arnas suggestions

commit 4e6be34511159935b2f2f833961265743c3a827a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jan 23 13:37:16 2009 +0000

    disable __DIE__ inside eval

commit 111f2f3d4f584eed8ecbf902d4770dceaab2390c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 21 06:51:14 2009 +0000

    fix broken error message in spdomed

commit bd1904210d02ff63b4c6ccc8775e901d6663e49c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 15 10:28:10 2009 +0000

    * make it work with missing rrd files
    * make it work correctly for nomasterpoll option

commit 428b580ac543bef7c96899dd1e30ffae46a6ea3e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 5 17:28:52 2009 +0000

    added some examples

commit efdba627ad20b396b7c9ce080200ee62bd066f84
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 5 17:25:57 2009 +0000

    initial checkin

commit 64ad4077fc99a8476a27ad61c243db1077300286
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 5 07:52:50 2009 +0000

    minor qooxdoo updates

commit 2a08e0d8ca5f3e2f64ca2771e20764a953515d2f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 22 12:55:28 2008 +0000

    minor fixes

commit 9389d56b0f20bd7e35d0f181259fc6906e258e7c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 15 18:35:51 2008 +0000

    ExpLoss.pm matcher produces an exponential weighted average and supports
    RMON-like thresholds to obtain stable node status detection.  -- Veniamin Konoplev.

commit f9d6f26cbf330d3c951a8801f963e685f64cc39c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 17 08:56:24 2008 +0000

    added initial 0.8 port ... not quite working yet

commit d8b465e26599268b8eded0732e8f29062556997e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 6 14:40:55 2008 +0000

    initial commit

commit 996d9e92e597bc462d874b335865ff7844e2d332
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 4 10:14:06 2008 +0000

    added 0.8 port

commit 2bb54a7dd3145c431b0e63cfd83df37f9a4b40d4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 3 12:22:05 2008 +0000

    fixed normans address

commit 50f3fd2f1cc7312ef548c3682f9af978b18e1dcd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 14 20:49:09 2008 +0000

    make this work even when ipv6 addresses are around -- Olaf Jaehrling

commit 68d0715bf459cba1e94cdb8644d6f44036fe5694
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 9 05:30:26 2008 +0000

    updated snmp session to 1.12

commit 09a4089d927f4c63fdab1b8bded2a73ac398d412
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 30 13:09:37 2008 +0000

    properly fix the handling of multiple writes to the cache file

commit ae5a24062aec7a5eeb2e984989dc3a9ba84e5560
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 30 09:46:28 2008 +0000

    track smokeping changes

commit a05629a54acff49c918859b01d6a4bf177af9051
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 30 09:38:41 2008 +0000

    seek to start of the file prior to storing

commit 3e3de0ed8ad6b87df4b2409373ebb6708e55f9c3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 30 08:56:38 2008 +0000

    order updates to slavecash to minimize writing

commit aa0e0cf4c72d609899932e85d33e983dc0b25792
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 27 17:16:23 2008 +0000

    fixed numbering

commit 388f957a3615c5b52ebf52e16462bf693700a0b7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 27 16:41:01 2008 +0000

    fixed install instructions

commit a325ac6b477255914f016da340e1bfe1ae833fd0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 21 20:38:12 2008 +0000

    fix speedy settings

commit 69b86b80304329c14b225613609847922f34ebd7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 21 20:37:59 2008 +0000

    be a bit smarter about handling updates comming in from a client by doing all updates to a name in a single round.

commit f160d040a25f4bc6c33787326b581a49c2e38cce
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 13 20:13:37 2008 +0000

    In cgi mode, do NOT reload the cfg file since this can cause a storm on the webserver. Die instead AFTER working through the current request.

commit 31ee5f8285215545e9de4c5cc0ea169832b5390e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 25 05:56:46 2008 +0000

    autoreap zombies

commit cad5654594f4ff6865795809376d19e15272cd5b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jul 24 18:24:37 2008 +0000

    prepare for the release of smokeping-2.4.2

commit 8c3005527f64d656e4d9321116fd893525a150da
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jul 24 17:37:05 2008 +0000

    prepare for the release of smokeping-2.4.2

commit 6f4833870c8de9fbcc0fa96f87c783fa9e280b5e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jul 24 17:36:57 2008 +0000

    * added strict and warnings to the cgi and the daemon wrappers ...
    * fixed regression introduced while fixing taint issues

commit 11299344ee659123b8fe18794da4e7a7b24c6e5c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 30 20:55:50 2008 +0000

    improved documentation for master/slave
    fixed taint error in Smokeping.pm

commit fae328cd534c1f700cdf8576cd370f68d62d585a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 29 15:09:46 2008 +0000

    do some more checking on the slave name we get from the cgi

commit f28283f29111269f6de963411f80748692186153
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 18 13:52:42 2008 +0000

    stop loading sys_wait_h in Tr.cgi

commit 184fb3f6fc4f71cef2a417d117f2fc0c1c4d979a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 22:01:24 2008 +0000

    prepare for the release of smokeping-2.4.1

commit 7106bff788bb0193045c9eef4fba8dd6d675abf4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 21:55:35 2008 +0000

    prepare for the release of smokeping-2.4.1

commit c004881d0261bbe21d1fed756f08f8f00aadf00d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 21:54:05 2008 +0000

    initial

commit f658d2b70e0f2b1a89fbef367ad3f06e50d3f4e2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 21:44:56 2008 +0000

    explain about the purpose of this tree

commit ee4a5b6562a3bc371459a701afc99e5d9c7d8ef0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 21:42:34 2008 +0000

    added footer

commit 4ac6bf769b09ba7bd39778297f0e9699ee263256
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 21:34:28 2008 +0000

    prepare for the release of smokeping-2.4.1

commit 64d0fc90d7df5a188a5ce9ed9cd562f76d7b139f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 18:43:25 2008 +0000

    prepare for the release of smokeping-2.4.1

commit bd16c367fc755f976fa9c0febca9ede065b61f2f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 12:38:07 2008 +0000

    fixed messages

commit 84a43df0c40d9e384c99f58ebec6751f26184f69
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 13 12:01:50 2008 +0000

    fixed version string creation in javascript output

commit a5e329fddd18ad7ed43edbcd37f0979a189c6979
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 16:12:25 2008 +0000

    fix install instructions

commit 9dd3d5370282a4ef62977d33ebb7ecda4efe7a91
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 15:31:53 2008 +0000

    prepare for the release of smokeping-2.4.0

commit 32d5832640525150ef005ec7dc755507051291cd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 15:23:29 2008 +0000

    prepare for the release of smokeping-2.4.0

commit c3fad903ed660295184a59c627726c6eb52bf497
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 13:37:37 2008 +0000

    prepare for the release of smokeping-2.4.0

commit 67081a4ef640897e45ec459162b4911b9270d68a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 13:29:06 2008 +0000

    prepare for the release of smokeping-2.4.0

commit 437c288690b3a0db6957edf06e5b4f5e7eb07e72
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 13:20:41 2008 +0000

    prepare for the release of smokeping-2.4.0

commit 3e3229ba507fed2d6b2a48a4cb999a73e35ee433
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 13:17:45 2008 +0000

    prepare for the release of smokeping-2.4.0

commit b35df772b8bf6a12fba237557c65e5be9740cd14
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 13:16:13 2008 +0000

    prepare for the release of smokeping-2.4.0

commit 424e08410b2cdbf963c07cca0834ba66a541b703
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 13:08:07 2008 +0000

    prepare for the release of smokeping-2.4.0

commit 8d5f45365467584b313528c60c6f3a902e02c1a4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 13:01:02 2008 +0000

    removed another debug print

commit 761d11b28863424cc69f853dce7db9dbadfadba9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 06:33:56 2008 +0000

    updated translation

commit d946daa0b527161ca5334d907e6db3055c549781
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 10 06:29:53 2008 +0000

    we call it smoke trace now

commit 0ac7fb08ce9b39e0ff02435bb413720050021569
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 9 21:57:38 2008 +0000

    let the server only return if he has something to say.

commit 129d59bc63a690e750a0e4f55ee8389495e2882a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 9 05:20:13 2008 +0000

    added dummy script_name methode

commit 156fc3d2ef35ff525d13ee3d693728596a62ab82
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 8 22:22:03 2008 +0000

    fix the name and reduce the spacing

commit 45f079de478517c0e4d3dd47d0c5566a000a1db0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 8 22:21:01 2008 +0000

    added notes on smoketrace install

commit 79bd2e62e2ba21294f40b9814661dbfe2ee9e2ee
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 8 22:14:29 2008 +0000

    added smokeping traceroute doc

commit 30e99f32be378fd13ceb9d70b905b9b53f92d919
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 8 21:49:42 2008 +0000

    added blazemode to fping probe

commit 55a86f815d5f60e4d734be4f67d7968eb1a67281
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 8 21:41:37 2008 +0000

    fixed telnetJunOSPing

commit 400065442d62705a6cebcf6f5c5aa53a3bccf34f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 8 21:37:10 2008 +0000

    fixed regression from r680 which broken old fping detection

commit 9a6c0d09fb7ac906607f5fd2f4ec18d126ee5b72
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 16:17:11 2008 +0000

    sleep properly inbetween checks

commit f7c8c95ddc80c3b26f0d7978b776e02bc950a9fa
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 15:36:43 2008 +0000

    improved handling of non responsive hosts
    routes flapping
    hosts with multiple ip addresses

commit 6650ea2659e4817aedfe5e634afebfe487e83175
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 07:29:51 2008 +0000

    tr must quit after run

commit c5d21994f26ffee7ebd80fc226220152d3d48ce5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 07:13:36 2008 +0000

    use menuclass and not just class for menuextra {CLASS}

commit 3fabc095b23f030883bbfc613b7ae423c71a3054
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 07:10:36 2008 +0000

    disable sleep code for now

commit cfccce8a1c63ecf5b3233259d012f9ac8a426550
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 07:04:16 2008 +0000

    added missing }

commit fc9d545ce142680a5fb1fedfd0286c0acd0e1ebe
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 06:56:06 2008 +0000

    add the hash to the hostname

commit 5c8d6da392323b37fd85a398b2a493034635c65e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 5 06:43:21 2008 +0000

    let the webif sleep between runs (cut the comets tail)
    replace {CLASS} too

commit a26e2b5d5d5634e4653c7081dd3dd5a94fdcbb8f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 4 23:43:32 2008 +0000

    working version

commit fd6ba4e8d6e87f1c7c43527ecf9ad4c06893551e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 4 23:20:58 2008 +0000

    more nameing fixes

commit 967063d2a1aa032eecede67b4f1d891bd1964a15
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 4 23:00:32 2008 +0000

    working version

commit 18ad1210282362b6ab636ccbd58a86bbf210ac19
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 4 21:35:35 2008 +0000

    rename Mtr service to Tr service as well

commit 983c2446c51db710e482bdbfd86e0a94723f76d8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 4 21:35:07 2008 +0000

    rename Mtr service to Tr service as well

commit 8364e6bbedf919008da50cc1b54dbb8a49dee88d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 4 21:33:02 2008 +0000

    alter name to Tr since we do not use mtr anmore

commit 4940f51d54f1f4b994c02138defbcd8ff36a95ec
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 4 21:08:59 2008 +0000

    converted everything to traceroute propper ... much better

commit 1ede2f2620e6d40f0cadc2b196324e9de9bcd1ce
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 3 22:46:38 2008 +0000

    prepping for traceroute switch

commit 9c59d668c6d0611f1ea611ca0e9ea5a5954eaa20
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 3 13:16:17 2008 +0000

    fixed extrahost integration

commit 39eded37581cfe09d85d1225355fd1e22264cbf3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 2 20:52:26 2008 +0000

    mtr integration

commit 45e158a30e69573f044605e74d65c9f283d89569
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 2 20:03:45 2008 +0000

    mtr integration

commit 8793d83042d5cf388a30ee5f8637fa6554334aa6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 2 20:03:33 2008 +0000

    initial support for mrt integration

commit 6b239270a134ef8f26d59a7ab9b35eeeeceb9c47
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun May 18 13:30:34 2008 +0000

    fixed rawlog name

commit bfa39ae5e98f3d18f43b95a80a0d4315c795e0db
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 12 23:35:12 2008 +0000

    make sure target sections have no dots

commit c9b5c598e4f74e00713a11c2ca47c6226c965821
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 26 13:02:18 2008 +0000

    prepare for the release of smokeping-2.3.6

commit b1b170a129e0a7ff1fdbca3d0f2138d8d6291acb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 26 13:00:16 2008 +0000

    set hovercolor to balck

commit ad4960d32b3d5bc6d8ee58dc5cb0f6553a36f21d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 26 12:56:56 2008 +0000

    integrated menuactive patch

commit e1aa9c368e3ad73b576d4410ffc937d1d03c50f1
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Apr 25 18:34:31 2008 +0000

    honour the 'linkstyle' variable when zooming

commit e942ada8af8b54bb34b9a5a3a7ab34e7ae7ca347
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 16 21:20:48 2008 +0000

    complain properly when the secrets file can not be read

commit 4654618b5ca4b8c6b3bfb4d508eb1da8c47eddec
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 3 14:37:35 2008 +0000

    display all the smoke even when the graph is limited in height

commit d6ea346a961f7579627bb789f875219ae10c8592
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Mar 29 19:00:06 2008 +0000

    bah, missed one

commit d3f95bc4662de8aed1fe8a22cfc6bdddbd31be71
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Mar 29 18:54:21 2008 +0000

    add a target to recreate the docdirs just in case a "git clean -d -f" removed them...

commit be80594b5a59c846d5fa601f2b9144d39f03b60c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Mar 29 07:47:19 2008 +0000

    prepare for the release of smokeping-2.3.5

commit 631517a8504550d44c6b7de348ebcddf0486c8b2
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Mar 28 22:58:55 2008 +0000

    * make slaves kill their old children off before forking new ones when
      the configuration changes. Reported by David Behr. --niko

commit b65e64cb134d2c44ed85dbcbd755f3fba0e1cf4e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 28 00:13:51 2008 +0000

    prepare for the release of smokeping-2.3.4

commit e3fc044125095d397693cc4f34105beb5423bdc6
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Mar 27 21:01:28 2008 +0000

    another typo fix

commit 8dac72c2ba0a24a27886c7f4544cf01f7efd14d8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Mar 27 20:54:09 2008 +0000

    properly initialize the target count

commit 01c57c9c97359fd531896c10baff94c2010dd609
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Mar 27 20:51:23 2008 +0000

    fix a typo

commit cd27423857677170b3a8d8305115e81495b1b094
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Mar 27 06:05:37 2008 +0000

    * fix 'loss_background' documentation. Reported by David Tomic. --niko

commit 4a2ee52a92ce7a2f4f62ff039bddeaaa7080309c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 19 21:40:22 2008 +0000

    added nikos fixes for nomasterpoll

commit b6edbe8a83658ca1b35e502e6353e9b3d3762073
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Mar 19 18:22:55 2008 +0000

    undo the previous change: it is arguably cleaner to send+expect the protocol number only with signed data

commit 53c31b5e314f2717f730969974cd6ef36d9fe76c
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Mar 19 15:29:04 2008 +0000

    send the protocol number with OK too, the slave is expecting it

commit bac48a06638f1e8dfdc23980c3cea2fa30ae16e8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Mar 19 12:57:03 2008 +0000

    revisit the locking error paths a bit

commit 2944cb07be67d87e1a93ca6abf058dd6ce23d276
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Mar 19 12:36:25 2008 +0000

    unrevert the locking change, LOCK_SH should work

commit 3ed78f950e7bf1c1af00ab497fbf8da1959848e2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 18 22:55:01 2008 +0000

    fixed spelling of protocol

commit 43e65375aa5d23b7cbee07996a5e10c2b95b0ffd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 18 22:54:03 2008 +0000

    added protocol level checks and upgrade notes

commit e06a42e7920eb3ad2cafc62b5db21746126ce37c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 18 22:21:33 2008 +0000

    fix order for non ordered entries

commit 877ac7fb8e93efcf0d7b547168749984bd4aa99d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 18 16:25:29 2008 +0000

    bail out if the master/slave shared secret file is world-readable or writable

commit c11e056ea3338b001a78f37a257db6fe3554b0d9
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 18 16:20:35 2008 +0000

    fix a syntax error

commit 8227b83b7337c57d9c8a5820792626ab5c196426
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 18 16:12:13 2008 +0000

    add some security notes to the master/slave documentation --niko

commit ce9013c52ea8299c608d9cdf3f3697454057a5d4
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 18 12:26:12 2008 +0000

    add Digest-HMAC license information

commit a002bbdae7018d7c23f857780074ef00e3e6f31e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 18 08:10:40 2008 +0000

    switch to HMAC digest to avert extension attack

commit efe9d8dafd6a8bc5845eae3b4dbc172ad68aa187
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 18 06:46:15 2008 +0000

    revert the locking change in r951 for portability reasons

commit 6b3f4223b367af243c978815ac46cb344a2a0777
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 17 23:19:26 2008 +0000

    added changelog entry for sortercache load fileter

commit fdf500019c8c0a7a589c54f78ff0b9a293790e84
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 17 23:18:05 2008 +0000

    just to be on the save side, make sure when loading the sortercache that we only load info about graphs presently in the config. --tobi

commit 340239dd0fdf7e8a63ebaae809e548df3cda105b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Mar 17 19:56:48 2008 +0000

    * optionally precreate the directory structure under 'dyndir' if
      'precreateperms' is set --niko

commit 2fc87dbdce71a29396ad0236edc044f27596bdc0
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Mar 17 19:55:33 2008 +0000

    * store the slave updates in dyndir, defaulting to datadir --niko

commit 1d4de6409ce490f5b33b2187372de7ea9c9ed307
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Mar 17 19:53:09 2008 +0000

    * change the slave update locking code so that reading works without
      write access to the temporary storage file --niko

commit 3236c4eea1ba9de7e1dc0d2cdf232d6c9c9c728f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 14 16:19:39 2008 +0000

    added rsa1 patch

commit 6735939fcebafa14b2ce6918f086ca0da3c898c3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 13 14:50:50 2008 +0000

    make ajax zooming take time ranges 'time range' fields into consideration

commit 3c5735fa2eda3ddc65e639a73a0956bfb7af608d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 13 14:09:38 2008 +0000

    switch range form to POST

commit bc3c6e5b5c482a2003772d9e4bf5c2a878c5fcae
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 10 10:55:20 2008 +0000

    prepare for the release of smokeping-2.3.3

commit 73fb8150992d02888d083581e86b83002e0050c8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 6 06:21:12 2008 +0000

    fix retrun value processing (regression from last patch)

commit 6c15f78cac4a0b94907352c4184d6d7d5ca87164
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 5 23:13:24 2008 +0000

    longer timeout for slaves and separate cache files per slave for improved scaling -- Phillip Moore

commit 31e4fcaa45fb5dca6018a1ef70b71bdfbbac4965
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 4 21:57:30 2008 +0000

    * add an optional --pid-dir option to specify the pid directory
      when running as a slave. --niko

commit 06144c93db3c0cc7bc5434740a76b9eac6c23ee4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 25 23:29:31 2008 +0000

    added log entry for nomasterpoll fix

commit b3e2473cc1a5d1dcf84632758741f6e4f7933c55
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 25 23:29:14 2008 +0000

    cosmetic fix ..

commit 30f47a24f4ee7cd5f825ae9e14891920a6cd8bca
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 25 23:18:52 2008 +0000

    slaves must poll even with nomasterpoll

commit 296d9bf573e5981407c85d35bc9e339d777321cb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 25 10:24:40 2008 +0000

    prepare for the release of smokeping-2.3.2

commit 0ec3c991d771c0856a39f60824849f58680987c0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 25 10:23:24 2008 +0000

    make navigator work for nomaster poll

commit bc22f15ad9322086da631f7bb0854c2a0d2e5424
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 25 10:08:02 2008 +0000

    do not use key '' for the default hierarchy

commit 4ddd6688d16443d84aabd6ce5d0d540f71b9b4b5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 25 09:53:02 2008 +0000

    nomasterpoll does not get a default value automatically ... so lets check for nothing as well

commit 0c1233317fb699e800d109160a11ff79b3d07dfc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 22 17:15:01 2008 +0000

    fixed ordering overview vs menu

commit 3e576f158fc4a0dda23a872d9ef8d69dfad7c8e2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 22 06:55:36 2008 +0000

    fixed section title spelling

commit d181a809046d4f59be93e447b33ccf71e5edaf8f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 17 10:29:13 2008 +0000

    prepare for the release of smokeping-2.3.1

commit b9e4dcf06ed56ddbb0ee0f6a040142e21ab2f4a9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 14 12:36:33 2008 +0000

    added nomasterpoll note

commit 0db9048eb16ac58d9298fea62830a0ac1c4a4ce8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 14 12:35:55 2008 +0000

    ignore master for alerts if nomasterpoll is set

commit c3e144bdb68b7dbee7b1b6249453a1c61dc18497
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 12 10:04:06 2008 +0000

    mkae errors with missing hide values go away

commit b9828ab2e237efd59e662b4305e866a33519a9a4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 4 17:00:46 2008 +0000

    fixed html syntax issues
    fixed spelling of standard deviation

commit 74783005860524bbdf1be4fe0ec2924e650c1652
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 30 17:02:27 2008 +0000

    updated ... working

commit 0e6c3c629a18c9989e4cd8b9d3cd2f7cf7da4aef
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 21:11:11 2008 +0000

    added 2.3.0 notes

commit 90bcb19f4df9fa7c022a30b346d7c7f56c9c669f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 16:50:54 2008 +0000

    prepare for the release of smokeping-2.3.0

commit 69390f906f4ea56781db63a68ddb416e8d42009b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 16:26:07 2008 +0000

    prepare for the release of smokeping-2.3.0

commit 8f75cc658717b4409d2eb3c37f6704c7f9d84e59
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 15:07:05 2008 +0000

    prepare for the release of smokeping-2.3.0

commit d7ef1c5cc614185fe2e9dd83442edb824620335c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 15:06:23 2008 +0000

    prepare for the release of smokeping-2.3.0

commit d39831a3c4296fe4f56bf9b7e48bb443ad9239fc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 15:05:19 2008 +0000

    allow empty slaves list to remove inherited slave list

commit 95a4c5498b09ed883af512142c860c57bc65d0c0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 13:08:20 2008 +0000

    added tcpping probe

commit 3809f4928c67b774515d0cbd6dfcbb0587ec4dd1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 23 12:56:35 2008 +0000

    added new hide and noserverpoll properties to target configuration

commit aeb75494086a98101cdf22ba3dc6767cb03939a5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 22 15:46:41 2008 +0000

    ignore case when searching

commit 044a430a2c453780113aec59e37ee5160d777b0a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 22 15:06:16 2008 +0000

    interated filter function to interface

commit 1c86305fb4234cf4e8d81c461dc515ef1db6ec06
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 22 06:47:05 2008 +0000

    fix hierarchy property problem introduced in previouse patch

commit 88c73fdb0c653f6366a06c21aa9c055245b8641a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 21 22:18:48 2008 +0000

    added alternate presentation hierarchies. Configure via Presentation->hierarchies and
    Targets ... -> parents -- tobi

commit f0d944ab93f7603843ba3a8ec825261d339c7eef
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 21 14:02:04 2008 +0000

    add support for alternate hierarchies

commit f0f6e11c69efa0d8703557a19c14c15d3ed34c9b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 22 23:47:37 2007 +0000

    not change on javascript

commit 4f4795e90f9b6e6029c31ee01ed325016161d6e8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 22 23:41:41 2007 +0000

    test if zoom is here

commit 17a23d3e899c888d28d85c1884cb6cd2f8e1120c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Dec 21 10:48:54 2007 +0000

    missing my added

commit 8722b99cc4b3a4f264c757f22c10c485e1ee0dc4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Dec 21 10:48:04 2007 +0000

    fixed sample configs

commit 441d1fe53008898441eddc9289b2e0148bf351d1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 20 23:25:04 2007 +0000

    make this work even when no initial file is here

commit 0898e91fb2a96607fe3919fc2330092a6c63a367
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 20 20:41:42 2007 +0000

    remove check for timeredirects since this does not work without manual

commit e5090ee1fc507ac3ad5943b7d323b198bd4710d0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 20 20:40:06 2007 +0000

    use --help instead of --manual since manual is not compiled everywere

commit 7091adae1bc9aac0e8b363d320e3efdcfd84e71f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 20 20:28:08 2007 +0000

    portability fix for %.1f

commit 68ea224e043c83de1d185cb6fa329997a34ec74d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 13 20:46:27 2007 +0000

    working towards fixing the master config

commit 1f7c876a44f4bcb28affa098c283979b2bc08f32
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 13 20:43:15 2007 +0000

    use different syntax to open and lock client cache

commit 41a1b1a239810f5d06e286331f8a7dd607224cfe
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Dec 13 11:50:06 2007 +0000

    clean the last remains of echoping live test code

commit f3e27df9021d2ba92b54cb9e8a82c66336a477e8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Dec 13 11:48:09 2007 +0000

    EchoPingHttp: add the 'accept_redirects' option

commit 7362792c380114c774fd01120c978360e81360d3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Dec 9 22:24:30 2007 +0000

    initial

commit 05eb797de4c547890e373587d768b88335d37c44
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 6 20:37:37 2007 +0000

    added note

commit a4496fa65282fd3e618e15bc7619beb59b1783a1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Dec 5 21:33:55 2007 +0000

    update the locking code. Try updating the file multiple times if lockig fails the first time round ...
    also open the file with +< for reading, since solaris will not grant us a writelock unless we are opening the file read/write.

commit daeb391ff2c9e47f656a8089b326625d43ffc5a3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 3 23:38:23 2007 +0000

    removed excess )

commit 9edc0ff6eaa82d51970299a76106952e9bc4ac2a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 3 23:36:50 2007 +0000

    trying to make slave reload realy work

commit c81ee6051263e7039bff5125b6732905ba6a5ba3
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Dec 1 13:56:18 2007 +0000

    remove a leftover 'use HTTP::Request' from Smokeping::Master -- niko

commit d00f1075a67fbf2be46e6114848eec5cefbf6684
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Dec 1 13:55:09 2007 +0000

    document the LWP dependency of the Smokeping::Slave module -- niko

commit 2c5ebb1437447dbc653881dbf1269784517b9b4e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 1 11:44:38 2007 +0000

    document what I changed in the change log

commit 1eeea07d34fec85eb09fbc5504b588f7ee9bfcd4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 1 11:31:33 2007 +0000

    fix restart behaviour of slaves

commit 610bab43a1ddd085a1c272c5cf6aaf4a85ed8fee
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 21 23:41:39 2007 +0000

    introduction of Shadow graph causes step back ...

commit 6dbc90c295cb0fbf895ac259dabf9dfa22cbe803
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 21 19:14:50 2007 +0000

    jres2007 work

commit 97e7c02aa1ba779325072cdb8dba96f3454de584
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 20 07:36:56 2007 +0000

    latest updates

commit 3d2d01044276848e16d61550e090d1e5001be7de
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 18 22:16:29 2007 +0000

    removed useless debug messages

commit 7b131fd1e445b836af83a4dbeb79dd91be06bbdb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 18 22:10:09 2007 +0000

    added some more documentation

commit 2f05acc547db3624a75e37522ba5dabe394dae11
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 18 22:06:48 2007 +0000

    added flipping zoom mode

commit c075aed46ee0dceb6bf3a3569da67daf0a50bdde
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 18 15:04:33 2007 +0000

    working version ... schluss fuer den moment

commit 7bc9f4e73f3893735b96e48bb2664f7c2b5b0a68
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 18 12:40:41 2007 +0000

    added grapher to distro

commit d0b4894f58ca17de2b434d37ce4c070cf4cd7515
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 18 12:39:21 2007 +0000

    added grapher

commit 823d40c77053c8fb30359de896d7e30b85de2a3a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 18 12:04:33 2007 +0000

    more updates

commit 688bea6958d0f12613fab7bfefe5f94e831ce05f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 17 16:36:30 2007 +0000

    new classes

commit 1620cd2abeb29cd7cd24e1258f6398053a4234f7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 17 16:35:53 2007 +0000

    script is generated this does not belong here

commit 11d3b5e19d271f50ecea15d68dc51828e7b24f49
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 17 16:35:20 2007 +0000

    ui cleaned up

commit 6d0c470a6bbc643438243d1aecd0415a0b793373
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 17 03:13:07 2007 +0000

    added windows

commit c8daf4f31084534e58dd90ccdfa88ba2285ec324
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 16 21:34:40 2007 +0000

    added more sample data

commit 5d13d53762933c306e595079efd1f69b1807fb1a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 16 20:05:00 2007 +0000

    working version

commit c34f404e3fe41e7ca3890fa66a8b4625ee3269ac
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 15 06:22:46 2007 +0000

    added a missing file

commit 77709fd6296cf90f93dd62ad3fc2b7b0303f7884
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 15 06:22:21 2007 +0000

    more woring cooxdoo code

commit 1470bd43a79a679132d6523e92e99f81e2892119
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 14 17:33:46 2007 +0000

    updated message file

commit ff7b9de82908baf1d5f9af71e35dad2369bfdc2f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 14 17:33:19 2007 +0000

    initial qooxdoo drop for smokeping

commit d546419d19b89633f8ac3c461eb900f4c4f29b90
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 6 07:41:28 2007 +0000

    make sure tsmoke sends mime conformant mails

commit 2fe8ba68414b66a7f68f4876916ba3a98648858d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 5 21:59:38 2007 +0000

    prepare for the release of smokeping-2.2.7

commit 65ae52a910578163e0b5e821fb75fc3cf5d28528
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 5 07:02:39 2007 +0000

    make tsmoke work with multihost targets

commit 485377cf03560635c8590f5f053752b805e5f2fa
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 3 01:06:27 2007 +0000

    fixed slave check

commit 35490069d03df22ec290f707eba31d7b26e8517d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 2 22:04:36 2007 +0000

    added slaves consistancy test

commit fbcdaf2188f3dfa5d74beade8ab3e8d7390402e9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 2 21:49:51 2007 +0000

    don't reload the pages more frequently than every 2 minutes

commit ec431db3b0948bb8f4400d611325ce0b0495a3ad
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 23:23:17 2007 +0000

    make sure we got the changes in

commit bf38cbffc3460a4dd1a0a9c411c9aba421e99e1d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 23:17:14 2007 +0000

    prepare for the release of smokeping-2.2.6

commit 07608687a2dac998c782608cf230f0b019c8f8e9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:15:52 2007 +0000

    prepare for the release of smokeping-2.2.6

commit 9f82cdecb8422667ca6477c4776a7a050e2c06ff
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:14:06 2007 +0000

    prepare for the release of smokeping-2.2.6

commit 05deed3f20a37849eddb1805a39a1c9730eead52
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:13:24 2007 +0000

    prepare for the release of smokeping-2.2.6

commit ac20fec31573327eb7269a8a76e5a55459285256
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:12:59 2007 +0000

    prepare for the release of smokeping-2.2.6

commit e2c7e39802934501cb2f01b864b5fa1f52cc969f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:12:32 2007 +0000

    prepare for the release of smokeping-2.2.6

commit 0cd23826de9b7549c845f7e44203ae037a1c44c1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:09:35 2007 +0000

    prepare for the release of smokeping-2.2.6

commit cf006837234c697cb37bd1d2acb6955ac34d513e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:06:23 2007 +0000

    prepare for the release of smokeping-2.2.5

commit 306b180bcc0469dbafa9ebe27ad517aaf533a1c0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:05:03 2007 +0000

    prepare for the release of smokeping-2.2.5

commit c000f6f0d252f523897bb70eab4f3b102d0b7428
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 28 12:03:36 2007 +0000

    prepare for the release of smokeping-2.2.5

commit 73ee67ababcf2e418d6da2800ebe248dc28ed59f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 27 16:00:10 2007 +0000

    fixed makefile

commit 6e6af23e38283f334414a9d11261ec4e496977dc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 27 15:58:42 2007 +0000

    prepare for the release of smokeping-2.2.5

commit b49d3eb65f65aaa75219d9754b1b137f46c82d0e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 27 15:55:42 2007 +0000

    rmove -S warning unless sourceaddressing is used

commit b2974cc84cbbefb8d117765acb7230530963aa5c
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Oct 27 13:00:42 2007 +0000

    * removed all the 'live' tests from the echoping probes --niko
    
    * log a warning message on the first 'round' of pinging if curl or
      echoping exits with non-zero status --niko

commit 51243891b9e493882c59e582c5188f48e1127bed
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Oct 27 12:05:57 2007 +0000

    count the rounds when pinging, needed for smarter logging

commit 15ce7b9d28dda1afb6b892c1e2a34e057f3fdb60
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Oct 15 07:49:18 2007 +0000

    * fixed parsing of slaves statements in config file, broeken since I seemingly relaxed the hostname constraints.
    * removed all online testing from Curl and EchoPing probes

commit 03d504e82b3e6c77c0b59af415ff740de1b483f3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Oct 15 07:44:40 2007 +0000

    I wonder how it did work at all like this

commit ee70defccd3a3f4d9a7830ba2783c145a8c215ae
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Sep 29 14:51:47 2007 +0000

    allow rightclicks in the legend area

commit 8d9ecb5de29a91d0fa71c889516ec557508616fd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Sep 29 14:30:24 2007 +0000

    disable right click

commit 2b09417b8ca76689f147f1097806af9820cfc9b8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 28 21:42:45 2007 +0000

    the \ must stay in the string!

commit 397a932de585aa078c5c2a1fceae10c3e85093ee
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 28 17:58:32 2007 +0000

    * allow the slave name to be configured
    * be more liberal in what is allowed for slave names
    * allow port configuration in the SSH probe

commit e8783b5de226f8c5e338e04c38aa4b692c986fd8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 26 09:07:57 2007 +0000

    integrated real config grammar 1.10

commit 57c07d927088455b47ad42d2d49b1ddb8bf324f7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 25 22:15:20 2007 +0000

    added notes on hostname to master slave doc

commit 4e23d2b3b310038131e8952aef1150c392b4f448
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 25 12:29:53 2007 +0000

    updated to config grammar 1.10

commit 7b910a7d34a768f75e03ce357a0e8446e3237677
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 21 17:11:35 2007 +0000

    force a config reread on reload_config

commit 306508c440ba0717e63b94511bf4ea3414def403
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 17 20:46:04 2007 +0000

    make the smokeping zoomer calc a little simpler

commit 6a75268cbeb2297729926bcf6041188f2b758cae
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 17 20:43:11 2007 +0000

commit d6a366a132c133b90705e56aace2d24f6e735d7b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 17 20:30:49 2007 +0000

    added changenote on cropper zoom out

commit 72de4410e1c8d2d79384dce8eabe884252f0290c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 17 20:30:14 2007 +0000

    when selecting something outside the graph, multiply by 10. Use this to zoom out

commit 3ab95c6f225b3cc697e0431ec5e23c782279acf9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 16 18:48:36 2007 +0000

    prepare for the release of smokeping-2.2.4

commit 13122a1eb2aa80ffe830fddf256e7557048fda8d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 16 18:45:51 2007 +0000

    added id target to target

commit cf08931e47349f96a5793124a5b939ff607a3cd9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 16 18:41:08 2007 +0000

    added missing form id to zoom mode form

commit 303af5df15b6fabfb56cfb12482fef9809873f09
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 16 18:38:36 2007 +0000

    added missing hidden fields to zooming graph

commit 823350a44e048d358bb7545eca95d2c43b447105
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 16 18:17:49 2007 +0000

    tell theuser thatsmokeping is taking 80% of the time available to complete its polling cycle -- tobi

commit cc8921fdf54244edad3895514a3c9c80ca2f563f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 16 15:24:22 2007 +0000

    oops the tree points right at the node and not at its parent ...  -- tobi

commit b5b7c0f2dc7420cb4c322f571ae16743bd621b39
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 16 15:12:25 2007 +0000

    * don't complain when there is no data in a graph yet while calculation stddev -- tobi
    * in a multihost graph take the number of pings for each component into consideration  -- tobi

commit 246f2b329811de06711d2c60c1010106034a7eec
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Sep 14 12:41:46 2007 +0000

    * fix Smokeping.pm POD documentation -- niko

commit 7200da12e6f38bc18d0b32f71bb3557eed442b90
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Sep 13 20:43:39 2007 +0000

    * include the prototype.js license for completeness -- niko
    
    [ apologies for the license nitpicking; Debian requires that all the
      applicable licenses are included instead of referrals to their possibly
      volatile locations on the web, and I think the requirement makes sense. ]

commit 7176812d4b8f8520557aab44c3ac7378374b676b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 12 21:35:13 2007 +0000

    should not have my mail address in the config example

commit 3586889c03cae00263de98129b1662e9abc7b14a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 11 06:12:01 2007 +0000

    rounding error fix for sqrt

commit fa5abd5d25b193c47400f116c852c0a0b176322a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 6 15:43:45 2007 +0000

    prepare for the release of smokeping-2.2.3

commit 36ab642eaaa3a27e346659bef7fff07b3733ca30
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 6 15:42:52 2007 +0000

    fixed timezone issues in zoomer

commit 07465f9e04a8b0c92e047365971957b7250d9433
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 6 12:24:54 2007 +0000

    remove iso date stuff and go for real time only

commit 4410709a93b9c8d0f464f52b793966a3af573eb7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 5 22:49:38 2007 +0000

    we need rrdtool 1.2 now

commit 84c432fa1e16ccb3173101d0b7dea811f2363ac3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 5 22:44:08 2007 +0000

    added js min/max check to cropper

commit 7a16ae0476245170acf984676aa8c093af430c9e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 5 22:33:34 2007 +0000

    mode docs on multihost

commit 9e8f6c24f74b110febe27ebc2343c28fbe40c22e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 5 18:00:19 2007 +0000

    js is cropper now

commit 25d4c21620dd04ce9c472ec5141560cefdf9ae29
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 5 06:13:24 2007 +0000

    * fixes for pod generation
    * skip multi target hosts for slaves
    * report content-lengh in header

commit 4280c7413ee558d1e19f993a85b675d3c4598a05
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Sep 3 11:21:58 2007 +0000

    typo fixes

commit a930766439a857d04be7c248ea6b934d50f57424
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 12:21:34 2007 +0000

    prepare for the release of smokeping-2.2.2

commit b5e24ab91e1d66459e12bb8f25ef411f95fe9de8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 12:17:42 2007 +0000

    adding 1.5 for max is too much

commit 2151f50214096be6983e7e3e7215bf87e635cd07
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 12:12:34 2007 +0000

    reserver space for sd

commit 8de423b57ed5265fe7a2681cd581a0b30261a5e6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 12:07:23 2007 +0000

    links in chart mode to slaves were wrong

commit af82e636a8f3a83fd22f475fefdf5f98d9be8a9c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 09:49:08 2007 +0000

    prepare for the release of smokeping-2.2.1

commit 109d05affef8762a0d27fb956f27d8762e0a22d8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 09:46:30 2007 +0000

    prepare for the release of smokeping-2.2.0

commit e262eac461d5b037b20ff7446c6c99137d7e2e2e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 09:45:38 2007 +0000

    get ready for 2.2.0 dist

commit 371043ac25913355a7239ccbe35f341ab65d800a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 09:43:28 2007 +0000

    fixes after testing

commit 66e499975a20daf698545dcadd80a572a1df0eb9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 07:54:51 2007 +0000

    do not start when we get no config

commit fec4230894e1c24460031f4ac3ae7f10ed1cf815
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 07:49:16 2007 +0000

    some fixes after intitial slave testing

commit 044798e9867a8d20319f8714e43090fe2bc85979
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 07:07:08 2007 +0000

    added missing graph module ..

commit a7bd89a24de51921637ce3f297be362ad17d65ab
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 30 06:55:46 2007 +0000

    integrated multi-host feature

commit 923cb59acf4245c851093b4fe465a62f97e1543d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 28 20:39:55 2007 +0000

    try to kill split warning

commit 25e6ce94b50e5f2fdc9e0c4d708d5660083c4a71
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 27 20:46:14 2007 +0000

    implemented working multihost graphs

commit 080753b7ed8f31d314210e4f85024da90a9471b2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 27 20:23:32 2007 +0000

    integrated multihost overview

commit 0f345b5386ba78d2aaeaffae975b666f7e9034c9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 27 18:25:19 2007 +0000

    added new hostsyntax

commit d6c26eba5bc06be2952265881e4666a159a91dfb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 25 22:21:33 2007 +0000

    use the safe module in the slave part of smokeping to reduce the problems we
    may run into due to using eval on the input from the master.

commit 0eb5011f946b9e9e9ff2315a710730003ae5bf76
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Aug 24 12:36:51 2007 +0000

    two more var statements added to js code

commit e6124dcdd53763c601f6c2f6186abae59c45237c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Aug 24 12:34:49 2007 +0000

    fixed unknonwn variables

commit 3f641e37b99d5aa18ecf2f58364696ac17f859d2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 23 20:58:01 2007 +0000

    * improved handling of slave updates
    * added median/sdev to graphs

commit ed8e591272fa1c7ca012db03b45568ec81ff9cfd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 21 19:41:56 2007 +0000

    * add notes about new target-path hosts for multi source graphs
    * fix slave zoom graph (we were showing the non slave graph with the slave title)
    * better error messages form rrd update

commit d011593577316a9782b6dca8cc4d09dc0b98aba3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 21 19:40:36 2007 +0000

    improve handling of storable for for communication between cgi and daemon

commit ba4e1c581d671ca47bed2ba19bae37849c27a935
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 21 19:38:19 2007 +0000

    fix cache handling

commit a7516a949c37dca39141dee7baeb72b01f262b29
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 21 19:36:35 2007 +0000

    remove cache after reading it

commit 4909ade650a31797ee4d305565a91061e8a5b812
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 21 14:39:54 2007 +0000

    added some extra vars

commit ebe189c85bfedaaf70e5657c8334bf7e0b750a99
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 21 08:39:36 2007 +0000

    * add ms unit to stddev
    * set date for graph according to last displayed time

commit c8a54c6943d42a23d54d25b18a5724fab7a6f996
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 21 08:39:01 2007 +0000

    * do not select '0'
    * more flexible date parsing

commit 4a54b26849a3edd2dcdfcfbb76310887a8bb44d0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 21:12:45 2007 +0000

    replaed jquery stuff with cropper script

commit c2701cd9f6ce10f7b92a997559e64ca7c516cd8c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 15:54:05 2007 +0000

    execute js code only if there is a #zoom image

commit 16b678a3b085fea2b60aceb6c489439b4eba0a4b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 15:43:56 2007 +0000

    made chars mode work

commit f6760febddac8e72743e6b3fc592ec3992461d78
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 15:12:40 2007 +0000

    fixed color in slave detail graph
    fixed max setting in charts module

commit eacecb176b5f4d4cdfdb80808f2a24384960846e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 14:44:22 2007 +0000

    more zoom fixes

commit c410011f2d8102ae927bda7f5223471ce387c9fc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 14:42:26 2007 +0000

    integrate helper and updated changelog

commit f0b493945725fef85bfe2dc110ad37388e36aa58
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 14:36:13 2007 +0000

    fixed broken slave split

commit 1aff1fefe02d169f24b49be8775b77237dd25fcd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 14:32:12 2007 +0000

    interoduced std dev

commit 201c1d43ebf73e70032309978a0704a29e3537fd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 12:16:11 2007 +0000

    make navigator work for slave graphs

commit 80e63dbd61a1d431e4a338316a14a099cdea434b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 20 05:59:44 2007 +0000

    finally working code on ie (although it looks quite bad) and firefox

commit 3999a99132f2bc44c5e532dae3a89225944ca746
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 19 20:25:59 2007 +0000

    added slave mode support to details graph

commit e4e484588e384e9572123b7d21900f6257be8147
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 19 19:47:46 2007 +0000

    integrated navigator graph

commit 081d224c879e6851712a950768d5173afbfbb82d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 16 14:36:17 2007 +0000

    * in ajax mode return graph and do not guess imagepath
    * im overview page display standard deviation of pings in graph

commit 38ae209aa0461d2c7aca1af9d805e78389011a62
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 16 12:17:10 2007 +0000

    introduce slave color

commit 67f512ec9cd208c05a6a37599f0073fcba266999
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 16 11:34:39 2007 +0000

    we are only dealing with uri componentes, so decode everything ...

commit a7db0e688693f175f4812da932aea2598fa9af60
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 16 11:25:36 2007 +0000

    split uri on & and ;

commit 0d36f50e05d91267ed72dbe7236c5d09d14764bc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 16 10:02:17 2007 +0000

    Interactive (Ajax) Zooming of Graphs -- Roman Plessl <rplessl oetiker ch>

commit dedbd98b8522b7da27dcae51cd7b50d6c5ff1c8d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 16 09:17:49 2007 +0000

    fix smokeping pid configurable

commit b62fb4f30a53a932d9b760ea119f830d63b828a7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 16:54:45 2007 +0000

    make master code work

commit 61689a58908b4741f83b4aa2f9faf676bcecf163
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 16:54:30 2007 +0000

    make slave code work

commit a178628cbb7364319cf7c27bc0270545015be5ea
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 12:25:55 2007 +0000

    only push data when there is data

commit 23af83eeef3d6a307034291ac72d30418e987137
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 12:25:12 2007 +0000

    removed excell function call arguments

commit 6d1e217ce8d598b81b54a934c6ae8f7217445818
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 12:21:07 2007 +0000

    add all arguments to slave config call

commit 1c948851e2075ec02d48ac30ebfd4efe9efb8453
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 10:04:40 2007 +0000

    another variable name fixed

commit b72d4f8b4febf466c16d1d6775e4e4ba8746db83
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 10:03:25 2007 +0000

    fix some missing variable declarations

commit c98e512bc9dd3f93eed5cad53476cc8b4fd803fd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 13 09:49:27 2007 +0000

    master slave code drop to start debugging

commit 546c89ee565a0cd905053f5e7edb6d50655a486f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 12 16:37:41 2007 +0000

    added pointer to debian package

commit 1fcc211ee9ad24d6e00776e6482d86c08b004b5a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 12 16:32:07 2007 +0000

    only mention fping reporting resolution if abnormal

commit 4b147a40568beb0fb8ae6cfb8e5e1c024d669cd0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 27 19:54:11 2007 +0000

    * completed master/slave infrastructure ...
    * updated documentation
    * presentation is pending

commit 6f6466013b64af7e906dc12b5a49a39c127f0ac5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 27 10:12:41 2007 +0000

    more changes on the road to the master/slave setup

commit 6daef9205280f61b5830c13836b849eb11462471
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jul 25 22:14:53 2007 +0000

    for retreive the network byteorder gets detected automagically

commit d6b423034c57cdaf2181216ad46afdc4cfbcbe10
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jul 25 20:19:57 2007 +0000

    this is nfreeze not freesze

commit ee4a86c7e444cd51e0914227087582ac1b87c82e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 24 21:47:24 2007 +0000

    master slave changes ...

commit 335b83906ffdcc67dc8e835a1f7e01c2c2212ab5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 22 08:53:11 2007 +0000

    further simplified communication concept ... slaves call the master

commit a0641940e2bc3a1b0490529d37212f98204042b8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Jul 17 10:44:51 2007 +0000

    fix uses of uninitialized value in the loss_background code

commit 4f7bb7081fa7abb24508df16b2f25db369c55df7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 13 22:32:28 2007 +0000

    added some missing curlies back in

commit b1d582fbc5d72229be60160fda13f9e92e6f50ca
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 9 20:27:48 2007 +0000

    initial master slave modules

commit 700759a76d39dc1cfd729414508f542fd37f66ed
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 9 19:31:54 2007 +0000

    added override section

commit ff0a9573f019d834a3fa1525ab27ff0fc2e5f474
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 9 15:27:58 2007 +0000

    prepare for master/slave implementation

commit 1bdc6ae9270bf77bc983ef661142c89e12464466
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 30 12:34:09 2007 +0000

    draw smoke properly even when there is a lot of loss

commit 72804714f5a4a15706215c0ea3f0b4a288b3428f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 28 15:23:51 2007 +0000

    do not test echoping and curl functionality with 127.0.0.1 since there may be someone behind this address

commit d13567a129969c4c3ca0548d08a0d34473aca66d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri May 11 18:03:52 2007 +0000

    revert the previous Curl change, it doesn't even work...

commit 82050d908e18016a65a9573fcfb8025d4bca4bcf
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu May 10 19:32:57 2007 +0000

    fix Curl usage regexp that would match webpage contents too easily
    https://bugs.launchpad.net/ubuntu/+bug/73437
    hopefully this is just a temporary fix until we start checking the
    return code instead

commit bac139a24caca3f26a55968b4f9a9db333411ce5
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu May 10 19:27:08 2007 +0000

    fix lost smoke (Debian #412826)

commit 7bc36ce39e814253406d6a045e567065026ba7f4
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon May 7 11:27:57 2007 +0000

    ignore svn-commit.tmp when releasing

commit b8ebbe2adad757a0592d6d02ec71f6bf196c0e1b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 2 18:17:48 2007 +0000

    fixed spelling

commit ad473a60116fb231b2c5232cc914c28fb1af4fea
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 2 16:16:07 2007 +0000

    prepare for the release of smokeping-2.1.1

commit 7e10ce2db865158e1c3216214ff18c2997160345
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 2 16:14:07 2007 +0000

    fix scaling of detail graphs

commit d5b4a21e9ee46a1a4ebe39f2d2d507961506a910
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Apr 30 22:07:36 2007 +0000

    fixed spelling

commit 96c0901c6922d814d4c8f061e8c60c8380988f7e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 29 10:42:50 2007 +0000

    prepare for the release of smokeping-2.1.0

commit e9c56f1259a5b0fa9706a9244fca23bb9cd069ab
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 29 10:42:01 2007 +0000

    prepare for the release of smokeping-2.1.0

commit 0d7856c86555136c1b1d9bbd1cb5c84e6833fcf7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 29 10:40:31 2007 +0000

    prepare for the release of smokeping-2.1.0

commit e02bd6d388dcd4898ed5d14af97c7f02f78355f0
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Apr 15 11:59:27 2007 +0000

    add links

commit aebb3fb352f326c0f72967ed24e3255ee677f9e2
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Apr 15 11:55:07 2007 +0000

    add comment

commit 68256963c77579525aca2cba503072ae4dd26e28
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Apr 15 11:53:41 2007 +0000

    improve the echoping 6 note

commit 098e051a4475708a48f589cdf24f78beef23c926
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Apr 15 11:48:17 2007 +0000

     r1065@rispa:  niko | 2007-04-15 14:44:20 +0300
     add comments

commit aea0aa3fdfaf06c2093363d690ce8c6738c1b6e4
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Apr 15 11:48:14 2007 +0000

     r1064@rispa:  niko | 2007-04-15 14:39:57 +0300
     add examples

commit b0a8245fe56e8fb1ace0dc2524ce7b1ca6f694a1
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 20:46:55 2007 +0000

     r1061@rispa:  niko | 2007-04-14 23:46:31 +0300
     smokeping_upgrade echoping6 entry

commit a2e1e5362389bc23f8b3826de3034feda5a10793
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 20:46:52 2007 +0000

     r1060@rispa:  niko | 2007-04-14 21:51:42 +0300
     add EchoPingWhois

commit 58f0290fdd16e480c42c558bc4a2a8c19a56215a
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:56 2007 +0000

     r1049@rispa:  niko | 2007-04-14 21:11:21 +0300
     changelog entry

commit ee9fe37aa2e14a2dcb7e12c773a45ac7d8033616
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:54 2007 +0000

     r1048@rispa:  niko | 2007-04-14 21:01:51 +0300
     add echoping ldap probe

commit b3a821582cc383947831954f9c562f8e8dddffd8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:52 2007 +0000

     r1047@rispa:  niko | 2007-04-14 12:15:40 +0300
     don't test for the plugin, since the user may have overridden it

commit ed89ca2a7173da7ec19f207be121e40df14f051b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:50 2007 +0000

     r1046@rispa:  niko | 2007-04-14 11:44:40 +0300
     fix documentation

commit a014a07efb6b9ec156de0e8d49b9630c08ac6bc7
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:48 2007 +0000

     r1045@rispa:  niko | 2007-04-14 11:26:44 +0300
     fix post_args

commit e4e9810641b2804bdf25b5adf824e41bf90625e7
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:46 2007 +0000

     r1044@rispa:  niko | 2007-04-14 10:55:19 +0300
      r1043@rispa (orig r713):  ntyni | 2007-04-14 10:55:07 +0300
      don't test usage if running as CGI

commit 71ced95ec446391172c5f84be3950498a2a0a728
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:44 2007 +0000

     r1042@rispa:  niko | 2007-04-14 08:24:57 +0300
     post args

commit ee78a2434ef77fdce97546aca173ebbd0391676a
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:42 2007 +0000

     r1041@rispa:  niko | 2007-04-14 08:14:10 +0300
     targetvars skeleton

commit c3c3661714df4dd4eaefd4c8bb9573f873d78461
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:40 2007 +0000

     r1040@rispa:  niko | 2007-04-13 22:50:40 +0300
     documentation

commit e8f080ca27f06e945747201fbd7a941e859bb4f0
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 18:11:37 2007 +0000

     r1039@rispa:  niko | 2007-04-13 21:57:43 +0300
     initial version for a base plugin module

commit aeb0b49ee5c442ce66e675c83dadf44ee0ea8bbf
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Apr 14 07:55:07 2007 +0000

    don't test usage if running as CGI

commit e940342e10e11fdc8142e18bc64f31494c1268d3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 11 12:40:13 2007 +0000

    if max_rtt is set, use it! http://bugs.debian.org/412826

commit f791cc4b4470c90ac8b4fd2205a840d0f222513e
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Mar 10 18:40:25 2007 +0000

    bail out at startup with an error message if LC_ALL is set

commit 77692aa0168d42f9db7bcef9c40ee1cb4dbf5734
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 15 23:11:11 2007 +0000

    fixed some bugs that only showed when releasing ...

commit 7ec773d7d21690744619f364855dd02e04949d4d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 15 16:25:13 2007 +0000

    smokeping charts added -- first drop

commit c13a80d2aa273f42d6c3f67f384ed3c7fd1d969a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 14 20:27:50 2007 +0000

    improve -S note when launching FPing probe

commit fb2b5def3024bc60f82e2d976a26b3b7a7ba36ab
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jan 13 17:39:57 2007 +0000

    median was lacking a new method ...

commit 6c0ca319ff8ae3a2b4c518e61225a87ccc514228
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 14 08:41:21 2006 +0000

    make the error more friently ...

commit b95c089ddd3a2123b27e47ce21ab35e1819c38a7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 12 07:22:12 2006 +0000

    new beta release for virtela

commit 1ee77b9f56eb1d450c8bedc6e43037d7d5b632c9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 12 07:14:34 2006 +0000

    added new Median ratio matcher - comparing two medians
    fixed classic Median matcher

commit 6a6ad273bb1d9e53835c045ff09fa222bfd9c0a8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Oct 26 12:03:35 2006 +0000

    * make the CGI not croak if a password file is not readable. -- niko

commit 7c6e090f868e6f750c24ca4da3d31c69a8bdd99d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Oct 25 21:24:04 2006 +0000

     r402@rebekka:  niko | 2006-10-26 00:26:37 +0300
     add better ipv6 source address example

commit f917ffe38c78c224952b87aa833d059f7f030101
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Oct 25 20:11:18 2006 +0000

     r378@rebekka:  niko | 2006-10-25 23:13:14 +0300
     don't complain about '-S' missing if it isn't.

commit 11f5b17c55654c838a2aa1ad5842224b541a2424
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Oct 25 20:11:16 2006 +0000

     r377@rebekka:  niko | 2006-10-25 23:12:34 +0300
     don't die at startup if syslogd is missing, just warn.

commit 556a41ddf75f302643b9f81c344ffb731a5d0093
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 25 19:59:22 2006 +0000

    lets be less extreem with regexps ... :-)

commit 48ac00bb2d537725a61fde25ad37c61035bf2d5f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 25 17:50:21 2006 +0000

    add missing if statement ...

commit 16c2d510b85f036fd411d05ef27f665170ed9413
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Oct 24 21:38:11 2006 +0000

    fix typo

commit 84c23d3be428bb2b2dc1d572e664b228b790dd3f
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Oct 24 19:04:12 2006 +0000

    handle a dead syslogd (Debian bug #395056)

commit 242cc6534d04d0b226219f0cd0674b03a92b4816
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 24 05:45:29 2006 +0000

    added link to -S patch in debian bugs

commit 2308a4663349102ad0f00989da53b0b0f2e89586
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 24 05:43:58 2006 +0000

    added source address patch with -S check ...
    updated version numbers in files ...

commit c975730e045c5b32944cb6756e8091519ec65d0c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 22 22:13:59 2006 +0000

    use only the base name not the path of the src file for the destionation

commit 4afa8d737f18a3a1241a8b71f96d28b7fdb1ffa5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 22 22:13:11 2006 +0000

    allow . in section names

commit 1f1f9c50e4b18d9bdbe0a90874d9f92fa9c1e3ae
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 22 22:11:43 2006 +0000

    add propper pod NAME section

commit cef00a141fcccd95c3eaaac5e05d1b2aead6b49f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 20 19:16:30 2006 +0000

    fixed FTPtransfer probe to use srcfile as default for destfile.

commit d9d02e26fe34b577f5b2dab1d654a3da49190449
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 8 13:01:16 2006 +0000

    updated version strings
    intergrated fixes for alert priority settings

commit 1947fa82b24b9f5d526f5909454c8c7168ce3bd4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 8 09:31:35 2006 +0000

    added alert priority to _vars array to make the parser recognize it.

commit 9778fbf78c1db9f5c77f8e82cbb0ada29f6f3913
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 7 22:06:21 2006 +0000

    fix name of FTPtransfer probe in its own documentation

commit 9a56f383b726082c3a8f3bb5982ec3a5a334e29c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 7 22:05:49 2006 +0000

    make sure we do not redistribute old copies of ourselves

commit 680d11861f6222f38b46f18ecc552af3ec8917f8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 7 22:05:10 2006 +0000

    added new priority property for alerts

commit 8a4c23496d19915818b87a9050e01a478b94a5cc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 7 22:02:35 2006 +0000

    added WebProxyFilter probe

commit edbe6f2aa91d6d8d3ce6092aaf97fe5d08ecbbc1
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Sep 7 06:31:39 2006 +0000

    make the LDAP 'scope' option actually work.

commit 364743d3606928e114cedc84e9d6c2f7cef7c7a3
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 6 21:31:44 2006 +0000

    typo fix

commit a0f42d4ccf2c4637cf2e40fd58c9cd9b36466909
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 6 21:29:46 2006 +0000

    yes|no needs to parenthesized, as Config::Grammar matches it as
    /^$re$/
    so eg. "yessssssss" and "abceuano" match otherwise.

commit 425d5b5be4e76469c0c95bbdce4ade33466e624f
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 6 21:09:00 2006 +0000

    typo fixes

commit 0e8a6e46497e5a152e3434b556538ffd1d913a5d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 31 08:08:54 2006 +0000

    2.0.901 internal release with minor touchups. Especially the FTPtransfer
    probe now reports in seconds like everyone else ...

commit 8edaa7fee41f9d5597a656123a481f2483906053
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 30 23:12:31 2006 +0000

    added alert mailtemplates and new probe config ProbeUnit

commit a1e648c79fc9300d981b45c0d31b594c819b51c7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 30 08:36:34 2006 +0000

    images shoud be written in binmode

commit e0f339933ed2ab70a1b6d48f962a0b091ea9337e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 30 08:35:38 2006 +0000

    make perl binary configurable in makefile

commit a8e660624f549afabf3b175107263693a3aca454
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 30 08:34:16 2006 +0000

    fixed compatibility with newer echoping versions

commit dd3accda13569f43b6aa83025698a3a247b2c5a1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 30 08:33:17 2006 +0000

    log the fact that no replies came back from a device

commit c4c40a6046548f022440d8ccfdae49da9fa3a5e5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 30 08:15:07 2006 +0000

    * spelling fix
    * call rrdupdate_string only once

commit fb7a20fbf7d55ecc6990918ea099f44daf8b9dd0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 29 16:17:12 2006 +0000

    initial version of the Virtela FTPtransfer probe

commit afb0fe8401909a0087a5425337bfa2a2b6692a1f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 29 15:56:34 2006 +0000

    merge bug fixed (GetOptions lost a line)

commit 9b1b305a1677443fc6f627d10f597331d29f08e7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 29 09:17:36 2006 +0000

    fixed merge in upgrade docs again ... selfreferencing links were earlier

commit ed2fcf4de53126ae7dc3973f2a27aa15c00e9160
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 29 09:15:25 2006 +0000

    merged missing upgrade docs

commit f86998b3e0c689ca234245343aa75e7cdc5519d3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 29 09:08:31 2006 +0000

    merge back to trunk

commit c2b6279de0c09f62ef2a43e1f35955046600e74c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 28 23:00:59 2006 +0000

    prepare for the release of smokeping-20060829_trunk

commit ec5c8efba55d43c65630564024aabdb51e34224f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 27 23:01:07 2006 +0000

    prepare for the release of smokeping-20060828_trunk

commit a2b37b9b3fadba2dcfc093cdba6d0fee2e532222
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Aug 25 23:01:06 2006 +0000

    prepare for the release of smokeping-20060826_trunk

commit 96cc81ec26b5990187ac78815178706d02fda035
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 24 23:01:15 2006 +0000

    prepare for the release of smokeping-20060825_trunk

commit 39ddbcd0fd52495a25800655a36b6d1931f676d1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 23 23:01:18 2006 +0000

    prepare for the release of smokeping-20060824_trunk

commit 3e9b23aa8d437920c422e70040bd6f96a739fdbb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 22 23:01:12 2006 +0000

    prepare for the release of smokeping-20060823_trunk

commit 1887b577e96b5d45aed013afcf32a9f3382e19dc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 21 23:01:06 2006 +0000

    prepare for the release of smokeping-20060822_trunk

commit f1d826700d09b3783c44b49f9502cb381d9cda45
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 20 23:01:18 2006 +0000

    prepare for the release of smokeping-20060821_trunk

commit 2e1beb69d82a6d7b1aeb138aa8d3bf9ab733939f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 19 23:01:00 2006 +0000

    prepare for the release of smokeping-20060820_trunk

commit 879fb4247906dd9eac91acc9a055e51aa20917e5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Aug 18 23:01:03 2006 +0000

    prepare for the release of smokeping-20060819_trunk

commit 0ca7a5fd001a3d159e741ab88a306ba0508e55ad
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 17 23:01:13 2006 +0000

    prepare for the release of smokeping-20060818_trunk

commit dd01d2673a77aadd77742ec8428ef62d9480e6e8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 16 23:01:11 2006 +0000

    prepare for the release of smokeping-20060817_trunk

commit b4e6f28d05d1427ee17553793049892a5b7e1a1b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 15 23:01:14 2006 +0000

    prepare for the release of smokeping-20060816_trunk

commit a861412cc85fd76c30cb0e0ce5ef0200487805a1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 15 05:59:57 2006 +0000

    allow multiple Mailserver
    add shorter timeout to smtp module

commit fc280a35cc9b6cc96f26d13d4ab87e9a041cf154
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 14 23:00:53 2006 +0000

    prepare for the release of smokeping-20060815_trunk

commit 71681f39c4e5102b5a2c629ee7a16e9f8a20f8d0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 13 23:01:19 2006 +0000

    prepare for the release of smokeping-20060814_trunk

commit 0d1c06ba9b183c02a9bca6987ac6f52951f136f6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 12 23:00:52 2006 +0000

    prepare for the release of smokeping-20060813_trunk

commit 9d944716c0b1a3ba2a1057865f787e40bc0cef7f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Aug 11 23:00:56 2006 +0000

    prepare for the release of smokeping-20060812_trunk

commit bb79f178b55d84776e72d123634513941e4cbf94
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 10 23:00:54 2006 +0000

    prepare for the release of smokeping-20060811_trunk

commit eea608d23ea60480a67dc5bad16821096c0d8d3d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 9 23:00:58 2006 +0000

    prepare for the release of smokeping-20060810_trunk

commit 5c74f8d92d50aecde1eb92e77eef7549ef3d3228
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 8 23:01:00 2006 +0000

    prepare for the release of smokeping-20060809_trunk

commit 8448d6f09bcb2b3712a27df0725daa19a1c15527
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Aug 7 23:00:54 2006 +0000

    prepare for the release of smokeping-20060808_trunk

commit a9e0eabfde78048a7aebdf1cfa7c018aef480fff
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Aug 6 23:01:12 2006 +0000

    prepare for the release of smokeping-20060807_trunk

commit 3c1ff42d19b7f174908ec03eb189481e203b1d9d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Aug 5 23:01:02 2006 +0000

    prepare for the release of smokeping-20060806_trunk

commit cd31717822c4ed6d4a78b173e74ee76bf504afe5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Aug 4 23:01:00 2006 +0000

    prepare for the release of smokeping-20060805_trunk

commit c8ef7c58a2e9b8dae032071d181ea910106ce037
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Aug 3 23:00:54 2006 +0000

    prepare for the release of smokeping-20060804_trunk

commit e05c856ba16d9c731ecc196cadb408c1af54212a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Aug 2 23:01:01 2006 +0000

    prepare for the release of smokeping-20060803_trunk

commit c39a2544b2fa4f74ea5e32168b270e48c0312b91
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Aug 1 23:00:53 2006 +0000

    prepare for the release of smokeping-20060802_trunk

commit 2ae71f2430ad1ec64882911278078caf41c7ea50
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 31 23:00:52 2006 +0000

    prepare for the release of smokeping-20060801_trunk

commit b585d236b5c9e4fec03146e4ce5c3452507e438e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 30 23:01:04 2006 +0000

    prepare for the release of smokeping-20060731_trunk

commit eda43ee0d111938bd8effeb223a4bd1a81e23998
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jul 29 23:00:53 2006 +0000

    prepare for the release of smokeping-20060730_trunk

commit 4d88e72094fd76b30833299e114038db068863de
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 28 23:00:55 2006 +0000

    prepare for the release of smokeping-20060729_trunk

commit e0ae4ef798ac097ff5703ac1bb3208ded8703ac9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jul 27 23:00:56 2006 +0000

    prepare for the release of smokeping-20060728_trunk

commit a9e9cc5464f76f418838d8b1320adebebf9ec9f4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jul 26 23:00:54 2006 +0000

    prepare for the release of smokeping-20060727_trunk

commit 750edaa98fb0100c7ed55c0fced21da7d3cc7dad
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 25 23:00:56 2006 +0000

    prepare for the release of smokeping-20060726_trunk

commit c10f2699a9eb97e79e237357190c971886074fb3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 24 23:00:56 2006 +0000

    prepare for the release of smokeping-20060725_trunk

commit 650455bf23f0ff0d4199d4e48c87d96a928b4344
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 23 23:01:19 2006 +0000

    prepare for the release of smokeping-20060724_trunk

commit a89ce7953c4bfb06046b87a517e4401e91c9a219
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jul 22 23:01:03 2006 +0000

    prepare for the release of smokeping-20060723_trunk

commit d84352847fb49979a9b78410ad9a1df9f2efd6be
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 21 23:00:58 2006 +0000

    prepare for the release of smokeping-20060722_trunk

commit 3cb15a9faccb4e8fcaf9919f1805ae5e8927149b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jul 20 23:01:00 2006 +0000

    prepare for the release of smokeping-20060721_trunk

commit 4cb033293a392832e7748af39ed99b7c5e30eb9d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jul 19 23:00:56 2006 +0000

    prepare for the release of smokeping-20060720_trunk

commit 161f1b8f58933795b45d772b4b2cd5c0132a2060
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 18 23:00:57 2006 +0000

    prepare for the release of smokeping-20060719_trunk

commit ce8a46b5e9aa091d455ea0e25f5f478a3b6f3110
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 17 23:01:06 2006 +0000

    prepare for the release of smokeping-20060718_trunk

commit 2dc8c44f712a2f70c340dc490adc14b9e6e2058f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 16 23:01:00 2006 +0000

    prepare for the release of smokeping-20060717_trunk

commit 86175a3bdad15b04d2baa969bf6058e93faecabb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jul 15 23:01:09 2006 +0000

    prepare for the release of smokeping-20060716_trunk

commit db0fe70e88e9d0247e800b9a41e1c217fb028bc8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 14 23:01:09 2006 +0000

    prepare for the release of smokeping-20060715_trunk

commit 7f719f169b7df45f8c47b6fa11bd0cdd60bc6865
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 14 09:06:31 2006 +0000

    * added matchers CheckLatency and CheckLoss -- tobi, from Dylan Vanderhoof DylanV semaphore.com

commit 1156e3f7256585535d875e6056651cb93f0abf94
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 14 09:00:28 2006 +0000

    added tacacsplus probe -- Gary.Mikula nasd.com

commit f23f0db53df28f650056bd4ae5f644aa998bee2c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jul 13 23:00:54 2006 +0000

    prepare for the release of smokeping-20060714_trunk

commit 0ec91b093f7fcc8a64e441ac8d883dc7fa503b7e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jul 12 23:00:57 2006 +0000

    prepare for the release of smokeping-20060713_trunk

commit 8e6a401ce24a3c479bc2f24fe0f594b44d8aba1f
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Jul 12 17:32:39 2006 +0000

    * pass 'prevmatch' to alert matcher plugins.
      -- niko, from Dylan Vanderhoof <DylanV *semaphore.com>
    
    (add to trunk as well)

commit d1830b25c0f16ffe684b75ce0c5e4bd2b3f552bb
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Jul 12 16:42:00 2006 +0000

    Fix morning emails in tSmoke.dist.

commit c10f5b164ddf4e727c70f9eaf554f65ef5e2fb27
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 11 23:01:00 2006 +0000

    prepare for the release of smokeping-20060712_trunk

commit b290aa45f2b456046c79fccf68e3e85f04ada40e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 10 23:00:55 2006 +0000

    prepare for the release of smokeping-20060711_trunk

commit 5baf73d8adfbbe6c505edc9a6cae2043a57114f1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 9 23:00:49 2006 +0000

    prepare for the release of smokeping-20060710_trunk

commit 44e773cfd2038deb1989fa63cd6f29dfb8ede0ad
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Jul 9 08:07:21 2006 +0000

    Fix duplicate entry in CHANGES.

commit 24aad364c78d190bdb371d0f19295cbecfc04ecd
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Jul 9 08:06:42 2006 +0000

    Merge a change from the 2.0 tree.

commit bc44b6eb6edf099dbd8f2ba40ce7ed9e03462add
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Jul 9 08:02:54 2006 +0000

    AnotherDNS.pm: added option 'require_answers' for testing
    recursive DNS servers.

commit 7db88eb01e1e02688e17ae79638d5a0ec618f746
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jul 8 23:00:52 2006 +0000

    prepare for the release of smokeping-20060709_trunk

commit 3e300db12870eefb86cfd04e18088efcb5fbf27b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 7 23:00:58 2006 +0000

    prepare for the release of smokeping-20060708_trunk

commit e3ed113b0cad55925ac1850a2b1e8dcd3ee5eb43
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 7 18:21:40 2006 +0000

    fix loss_color description (it is not percents) and add line color non-pale

commit 03be6ba819683a3345571f8e497a2a1bd45a1637
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jul 6 23:00:59 2006 +0000

    prepare for the release of smokeping-20060707_trunk

commit 20bc0b304390a9180a5cf381c1007cee6bf17a88
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jul 5 23:01:00 2006 +0000

    prepare for the release of smokeping-20060706_trunk

commit 41426fca0ac308bc015655fb7bfc1a880fcb1b64
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 4 23:01:00 2006 +0000

    prepare for the release of smokeping-20060705_trunk

commit d69240bd861edbf1a189943f86ca3f95fb5c32cb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 4 07:21:33 2006 +0000

    prepare for the release of smokeping-20060704_trunk

commit f4d656e15874284607d875bfa04fd096a2ebf356
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jul 4 07:19:52 2006 +0000

    forgot to add when incoorperating the loss_background patch

commit 4712a70ca420acce8186b428453bc3c63edf20a1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 27 21:12:36 2006 +0000

    new probe Telnet JunOSPing integrated

commit 8c3025c21d652c8ab9bb5bf19b221e6dfdabc9ae
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 27 21:08:46 2006 +0000

    added background coloring

commit 0c44eb0cc6b20730a7d29030a3b220d664722e2b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 26 23:00:56 2006 +0000

    prepare for the release of smokeping-20060627_trunk

commit 85792ae3d91ca94d0da926a536f2f58d22447a0c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 25 23:01:02 2006 +0000

    prepare for the release of smokeping-20060626_trunk

commit d3b58da692482ac45b5cb365af4fe99a4db93438
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jun 24 23:00:54 2006 +0000

    prepare for the release of smokeping-20060625_trunk

commit 313e5a392ecfb97f8fdab78ecef6aea7f9790c62
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 23 23:01:00 2006 +0000

    prepare for the release of smokeping-20060624_trunk

commit 446159316e2445b0b5596696a8b135529cc64099
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 22 23:00:55 2006 +0000

    prepare for the release of smokeping-20060623_trunk

commit a91c8844b7e3d570753345b453a12ab46ed42f96
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 21 23:00:55 2006 +0000

    prepare for the release of smokeping-20060622_trunk

commit 7533476fe2aa5d68009a9d63c117b6c192f351c3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 20 23:00:58 2006 +0000

    prepare for the release of smokeping-20060621_trunk

commit b21de76409f7dd06a507b268fbd857edfd8a0d86
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 19 23:00:53 2006 +0000

    prepare for the release of smokeping-20060620_trunk

commit 3b5baa2cecbfa29e6f355300e6c4068d1ba1dbce
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 18 23:00:49 2006 +0000

    prepare for the release of smokeping-20060619_trunk

commit c2d71b63191ed2029b57468dcaa5df824236b0dc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jun 17 23:00:58 2006 +0000

    prepare for the release of smokeping-20060618_trunk

commit 4fec7afde03c59022a8473b7d465f01ac822ff16
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 16 23:00:57 2006 +0000

    prepare for the release of smokeping-20060617_trunk

commit c6511eb9a138b20fffde614288d13851e3b8219b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 15 23:00:54 2006 +0000

    prepare for the release of smokeping-20060616_trunk

commit 8bc2e1bc392f4d47ddece6a967a2823691179f7f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 14 23:00:57 2006 +0000

    prepare for the release of smokeping-20060615_trunk

commit 3c2f4e5ab0b7318c6ea1e59b829b09533a4aaf25
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 13 23:01:02 2006 +0000

    prepare for the release of smokeping-20060614_trunk

commit ada7c0231d4727090ac38a8a75ae0b67e8901c33
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 12 23:00:54 2006 +0000

    prepare for the release of smokeping-20060613_trunk

commit ed32779e3e1c3e6c26b872d04c3ee38ba88863b5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 11 23:00:51 2006 +0000

    prepare for the release of smokeping-20060612_trunk

commit ecb759c66137c299fde8448d250ab9ce7a530bae
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jun 10 23:00:56 2006 +0000

    prepare for the release of smokeping-20060611_trunk

commit 154b4af0d6a2c7386dfe6c90441bf41588d75b39
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 9 23:01:01 2006 +0000

    prepare for the release of smokeping-20060610_trunk

commit 1a74a8b236db6c3a8f8996572ad70407bc52864f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 8 23:01:02 2006 +0000

    prepare for the release of smokeping-20060609_trunk

commit 2820736e7ed7adec3c1e34cf83f89b20e727a058
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jun 7 23:00:59 2006 +0000

    prepare for the release of smokeping-20060608_trunk

commit bf0e5b5088c2704a4fa9537696e496d4de8c97e3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jun 6 23:01:01 2006 +0000

    prepare for the release of smokeping-20060607_trunk

commit 4ef7e21bf432ac403d7f9b063a28794595a6dced
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jun 5 23:00:52 2006 +0000

    prepare for the release of smokeping-20060606_trunk

commit 69a6cfbe69cad46a79cae24118c987d85aa703b3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jun 4 23:00:51 2006 +0000

    prepare for the release of smokeping-20060605_trunk

commit ed4246d5c391c6b21ab0ccc8c7bccb32e6939641
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jun 3 23:00:51 2006 +0000

    prepare for the release of smokeping-20060604_trunk

commit 3a8c46ba012c22b5d2e1d0b3117b40b64fd32813
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jun 2 23:00:49 2006 +0000

    prepare for the release of smokeping-20060603_trunk

commit 2fa7b05cffef73b954a9be329cf51d3d4de72209
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 1 23:00:51 2006 +0000

    prepare for the release of smokeping-20060602_trunk

commit 2ad7c535303ab45e5238507d2d7313ba1275c153
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 31 23:00:58 2006 +0000

    prepare for the release of smokeping-20060601_trunk

commit a54a90cdbac3c5e91d56a376d1ac375f4bb71f4c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue May 30 23:01:00 2006 +0000

    prepare for the release of smokeping-20060531_trunk

commit 69b06b6d2be1213fad332fc9703d21a9def4ad3a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 29 23:00:51 2006 +0000

    prepare for the release of smokeping-20060530_trunk

commit 6dc9756724675d893fdd7a5b5d360f92ed834295
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun May 28 23:00:50 2006 +0000

    prepare for the release of smokeping-20060529_trunk

commit 8ca5b2f635bde291f60b421e1a8f4fad2c0fbe74
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat May 27 23:00:58 2006 +0000

    prepare for the release of smokeping-20060528_trunk

commit d39c56dca8b14e5fb90695e62a3ba288e6094d6c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri May 26 23:00:54 2006 +0000

    prepare for the release of smokeping-20060527_trunk

commit ff15a9dfc43a89f23ed99e100b97c6280ca79a96
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu May 25 23:00:51 2006 +0000

    prepare for the release of smokeping-20060526_trunk

commit b00129a9eed4717d3b320cb728bead23e177e160
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 24 23:00:52 2006 +0000

    prepare for the release of smokeping-20060525_trunk

commit 22af5167d41c79e382754ae96e408feb135e4ef5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue May 23 23:00:51 2006 +0000

    prepare for the release of smokeping-20060524_trunk

commit 361ba786435396499dae9d858f9bdf26fd385f2f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 22 23:00:54 2006 +0000

    prepare for the release of smokeping-20060523_trunk

commit 9b89c87e8139103df792cd55cf0cebae2211ea0d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun May 21 23:00:53 2006 +0000

    prepare for the release of smokeping-20060522_trunk

commit d1d4941d1821370757de586e0fc06bd36dc8595e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat May 20 23:00:52 2006 +0000

    prepare for the release of smokeping-20060521_trunk

commit f8f2d9bdaef64d25ab261004e1d5bd9acc8c2ba8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri May 19 23:00:58 2006 +0000

    prepare for the release of smokeping-20060520_trunk

commit a0650b1631c9588c7fc796afe5536e662c090d4d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu May 18 23:00:56 2006 +0000

    prepare for the release of smokeping-20060519_trunk

commit d0b8cabf6e9030ee17b5eda9d4584967f0e25203
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 17 23:00:56 2006 +0000

    prepare for the release of smokeping-20060518_trunk

commit 236114c315a288a6a863f84becab449a325295e6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue May 16 23:00:54 2006 +0000

    prepare for the release of smokeping-20060517_trunk

commit d314839ab2f912567b1953303b548a3d65612b15
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 15 23:00:51 2006 +0000

    prepare for the release of smokeping-20060516_trunk

commit c3f200246ff749093fedc0606867967af1568622
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun May 14 23:00:49 2006 +0000

    prepare for the release of smokeping-20060515_trunk

commit 5ed6e51c5681cfb899d672a5c86bf6cd2301ea6f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat May 13 23:00:51 2006 +0000

    prepare for the release of smokeping-20060514_trunk

commit aa47de5289ea7cd132f38c94c21b6b67647d35ab
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri May 12 23:01:05 2006 +0000

    prepare for the release of smokeping-20060513_trunk

commit 87f40d8fdbe73a8d76b84871c6ed4a2fe25ded72
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu May 11 23:00:58 2006 +0000

    prepare for the release of smokeping-20060512_trunk

commit a4b04c9c2d6be88f61e1da5b8e17de02b09f1344
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 10 23:00:51 2006 +0000

    prepare for the release of smokeping-20060511_trunk

commit 2f862b1505ae982ecee7a33c0d19bebdf37013b2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue May 9 23:01:01 2006 +0000

    prepare for the release of smokeping-20060510_trunk

commit b00f64b74155e0f4de20a2d0ec40827a04b5b534
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 8 23:00:53 2006 +0000

    prepare for the release of smokeping-20060509_trunk

commit 14e7c8600754d80b15ae12d7718271690be9e664
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun May 7 23:00:51 2006 +0000

    prepare for the release of smokeping-20060508_trunk

commit 908bc3dbac3dbefccaa13e14e197b58999e2d0a7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat May 6 23:00:49 2006 +0000

    prepare for the release of smokeping-20060507_trunk

commit 2e599fc3eff72072eb4228a42b617ca84e5fc3de
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri May 5 23:00:51 2006 +0000

    prepare for the release of smokeping-20060506_trunk

commit aa462852a935c9c1a258eb5c09d2f5c7b3f5c6e1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu May 4 23:00:54 2006 +0000

    prepare for the release of smokeping-20060505_trunk

commit a8c8a3ef946d1d5303a4556e903941c18e473470
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 3 23:00:53 2006 +0000

    prepare for the release of smokeping-20060504_trunk

commit 66716035022e2f8158bf4fdbee340637cb563560
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue May 2 23:00:50 2006 +0000

    prepare for the release of smokeping-20060503_trunk

commit 0ba264ad26728b522dca8681df97369e42e81b92
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 1 23:00:50 2006 +0000

    prepare for the release of smokeping-20060502_trunk

commit a1c148476f32f43bfc0c064f3e05dd694230b9ab
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 30 23:00:51 2006 +0000

    prepare for the release of smokeping-20060501_trunk

commit 3b6841978aff64e8f21aa424e2245d46c0132094
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 29 23:00:51 2006 +0000

    prepare for the release of smokeping-20060430_trunk

commit c9b778cc793a0aa617b378f289ccca27aa73204a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 28 23:00:50 2006 +0000

    prepare for the release of smokeping-20060429_trunk

commit aca2888dd0ba3669c4a564d91b58b1ff20ff929b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 27 23:00:56 2006 +0000

    prepare for the release of smokeping-20060428_trunk

commit 1b93efcb67eab9d086d737e21705956ff859f9b2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 26 23:00:53 2006 +0000

    prepare for the release of smokeping-20060427_trunk

commit 979e18a01a43bc15dbd0e8234a2bf607ab08f541
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Apr 25 23:00:54 2006 +0000

    prepare for the release of smokeping-20060426_trunk

commit 305c42df2a4ac4fa8a2b33a0a0683b028e626e98
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Apr 24 23:00:53 2006 +0000

    prepare for the release of smokeping-20060425_trunk

commit a391548f32753e651cb44c297cb010eb9f8d0152
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 23 23:00:54 2006 +0000

    prepare for the release of smokeping-20060424_trunk

commit af42b4765bf1b04ccc024a94d6e3f473df3f2371
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 22 23:00:54 2006 +0000

    prepare for the release of smokeping-20060423_trunk

commit 60ab462d5400ec529c045f40f29bd4cb0d5859bd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 21 23:00:55 2006 +0000

    prepare for the release of smokeping-20060422_trunk

commit 4530ab950e1189b01132f7d2b08ae40d18da1a61
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 20 23:01:03 2006 +0000

    prepare for the release of smokeping-20060421_trunk

commit 971bd0e476bae219341624848d1bae68241a42e8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 19 23:00:55 2006 +0000

    prepare for the release of smokeping-20060420_trunk

commit 46ee95fed2d9fd96185ba3e845b3b313ad5c05b5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Apr 18 23:00:57 2006 +0000

    prepare for the release of smokeping-20060419_trunk

commit 1d4293fd5da3b375fb309c30b8072571615813f0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Apr 17 23:01:06 2006 +0000

    prepare for the release of smokeping-20060418_trunk

commit a2b9b44105bf022c23f5fd8edcdc65fae6c4dcb3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 16 23:00:50 2006 +0000

    prepare for the release of smokeping-20060417_trunk

commit f15f1a911d68fb398eff6e50f260d17cee2ae956
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Apr 16 06:21:36 2006 +0000

    Bring back 'fping -t'.

commit d414b046426118fee953f74bde16a31b83fe9fa9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 15 23:00:51 2006 +0000

    prepare for the release of smokeping-20060416_trunk

commit 321bd6f0be0f2e172b42224efd22fd3eb5111709
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 14 23:00:58 2006 +0000

    prepare for the release of smokeping-20060415_trunk

commit 8d772edffc35ca5adbcbb96a0e4153d0cb744898
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 14 08:59:01 2006 +0000

    adjusted for new home on oss.oetiker.ch

commit 1f583574e3b973536c588a8a7bc3c348cf10d2e1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 13 23:00:57 2006 +0000

    prepare for the release of smokeping-20060414_trunk

commit 641df363ae015f50c1dbcfd7fee01115fe62f194
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 12 23:00:48 2006 +0000

    prepare for the release of smokeping-20060413_trunk

commit 772d22334d4c9335aa19fcc598920c8f7bd51c60
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Apr 11 23:00:56 2006 +0000

    prepare for the release of smokeping-20060412_trunk

commit 01ce0b453fa4c229931db6926d6e655dc7d6f10c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Apr 10 23:00:50 2006 +0000

    prepare for the release of smokeping-20060411_trunk

commit a287c2968d875521dc681d3730c0ec5d5a3c6474
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 9 23:00:50 2006 +0000

    prepare for the release of smokeping-20060410_trunk

commit c4f790f7df347a185bcc7c749ad7f69f2cabdd19
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 8 23:00:54 2006 +0000

    prepare for the release of smokeping-20060409_trunk

commit a9f6a569bf8f150b1f3ecacffbc5598e85f6f136
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 7 23:01:02 2006 +0000

    prepare for the release of smokeping-20060408_trunk

commit 8523054f6103ece800d8d26014f0a9a2723ece1b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Apr 6 23:00:56 2006 +0000

    prepare for the release of smokeping-20060407_trunk

commit 68bb65f87593483a82ecaa8c636a54d851a58a18
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 5 23:00:56 2006 +0000

    prepare for the release of smokeping-20060406_trunk

commit 18ad7fe4fd3e2b30c246f830bfc27f9d6339523c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Apr 4 23:00:59 2006 +0000

    prepare for the release of smokeping-20060405_trunk

commit 5b28dc9edb84d5486916199881707a5a796b32a6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Apr 3 23:00:53 2006 +0000

    prepare for the release of smokeping-20060404_trunk

commit 60ca4e5022ad0723ad931603ce9d7aeaae8df4a8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Apr 2 23:00:49 2006 +0000

    prepare for the release of smokeping-20060403_trunk

commit 75aa992d8cf249e5bf7606d41053216d39d10605
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Apr 1 23:00:52 2006 +0000

    prepare for the release of smokeping-20060402_trunk

commit 599f7c7fb671c160e4886061b92324ae13b951de
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 31 23:00:49 2006 +0000

    prepare for the release of smokeping-20060401_trunk

commit 122bc45208329c43618b4777f810e69bf2122a91
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 30 23:00:50 2006 +0000

    prepare for the release of smokeping-20060331_trunk

commit db4a14c92108d1a53ce77d8d866cede23980df27
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 29 23:00:52 2006 +0000

    prepare for the release of smokeping-20060330_trunk

commit 7b1759db61292ea7805502ecbd4e13986c46fb38
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 28 23:00:48 2006 +0000

    prepare for the release of smokeping-20060329_trunk

commit 7089b5c78e9194c097a488eb87b3e45b416d94bc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 27 23:00:51 2006 +0000

    prepare for the release of smokeping-20060328_trunk

commit 4f7b53be0f6b0ca441e680a4c204c6bb9ddb5b29
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 26 23:01:02 2006 +0000

    prepare for the release of smokeping-20060327_trunk

commit 52b28733e7944e8d271d9e83f2b6da15c2f4a97d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 26 00:00:55 2006 +0000

    prepare for the release of smokeping-20060326_trunk

commit dfede96a6777b23f8bfdab4de9bc18f63012cca5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Mar 25 00:00:56 2006 +0000

    prepare for the release of smokeping-20060325_trunk

commit caf2371553daafb3f463f48063266b7a0e9e9bcd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 24 16:55:30 2006 +0000

    let the name of the dns server in DNS.pm be configurable
    -- ark <yes@ring.wtwf.com>

commit dea4aa149f292a456eb1412fbdd83d2016e77aa7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 24 00:00:56 2006 +0000

    prepare for the release of smokeping-20060324_trunk

commit 067711fa0dbf61e7fa165121d9735b1a4eb989e1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 23 00:00:56 2006 +0000

    prepare for the release of smokeping-20060323_trunk

commit 1247ca957d00432d6aa3c4f2cbf9c509ea545c03
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 22 00:00:53 2006 +0000

    prepare for the release of smokeping-20060322_trunk

commit eb5b60612aec46ef7a321c223237d02c8439083b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 21 00:00:55 2006 +0000

    prepare for the release of smokeping-20060321_trunk

commit edf96cad95a22cb15deda328ed891c7ff1ae21a2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 20 00:00:50 2006 +0000

    prepare for the release of smokeping-20060320_trunk

commit 21fc62e070f4b87a58bce29cee25c4dfdf687746
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 19 00:00:52 2006 +0000

    prepare for the release of smokeping-20060319_trunk

commit c99ad9c627f6df9f82438223f8966d87907d0650
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Mar 18 00:00:52 2006 +0000

    prepare for the release of smokeping-20060318_trunk

commit 7364208763247000d58ca49355737e98316517f4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 17 00:00:58 2006 +0000

    prepare for the release of smokeping-20060317_trunk

commit 28828494e3c14e84232a895104411d855bfd38b2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 16 00:00:53 2006 +0000

    prepare for the release of smokeping-20060316_trunk

commit 5ba7e23f3f72293b7bc8c97fa6f071288b35437a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 15 00:00:57 2006 +0000

    prepare for the release of smokeping-20060315_trunk

commit 07269b146a214f17c6a4587db18cf5fefe6280cc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 14 00:00:50 2006 +0000

    prepare for the release of smokeping-20060314_trunk

commit 958c578f294a753fa290981e1bffd1224bbdb9bb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 13 00:00:52 2006 +0000

    prepare for the release of smokeping-20060313_trunk

commit 5e2b4100c9807be39f75a7af2f1f195330e05b0c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 12 00:00:49 2006 +0000

    prepare for the release of smokeping-20060312_trunk

commit 8320d440faa98b29c5bc197dd2ef4929bdd55275
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Mar 11 00:00:50 2006 +0000

    prepare for the release of smokeping-20060311_trunk

commit 5ab1dafe1779e191f506c13b7a9f16d023a9721b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 10 00:00:51 2006 +0000

    prepare for the release of smokeping-20060310_trunk

commit 7d0a6d44483ca890405eec34b47dc8658d304b11
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 9 00:00:51 2006 +0000

    prepare for the release of smokeping-20060309_trunk

commit 59ecc933d413dadcc1393cea8b05c3d66c6399c0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 8 00:00:54 2006 +0000

    prepare for the release of smokeping-20060308_trunk

commit 1cd0f0b0a673c49189a112d60d8e5258390b20d0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Mar 7 00:00:48 2006 +0000

    prepare for the release of smokeping-20060307_trunk

commit 57883cc6af995e35fa01491cb6ce5b5188a663ab
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Mar 6 00:00:49 2006 +0000

    prepare for the release of smokeping-20060306_trunk

commit 09500f0224d8717db157f6d21961a22dbef329a7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Mar 5 00:00:49 2006 +0000

    prepare for the release of smokeping-20060305_trunk

commit ea72fc0b5ded9d967d9f85a5574be692b89559a0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Mar 4 00:00:50 2006 +0000

    prepare for the release of smokeping-20060304_trunk

commit 22427a3b0d45483d3277c386ec95f9bf288a4fd5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 3 00:00:50 2006 +0000

    prepare for the release of smokeping-20060303_trunk

commit 1d8ea2813596138d931f4dcc42ac5b3011a7a185
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Mar 2 00:00:48 2006 +0000

    prepare for the release of smokeping-20060302_trunk

commit ced1a2d96fa017fb8161d48a6fc28a945e83c856
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Mar 1 00:00:54 2006 +0000

    prepare for the release of smokeping-20060301_trunk

commit efd79d1d39d86c71c2ce6d324b543e159c2350bc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 28 00:00:52 2006 +0000

    prepare for the release of smokeping-20060228_trunk

commit 8af9909af7667d0d4b4af52edd8feec8000d1009
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 27 00:00:54 2006 +0000

    prepare for the release of smokeping-20060227_trunk

commit 127dddf876c89630fcd0f4322bbebd136057a78e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 26 00:00:58 2006 +0000

    prepare for the release of smokeping-20060226_trunk

commit 4f924e7e288b8b827a1f39f755a4739bce2f8ed0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Feb 25 00:01:04 2006 +0000

    prepare for the release of smokeping-20060225_trunk

commit 2ceec4653085b74246e9f2828ee76183e55d1750
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 24 00:00:55 2006 +0000

    prepare for the release of smokeping-20060224_trunk

commit 9d0ead6a745f6ca857ef9d318a0bb7d4b5ed51fa
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 23 00:00:56 2006 +0000

    prepare for the release of smokeping-20060223_trunk

commit ce8d46be47469deda66754b6b261638875a6d63e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 22 00:00:54 2006 +0000

    prepare for the release of smokeping-20060222_trunk

commit 1c3d445889e35f89a1150d0585e8d5aa8ef26f18
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 21 00:00:53 2006 +0000

    prepare for the release of smokeping-20060221_trunk

commit 03550709db57595b831936a6414f8a9a3372c44e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 20 00:00:49 2006 +0000

    prepare for the release of smokeping-20060220_trunk

commit c70d17ccd08cbd5ceca437a3bf0b8e1826bf87b6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 19 00:00:48 2006 +0000

    prepare for the release of smokeping-20060219_trunk

commit d46cf31ae2666708ddbf288fd085d1bb07e9bbc4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Feb 18 00:00:47 2006 +0000

    prepare for the release of smokeping-20060218_trunk

commit 0909f53edec7176a263a827715eb419fe2ce0efa
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 17 00:00:58 2006 +0000

    prepare for the release of smokeping-20060217_trunk

commit 8a2e8696148262389ff39ead2dd114e54db44139
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 16 00:00:54 2006 +0000

    prepare for the release of smokeping-20060216_trunk

commit bd19f805a41846fdca4345810640662ba9c8567b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 15 00:00:54 2006 +0000

    prepare for the release of smokeping-20060215_trunk

commit 0d4b5ded0d67a027f3f3bd9e0fe20a4c3891cc8c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 14 00:00:49 2006 +0000

    prepare for the release of smokeping-20060214_trunk

commit 0dd43b8d31eb1748474c7cd91f2a30508b1100e8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 13 00:00:48 2006 +0000

    prepare for the release of smokeping-20060213_trunk

commit 8e8c72864c24b4cfa9390c50a5e61a48d0e5be0b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 12 00:00:49 2006 +0000

    prepare for the release of smokeping-20060212_trunk

commit 998c468147b2ecff21d2d27da016d48149484659
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Feb 11 00:00:48 2006 +0000

    prepare for the release of smokeping-20060211_trunk

commit 57d0f8aad1756ab4bf7a3350fe1eded46d514f1c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 10 00:00:52 2006 +0000

    prepare for the release of smokeping-20060210_trunk

commit 58dcd0ccbc914d4264367bf544e4e2cd5544e779
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 9 00:00:55 2006 +0000

    prepare for the release of smokeping-20060209_trunk

commit 6fa384bf039b941380e7765f0ff37c931825523c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 8 00:00:51 2006 +0000

    prepare for the release of smokeping-20060208_trunk

commit 456679eeca960ff7d5d642ebde524105d0486282
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 7 23:22:05 2006 +0000

    added multihost alerts

commit 6ff302bb024f84d41b8b11ac21047130f426d154
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 7 00:00:53 2006 +0000

    prepare for the release of smokeping-20060207_trunk

commit 79f2ea2d22c602f37dcad2ac325b8bee0935e8f7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Feb 6 00:01:07 2006 +0000

    prepare for the release of smokeping-20060206_trunk

commit 52b3634acaa71fa722ac6d6d46757f80d1545e4b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 5 00:00:49 2006 +0000

    prepare for the release of smokeping-20060205_trunk

commit 064d3e4382f6312f4fe1e9198342931f22f4ae55
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Feb 4 00:00:49 2006 +0000

    prepare for the release of smokeping-20060204_trunk

commit 4f3bfa912f2db07511174c3e00cb5a08d119ff40
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Feb 3 00:00:53 2006 +0000

    prepare for the release of smokeping-20060203_trunk

commit cfa4f1124afc197ab9e14ddb6cdd62fe3b9e4c7d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Feb 2 00:00:52 2006 +0000

    prepare for the release of smokeping-20060202_trunk

commit 0a0d6309f769c2dc835170b483326c1a88a629f3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 1 00:00:50 2006 +0000

    prepare for the release of smokeping-20060201_trunk

commit ebf647aebd49a30a50e5e46e6e2a463420fbb012
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 31 00:00:49 2006 +0000

    prepare for the release of smokeping-20060131_trunk

commit 0160ab418253e9d3d815251e226c602a1d90cd7f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 30 00:00:58 2006 +0000

    prepare for the release of smokeping-20060130_trunk

commit 54a23742e701e010d85c62c9565b78c315c665f1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 29 00:00:56 2006 +0000

    prepare for the release of smokeping-20060129_trunk

commit b382ac386b54e4fabe087fedad380ecd23a6d12c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jan 28 00:00:48 2006 +0000

    prepare for the release of smokeping-20060128_trunk

commit fe0e0f001d671727fc891af3d7b5f861dfb49de2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jan 27 00:00:49 2006 +0000

    prepare for the release of smokeping-20060127_trunk

commit 33e761c82de6a458c1260c2212b4e1b51c28c989
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 26 00:00:52 2006 +0000

    prepare for the release of smokeping-20060126_trunk

commit 0c86383ab59a89fb6f8af4895e02d9e72213edb8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 25 00:00:52 2006 +0000

    prepare for the release of smokeping-20060125_trunk

commit 62e3577448c628db993746355c9e48162fbcf898
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 24 00:00:56 2006 +0000

    prepare for the release of smokeping-20060124_trunk

commit f8e5cb064dd35f2872ffcb90e623bb3fa55ce82c
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 23 00:00:58 2006 +0000

    prepare for the release of smokeping-20060123_trunk

commit 2a52eba5e497c573aa34e83583427b42064be570
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 22 00:00:54 2006 +0000

    prepare for the release of smokeping-20060122_trunk

commit c97e35208b47b3e4239fa64320c577e1d96cc9e6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jan 21 00:00:53 2006 +0000

    prepare for the release of smokeping-20060121_trunk

commit d2aa2784d769f97ed657f1f5a9e1ccbdd3ce242d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jan 20 00:00:53 2006 +0000

    prepare for the release of smokeping-20060120_trunk

commit cbe6eb611c92f5eafef03940ff8d4610490d7351
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 19 00:00:53 2006 +0000

    prepare for the release of smokeping-20060119_trunk

commit ff4556debdd900c0e0c12ea1f02f336832badb35
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 18 00:00:53 2006 +0000

    prepare for the release of smokeping-20060118_trunk

commit 2725616dc36e59b6524ada73e1f492c248aafc1f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 17 00:00:52 2006 +0000

    prepare for the release of smokeping-20060117_trunk

commit 16716a8b7d09afa31172e93399b4ffd66bb688c1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 16 00:01:07 2006 +0000

    prepare for the release of smokeping-20060116_trunk

commit a948ae4ad598f2beb753040f6da849c08d45ee83
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 15 00:00:50 2006 +0000

    prepare for the release of smokeping-20060115_trunk

commit ed17a6b7b8dcf46de7aec37777aeb525af65c7ac
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jan 14 00:00:47 2006 +0000

    prepare for the release of smokeping-20060114_trunk

commit c186d8f231b999aea5c64c4c38c9f04a2c79ee34
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jan 13 00:00:53 2006 +0000

    prepare for the release of smokeping-20060113_trunk

commit da9ca937189fbd8e610fa6d9b9df0718e55a886e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 12 00:00:57 2006 +0000

    prepare for the release of smokeping-20060112_trunk

commit 32a5c55063a7af8f655df33bad5cbf56b70a4cc5
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 11 00:00:59 2006 +0000

    prepare for the release of smokeping-20060111_trunk

commit 62290ff74c8c5f66f2a869d6753ce5ac945c9334
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 10 00:00:50 2006 +0000

    prepare for the release of smokeping-20060110_trunk

commit 2f5c41eb902dc2d6a16071a09e753f5d7a970f69
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 9 00:01:03 2006 +0000

    prepare for the release of smokeping-20060109_trunk

commit 589d0704143ee6003456f3e2f6750378913cfc5f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 8 00:00:47 2006 +0000

    prepare for the release of smokeping-20060108_trunk

commit 1c14828cfb69e39b4ec7ca47f7c12e492045736f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Jan 7 00:00:58 2006 +0000

    prepare for the release of smokeping-20060107_trunk

commit 6772387bcd7b604ad28d12a49e5806a872ad3b79
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jan 6 00:01:05 2006 +0000

    prepare for the release of smokeping-20060106_trunk

commit b0435f544c7bc175a2a1741394357f2f44622a97
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 5 20:14:36 2006 +0000

    portability for perl 5.8.7

commit fb6979fa7f47246b2b8fd022f448030b7e1b8702
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jan 5 00:00:59 2006 +0000

    prepare for the release of smokeping-20060105_trunk

commit 7d6262a81e61ad1c112a4318b2fc1c972940d0bc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Jan 4 00:00:52 2006 +0000

    prepare for the release of smokeping-20060104_trunk

commit 7afdc7aade6f31623b3cebb113e8768e982fad31
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Jan 3 00:00:52 2006 +0000

    prepare for the release of smokeping-20060103_trunk

commit 9333ae4fead9fd1e066e6c10c731fa30e9bb7161
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jan 2 00:01:01 2006 +0000

    prepare for the release of smokeping-20060102_trunk

commit a25527165845fd32dd1ac054d3962c83bad989cb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jan 1 00:00:54 2006 +0000

    prepare for the release of smokeping-20060101_trunk

commit 448ab9a128acc6005fa6cd8eaecb540ae40aea71
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 31 00:01:03 2005 +0000

    prepare for the release of smokeping-20051231_trunk

commit be82526c51ec0359c0d79606175536cd9ff94d8b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Dec 30 00:00:50 2005 +0000

    prepare for the release of smokeping-20051230_trunk

commit ae6b1e03bf7baf9e2031b445d31d787c20da1823
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 29 00:00:50 2005 +0000

    prepare for the release of smokeping-20051229_trunk

commit 63a0daf10ee069e05189ab4c732982b91c7ac97a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Dec 28 00:00:56 2005 +0000

    prepare for the release of smokeping-20051228_trunk

commit dd0e5f50b634785c017b365d7af1b6a7c3087b23
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 27 00:01:01 2005 +0000

    prepare for the release of smokeping-20051227_trunk

commit b3498e0092465209bd5b96ff0dd48ea8f19b6e3a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 26 00:00:57 2005 +0000

    prepare for the release of smokeping-20051226_trunk

commit 537c95d700080b23cc3dac5e1bf17eaa83a390f3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Dec 25 00:00:59 2005 +0000

    prepare for the release of smokeping-20051225_trunk

commit e47d849259ed6c43463a873073c14582618d84bb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 24 00:00:53 2005 +0000

    prepare for the release of smokeping-20051224_trunk

commit 5b3966df8b51691bd8fc69e768e9676bc38e9d3e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Dec 23 00:00:50 2005 +0000

    prepare for the release of smokeping-20051223_trunk

commit 8f4f24ab6d397a46e228c21c5964aab07a67a7e7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 22 00:01:07 2005 +0000

    prepare for the release of smokeping-20051222_trunk

commit a7def2ca84fad70758e24bbc3d83d330d37f2570
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Dec 21 00:00:58 2005 +0000

    prepare for the release of smokeping-20051221_trunk

commit 22462833c1511c921822ba6f3eca4ea2d3cacf61
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 20 20:49:54 2005 +0000

    synced up with 2.0 branch

commit 1bb4dde5b7a92d8cbe996cda79cd0b098a8dfb6a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 20 00:01:15 2005 +0000

    prepare for the release of smokeping-20051220_trunk

commit 4b00783932733db3b58296742e3f7946e697dd64
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 19 00:01:05 2005 +0000

    prepare for the release of smokeping-20051219_trunk

commit b1aa79d75ffc85cafc945a8e7253f56a9e2b522a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Dec 18 00:01:16 2005 +0000

    prepare for the release of smokeping-20051218_trunk

commit a564850ad79ef936f9acd8a60e763ce7bd91a0d0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 17 00:00:57 2005 +0000

    prepare for the release of smokeping-20051217_trunk

commit 61429c9cb042e31f0b79a85f63083a10a202528e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Dec 16 00:00:54 2005 +0000

    prepare for the release of smokeping-20051216_trunk

commit c3ebdbd645add45df0e6ae7d7759ede0e9b655f4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 15 00:01:01 2005 +0000

    prepare for the release of smokeping-20051215_trunk

commit b6674d6f5485d425edfd88611389f909bd4b2332
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Dec 14 00:00:54 2005 +0000

    prepare for the release of smokeping-20051214_trunk

commit 34a47cf6dd9f7e660182693e41d39d06c155d461
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 13 00:01:13 2005 +0000

    prepare for the release of smokeping-20051213_trunk

commit 2aeb1cfb160a72307b3c5dd6d122a533ff4f9b55
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 12 00:01:07 2005 +0000

    prepare for the release of smokeping-20051212_trunk

commit c1ac0cbb380212efff08eda78af5cbe5e18c5935
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Dec 11 07:44:12 2005 +0000

    * brought trunk/ up to date

commit 4bb9e387247d11ba4c842c4f6490d0e210615d2b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Dec 11 00:01:05 2005 +0000

    prepare for the release of smokeping-20051211_trunk

commit 7966425f1a919b1154fb4c29ce5ba3b2cfac2507
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 10 00:00:54 2005 +0000

    prepare for the release of smokeping-20051210_trunk

commit dee8b5e5124e9be822593638ee3af6abb0e32567
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Dec 9 00:00:54 2005 +0000

    prepare for the release of smokeping-20051209_trunk

commit db20031e50e0fb6b6ed0f540997b3d7250f300c3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 8 00:00:54 2005 +0000

    prepare for the release of smokeping-20051208_trunk

commit b1b3211571281154866ab83eb36f921930b23041
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Dec 7 00:00:57 2005 +0000

    prepare for the release of smokeping-20051207_trunk

commit f2dde2dccf7521f1e1ef242e49a0de4de992d483
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Dec 6 00:00:52 2005 +0000

    prepare for the release of smokeping-20051206_trunk

commit 4114bcf074676b01159284cfa6d14642c748a947
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Dec 5 00:01:03 2005 +0000

    prepare for the release of smokeping-20051205_trunk

commit 60e55de4f17990c6917933e4be8c0e98699085dd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Dec 4 00:00:53 2005 +0000

    prepare for the release of smokeping-20051204_trunk

commit 96ff6333350d80852209f984e6a08ce69be3ab74
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Dec 3 00:00:55 2005 +0000

    prepare for the release of smokeping-20051203_trunk

commit c804efc1111ab2fc29f90d8ba0dcbfcd25f5b43d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Dec 2 21:45:05 2005 +0000

    * brought trunk/ up to date

commit f628316ec477ef0173567ef0810f37817df117a2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Dec 2 00:00:55 2005 +0000

    prepare for the release of smokeping-20051202_trunk

commit 2ab647d1e15c52b9947626b17216320ee1dfeaa2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Dec 1 00:00:55 2005 +0000

    prepare for the release of smokeping-20051201_trunk

commit 94fa5e5e42c996131b8d4960f3fffb55794cf15d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 30 00:00:52 2005 +0000

    prepare for the release of smokeping-20051130_trunk

commit 3c4cd65c711a8a2f2f63b127be58625e0fb3c6f1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 29 00:02:10 2005 +0000

    prepare for the release of smokeping-20051129_trunk

commit e64fb3c94eb46a3c802ce41209f1cdcece5dfb74
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 28 00:01:02 2005 +0000

    prepare for the release of smokeping-20051128_trunk

commit 846c9d27f04566611a57a30eb70dfd38a46b4d13
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 27 00:01:01 2005 +0000

    prepare for the release of smokeping-20051127_trunk

commit 0217762c01814425d80e73d24d89740304c5554d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 26 00:00:59 2005 +0000

    prepare for the release of smokeping-20051126_trunk

commit 938b38ff8c7d95e73234926c06569018b33a8362
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 25 00:01:07 2005 +0000

    prepare for the release of smokeping-20051125_trunk

commit b2b0ee599075672447ad0508fecf61fbe25f999e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 24 20:09:02 2005 +0000

    fixed spelling for height

commit 5c4787a7e82c29fede4eac87553e94df42e14eb6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 24 00:00:57 2005 +0000

    prepare for the release of smokeping-20051124_trunk

commit 73e555ad9f43d97d3f82b813f1229a86ac27756a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 23 00:00:56 2005 +0000

    prepare for the release of smokeping-20051123_trunk

commit a200270873a3572fcf5071cfe8ea8fc8aad744bb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 22 00:01:02 2005 +0000

    prepare for the release of smokeping-20051122_trunk

commit 9b0e13fcc29fc233e55d64ec5426c9fe048e6b4b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 21 00:01:21 2005 +0000

    prepare for the release of smokeping-20051121_trunk

commit 6a0eee4edd4efc290053db9719f298c40c1aa37b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 20 00:00:53 2005 +0000

    prepare for the release of smokeping-20051120_trunk

commit 5c3a70d83c55785dd4f18c0fef3f3837bc779b8d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 19 00:00:53 2005 +0000

    prepare for the release of smokeping-20051119_trunk

commit 880202c220f29aabf072e899aab5f6b2a2e9e65e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 18 00:00:53 2005 +0000

    prepare for the release of smokeping-20051118_trunk

commit 72462747acbc8a52e04098093d6d84938d366069
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 17 00:01:02 2005 +0000

    prepare for the release of smokeping-20051117_trunk

commit d5ac26abe33b59bff4f3576b346943758944f5be
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 16 00:00:55 2005 +0000

    prepare for the release of smokeping-20051116_trunk

commit da3520af54c9cf9a2b34f5667160c12349bc8169
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 15 00:01:08 2005 +0000

    prepare for the release of smokeping-20051115_trunk

commit f7520e9d2710026e7e154503fdba5e8a1751423a
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Nov 14 22:09:54 2005 +0000

    * lib/Smokeping/probes/FPing.pm,
      doc/smokeping_upgrade.pod,
      CHANGES:
      + remove the FPing 'timeout' variable, since it never really did anything

commit 334ec7968c236ad0bc7937b4ab87f5abd7c116a2
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Nov 14 21:57:00 2005 +0000

    * (trunk)/
      lib/Smokeping.pm,
      CHANGES:
      + use the 'cgiurl' variable from the 'General' section for all CGI self-refering links

commit fdf5205ed32123872ff09d475dfdd9190eaade9d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 14 00:01:05 2005 +0000

    prepare for the release of smokeping-20051114_trunk

commit 4042816c7974942bd5ac2e6f3c5dd5465297f504
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 13 00:01:09 2005 +0000

    prepare for the release of smokeping-20051113_trunk

commit 3e7bc9eb6f96569e3e9f80c6812d84d83418bb6a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 12 00:01:01 2005 +0000

    prepare for the release of smokeping-20051112_trunk

commit b8d8935bf52baea0170d74db6bdbf82d5dc21231
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 11 00:00:57 2005 +0000

    prepare for the release of smokeping-20051111_trunk

commit 20cbbde0a799cfd82fb3453187e8c15ab72dd181
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 10 00:00:58 2005 +0000

    prepare for the release of smokeping-20051110_trunk

commit 5fa129240541ea49fdd1c1e767c461ceaee5c9a2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 9 00:00:56 2005 +0000

    prepare for the release of smokeping-20051109_trunk

commit 2295a13ccf466b166d8e7d15bea363a01753b8a4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 8 00:00:52 2005 +0000

    prepare for the release of smokeping-20051108_trunk

commit 8554c768b586a3b15f14e7aa6b397f9c4efce4b4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Nov 7 00:01:04 2005 +0000

    prepare for the release of smokeping-20051107_trunk

commit 714f7e3d167b5dd3a20c508fc083ac8132e10bb5
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Nov 6 09:52:59 2005 +0000

    * trunk/
      lib/Smokeping/probes/Curl.pm,
      CHANGES:
      + don't take '0' for 'true' with the 'ssl2' or 'insecure_ssl' options

commit b12124181c5cd5f3373c754c2e1795fd2d02fac3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Nov 6 00:00:53 2005 +0000

    prepare for the release of smokeping-20051106_trunk

commit f5eab423141ac2f28f1886dff4581f222430ca08
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Nov 5 00:00:52 2005 +0000

    prepare for the release of smokeping-20051105_trunk

commit a644389b1d268fa892f1c31ca2578fbdc47b9620
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Nov 4 00:00:59 2005 +0000

    prepare for the release of smokeping-20051104_trunk

commit 8ab320e78f3e87258976262d8b8df26d11384e5b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Nov 3 00:00:56 2005 +0000

    prepare for the release of smokeping-20051103_trunk

commit 04aa92d0a09308a99631bd73f69838a43065d02b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Nov 2 00:00:58 2005 +0000

    prepare for the release of smokeping-20051102_trunk

commit c933a6039693020169584f878a3cfade99c58e92
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Nov 1 00:00:53 2005 +0000

    prepare for the release of smokeping-20051101_trunk

commit 485aa3052dc30b4fd18f29a04a63849937e65474
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Oct 31 00:01:03 2005 +0000

    prepare for the release of smokeping-20051031_trunk

commit 6a4c5617d253d488000e511c028afc4cc46aa7e2
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 29 23:00:54 2005 +0000

    prepare for the release of smokeping-20051030_trunk

commit 63bfbe565cd684d88eed9a0993b035ce6addae70
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Oct 28 23:00:59 2005 +0000

    prepare for the release of smokeping-20051029_trunk

commit 86525919fb7ff3e1cd8c1f3ab6bfb5f8c095468e
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Oct 28 11:19:29 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping/probes/LDAP.pm,
      CHANGES:
      + add the 'scope' Net::LDAP search option to the LDAP probe

commit 5f5bd15d7cbd95b1ba4507dbe79c32628b3a6a80
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 27 23:00:52 2005 +0000

    prepare for the release of smokeping-20051028_trunk

commit 65574bbd22f7cbf384a41a940f8edccb21a09db6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 26 23:00:51 2005 +0000

    prepare for the release of smokeping-20051027_trunk

commit 3dd1d1e939a173e50f5ff6d54a515e10a2c46cd4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 25 23:00:56 2005 +0000

    prepare for the release of smokeping-20051026_trunk

commit 833e7bdfa9e680f4ad6ae5b7e9d96c4f14394ca1
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Oct 24 23:00:58 2005 +0000

    prepare for the release of smokeping-20051025_trunk

commit b5e49395509d49aa1cc28c17912bed4a498a102d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 23 23:01:11 2005 +0000

    prepare for the release of smokeping-20051024_trunk

commit c9e23f7a3da48ffa3a248254eb4107034a70d6ac
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 22 23:00:58 2005 +0000

    prepare for the release of smokeping-20051023_trunk

commit 593fa608368eea633c226c41218bd8bbd90ef3d8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Oct 21 23:01:01 2005 +0000

    prepare for the release of smokeping-20051022_trunk

commit ac81dca814aaca83729f1f22a7bf738b1c17c9ac
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 20 23:01:06 2005 +0000

    prepare for the release of smokeping-20051021_trunk

commit a53951bf3c81883e7163e2c108bd8beb511a7565
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 19 23:00:59 2005 +0000

    prepare for the release of smokeping-20051020_trunk

commit d230c06cb6e8462c2b7b406d5f4f11880900a866
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Oct 19 11:13:11 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping/probes/Curl.pm,
      CHANGES:
      + make the Curl probe compatible with Perl 5.6

commit 12e7a448c63c79b0e01e2bc6810c5a23669ca741
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 18 23:01:06 2005 +0000

    prepare for the release of smokeping-20051019_trunk

commit aca01304a6c2638c9667711967b9ee1aa9bd09d9
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Oct 18 05:22:40 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping.pm,
      CHANGES:
      + get rid of 'Use of uninitialized value' messages when
        using the Avgratio matcher

commit 7c66130c076338076b19f9f9968851170ef5c29b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Oct 17 23:01:04 2005 +0000

    prepare for the release of smokeping-20051018_trunk

commit a86acb450ba469e382effbbe8cf7fec53f1636de
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 16 23:01:02 2005 +0000

    prepare for the release of smokeping-20051017_trunk

commit 615627595553e8522a6c0e709ca278283dc7803a
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 15 23:00:55 2005 +0000

    prepare for the release of smokeping-20051016_trunk

commit 424920c6dfbc7cc73654b5226086ecdada945fe7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Oct 14 23:00:49 2005 +0000

    prepare for the release of smokeping-20051015_trunk

commit d21515540d74694cb09148e164e1bee1ecee6d55
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Oct 14 12:50:50 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping.pm:
      + cosmetic fix from "ChunjingHan" <chjhan *cstnet.cn>

commit 7f89ec986512196ded2ce2aaa35227a556a31fc5
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Oct 14 12:49:18 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping.pm,
      CHANGES:
      + include the smallest ping value in the graphs too

commit 2f5b3b13f36137299dbb240d42db261f07772739
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 13 23:00:54 2005 +0000

    prepare for the release of smokeping-20051014_trunk

commit 36d4802453ee4253dd60e80926ea8404cdf7db53
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 12 23:00:52 2005 +0000

    prepare for the release of smokeping-20051013_trunk

commit 75fb5a5a679939e8d5eee2a7d42d3dc1512f6a43
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 11 23:01:00 2005 +0000

    prepare for the release of smokeping-20051012_trunk

commit ee7fc272795fe8114ffe316d14c11a491942e4e8
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Oct 11 19:20:11 2005 +0000

    * (trunk,2.0)/
      CHANGES:
      + typo fix

commit bb33fa999a13290f612e9af05b7ce113c22d1140
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Oct 11 19:19:23 2005 +0000

    * (trunk)/
      lib/Smokeping.pm,
      CHANGES:
      + avoid creating new RRD files as the user running 'smokeping --reload'
        (merged from 2.0)

commit 9c0ca72bea9a83cdefa5d91461160dc9867bd2e9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Oct 10 23:01:05 2005 +0000

    prepare for the release of smokeping-20051011_trunk

commit 2d62442fb7559a4c79d2b5b30907a090a2c97a20
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 9 23:01:01 2005 +0000

    prepare for the release of smokeping-20051010_trunk

commit 04d9b3ac960efaf94aff4846b3ff6dde3e043950
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 8 23:00:52 2005 +0000

    prepare for the release of smokeping-20051009_trunk

commit e74b942d712e906a001762a80d02be41522a237b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Oct 7 23:00:53 2005 +0000

    prepare for the release of smokeping-20051008_trunk

commit cd8d15446e258e68f143795d318b79c562e7de37
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Oct 7 10:57:27 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping.pm,
      lib/Smokeping/RRDtools.pm,
      CHANGES
      + only warn if RRA parameters other than CF are different
        config file and an RRD

commit 3fd3ab47081ef2df27c25203ed978e46156a204f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Oct 6 23:00:51 2005 +0000

    prepare for the release of smokeping-20051007_trunk

commit 23c4635bd1567d03215020dfc66f4e21c28bbd1d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Oct 5 23:01:08 2005 +0000

    prepare for the release of smokeping-20051006_trunk

commit afa76250e14ea5cadb7cda3dd62ccb2492951741
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Oct 4 23:01:04 2005 +0000

    prepare for the release of smokeping-20051005_trunk

commit 4caa4ed99402778a0bf455a5ec5056ade6e52bbb
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Oct 3 23:00:56 2005 +0000

    prepare for the release of smokeping-20051004_trunk

commit fe0fef990bd0c11934ce48da407b51906a2c862e
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Oct 3 11:45:35 2005 +0000

    * (trunk/)
      lib/Smokeping.pm:
      + fixed a typo

commit 76884f2dae8556d52be6c97e66a3171a94ef8420
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Oct 3 11:20:46 2005 +0000

    * (trunk/)
      doc/smokeping_install.pod,
      lib/Smokeping.pm,
      CHANGES:
      + make it work (hopefully) with even older versions of CGI::Carp if
        'changecgiprogramname' is set to 'no' in the General section

commit 244a5fca9c21faffe98cae72f64e0b9ed69d7e0b
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Oct 2 23:01:06 2005 +0000

    prepare for the release of smokeping-20051003_trunk

commit 9d8a68509109b63869e2486a4c982357bfeceef3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Oct 1 23:01:03 2005 +0000

    prepare for the release of smokeping-20051002_trunk

commit 89c0857bd0a1854d469bc29f68e5920259822e52
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 30 23:01:00 2005 +0000

    prepare for the release of smokeping-20051001_trunk

commit 68067aea7fc50691ccc48dbea061253d6451cfd6
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 29 23:01:06 2005 +0000

    prepare for the release of smokeping-20050930_trunk

commit 01d152d8c8a752c68407cec20c81d339e565f498
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 28 23:01:00 2005 +0000

    prepare for the release of smokeping-20050929_trunk

commit 72c6bc1c53f52e66e1b5e8d70b00ff2476b1b220
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 28 11:11:17 2005 +0000

    * (trunk)/
      doc/smokeping_install.pod,
      doc/smokeping_upgrade.pod,
      lib/Smokeping.pm,
      CHANGES:
      + make having an older version of CGI::Carp a non-fatal error and
        recommend a newer one in the docs

commit ec993081f760b7af33e60c14717ea9f557b1881f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 27 23:00:55 2005 +0000

    prepare for the release of smokeping-20050928_trunk

commit 40cb0357e0446fa3d0e34f17d006cdfd232681dd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 26 23:01:02 2005 +0000

    prepare for the release of smokeping-20050927_trunk

commit 5a809af06052ab4475f90c7972cd5fa5930914e0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 26 20:07:15 2005 +0000

    prepare for the release of smokeping-20050926_trunk

commit 1d1ad79d657c4706933332cc17af5f15df0353a0
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Sep 26 19:18:43 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping/probes/FPing.pm,
      CHANGES:
      + fix fping output parsing regexp so it doesn't report
        100% loss when the first ping is lost

commit bf49085b6ef259192f6b012ad1d83e5c4cb7edd0
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Sep 26 18:42:02 2005 +0000

    * (trunk/)
      Makefile:
      + move the 'svn commit' command to its own target 'commit'

commit 87c25cbf644b899547ace009c7bec7b6922cc5cd
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 25 12:46:51 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping/probes/TelnetIOSPing.pm:
      + change the Net::Telnet->new() call so it compiles
        without Net::Telnet loaded

commit 12b1e1921c3da6e7c7e178682fb13097196a157b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 25 12:30:33 2005 +0000

    * (trunk,2.0)/
      Radius.pm:
      + explicitly tag the ACCESS_* calls as subroutines (&)
        so they work while building the documentation

commit 77a6167109b90747b8e3f5fe766cb7979ecea640
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 25 12:16:47 2005 +0000

    * (trunk,2.0)/
      lib/Smokeping.pm,
      CHANGES:
      + no need to have all the external modules (Net::DNS, Authen::Radius etc.)
        installed just to build the documentation.

commit 684cb417be1d156c5f48460c73f9d32b851c576b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 25 10:41:43 2005 +0000

    * (trunk/)
      Makefile:
      + merged 2.0 changes from the two previous revisions

commit fd10867b929964e1ea7d52f58802d17ba7a7f5bb
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 25 10:26:13 2005 +0000

    * (trunk,2.0)/
      COPYRIGHT:
      + updated FSF postal address

commit 52a1a8978ca8be8d39d522960f46d94432bbde9d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Sep 24 23:01:05 2005 +0000

    prepare for the release of smokeping-20050925_trunk

commit 79cb6fdc7391eb5d37a095a58cdfc2dfdf761b48
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 23 23:01:09 2005 +0000

    prepare for the release of smokeping-20050924_trunk

commit e7d508f06248c1d7ca981beabcbfb0308219d0ea
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 22 23:01:00 2005 +0000

    prepare for the release of smokeping-20050923_trunk

commit f7ec5a8d8089bf2ab5edcd33a155655783a050ae
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 21 23:00:58 2005 +0000

    prepare for the release of smokeping-20050922_trunk

commit e878c50a1ec861e61254969dec69952b966a8b3b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 21 16:30:48 2005 +0000

    * (trunk)/
      TODO:
      + Targets/alertee: syntax to remove an address from the Alerts/to list

commit 89a81249a147e6a98bbb60b77e88719344e16963
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 20 23:01:12 2005 +0000

    prepare for the release of smokeping-20050921_trunk

commit ce3590638105b69b537589f14cd3109f93315293
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 19 23:00:59 2005 +0000

    prepare for the release of smokeping-20050920_trunk

commit c616eb281b2211395a5cf03cc31d7d803227eb89
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Sep 19 12:48:06 2005 +0000

    * (trunk,2.0)/
      doc/smokeping_upgrade.pod:
      + fixed version numbers

commit d0c878bb2ea868bb95fbc7117465efbe6fe72d70
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 18 23:01:05 2005 +0000

    prepare for the release of smokeping-20050919_trunk

commit 83700c2a45a1c8e6f22954e9cc9669ca60f08206
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 18 19:08:33 2005 +0000

    added halfway ping idea

commit 20e34cad05efc1ec279b912a6bd61a77b3288975
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Sep 17 23:00:52 2005 +0000

    prepare for the release of smokeping-20050918_trunk

commit 5186621fd92524792c03406d61d0cecf74e4dbbc
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 16 23:00:51 2005 +0000

    prepare for the release of smokeping-20050917_trunk

commit 88bbf618e858f433fab37dc7578ab48eded70d00
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 15 23:01:04 2005 +0000

    prepare for the release of smokeping-20050916_trunk

commit 1b20b84b83594cd8178c88b7b6227c59d27a4171
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 14 23:00:52 2005 +0000

    prepare for the release of smokeping-20050915_trunk

commit d12d5e62a94e78c13abf29dbe8c099f662e6ba23
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 14 19:45:37 2005 +0000

    + (trunk)/
      CHANGES:
      + reword the reload stuff

commit f0021857e52510645acf59997de6b5ee952186c3
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 14 19:44:00 2005 +0000

    * (trunk)/
      lib/Smokeping.pm,
      bin/smokeping.dist,
      CHANGES,
      TODO:
      + reload the config file on HUP signal and bail out if it's broken.
        After reloading, restart gracefully so that no measurement is
        interrupted. The signal can also be triggered by 'smokeping --reload'.

commit d788fb4fa54adfb8cc2d8d0344bdb9a7af2d642d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 14 17:01:14 2005 +0000

    * (trunk,2.0)/
      doc/smokeping_extend.pod,
      lib/Smokeping.pm:
      + small documentation fixes

commit 48c103c0ee1480b1fc98abad693d8d1469e9ae85
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 13 23:00:58 2005 +0000

    prepare for the release of smokeping-20050914_trunk

commit 97b64b61cd4b395b612620e721b55f9cc61bd610
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Sep 13 11:17:39 2005 +0000

    * lib/Smokeping.pm (trunk,2.0),
      CHANGE (trunk,2.0):
      + made some alert docs in smokeping_config visible

commit 954c1303bf9aa057100cd61f89e4797f6cf8d7c6
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Sep 13 11:09:43 2005 +0000

    * lib/Smokeping.pm (trunk):
      + another edgetrigger fix

commit 480b4f632984a880237acd0c92fbc97ad5578ad7
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Sep 13 10:59:11 2005 +0000

    * lib/Smokeping.pm (trunk):
      + edgetrigger fix

commit a1d59c4e0289ad21308ef6965bb229ad04dde4c7
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 12 23:01:12 2005 +0000

    prepare for the release of smokeping-20050913_trunk

commit 7fc2d592a65b39b9e4a8b9fc44f6324e291fba1e
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Sep 12 14:09:29 2005 +0000

    * lib/Smokeping.pm (trunk),
      doc/smokeping_upgrade.pod (trunk),
      CHANGES (trunk),
      TODO (trunk):
      + optionally only send alerts when the state changes ('edgetrigger').
        (untested yet)

commit f84dd88683a50d232722ca9f622a50a86b2531a9
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Sep 11 23:01:08 2005 +0000

    prepare for the release of smokeping-20050912_trunk

commit 617e8a3551de97eef26b709682b0b0511af5c282
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sat Sep 10 23:00:54 2005 +0000

    prepare for the release of smokeping-20050911_trunk

commit 13b3fdf76532364cb8a66a61042432e38a1363d0
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Sep 9 23:00:52 2005 +0000

    prepare for the release of smokeping-20050910_trunk

commit db18af300e1ee4598243eccb9b36d745cd95becb
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Sep 9 20:21:44 2005 +0000

    * README (2.0)
      + tiny fixes
    * README (trunk):
      + merged 2.0 changes

commit e818279a5cd867bd9d3dc6d7dd25ed64245c6d3a
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Sep 9 18:50:36 2005 +0000

    * lib/Smokeping.pm (trunk),
      CHANGES (trunk):
      + try to trigger an alert with the minimum number of values needed for it
        rather than require a stack with the maximum number of possible values.
        See http://lists.ee.ethz.ch/smokeping-users/msg01654.html for the problem.

commit 198ad5785a314d588f8974ee4ba2a4e8a3fe84c6
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Sep 9 05:04:04 2005 +0000

    * {trunk,2.0}/htdocs/smokeping.cgi.dist
      + fixed a glitch in documentation

commit bba6237f781dd30247fb7969ec7afe88b2f1be97
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 8 23:01:08 2005 +0000

    prepare for the release of smokeping-20050909_trunk

commit 6a3b779d7c9b8478f29acd58e1490a0efe669989
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 8 14:16:50 2005 +0000

    added TOP10 wish

commit c46c5fc16f5393a89806cd6a8abf30aa38360325
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Sep 7 23:01:05 2005 +0000

    prepare for the release of smokeping-20050908_trunk

commit e158d53556f9eab5c89a04b7654b4df0bc2aa5d0
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Sep 7 18:45:42 2005 +0000

    * trunk/TODO:
      + make 'active alerts' (whatever that means, have to think
        this through) visible (eg. different colour) in the CGI menu

commit 67728381e577ead951fc6a4d22e7f316af4da9cd
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Sep 6 23:00:53 2005 +0000

    prepare for the release of smokeping-20050907_trunk

commit b35ffd3e11bb092273d1831708632e62216d2b56
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Sep 6 17:24:10 2005 +0000

    * {2.0,trunk}/CHANGES:
      + document r169 and r170 (logo autogeneration)

commit 46af3fd04bfb97a53ffb1a67b74eeb8ba2d2ee74
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Sep 6 17:16:44 2005 +0000

    * trunk:lib/Smokeping.pm
      + regenerate the logo images if Smokeping.pm is newer than the old ones

commit dec26a16f5abcc9db5770b35d12c9b969b5c84d7
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Sep 6 15:14:14 2005 +0000

    * trunk:lib/Smokeping.pm
      + merged new logos from 2.0:lib/Smokeping.pm r144:r145 into trunk

commit c2bf9c3c752ed3ae795fe7d72607e5c1732de843
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 5 23:00:49 2005 +0000

    prepare for the release of smokeping-20050906_trunk

commit 9abc22db7afb02eaddaa546c3a72475ff0bae0da
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Sep 5 17:10:12 2005 +0000

    * {trunk,2.0}/doc/smokeping_upgrade.pod:
      + add a missing =back

commit b145432af48908a9b61587c5e1d03d5e12cc712e
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 5 06:09:05 2005 +0000

    prepare for the release of smokeping-20050905_trunk

commit 48faec3c1f481a0120aa5363c08c531279f23941
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Sep 5 06:07:45 2005 +0000

    merge with 2.0.1 changes

commit f5602215b928f8dd0cc8dee28b4f7bb87307254b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 4 16:46:18 2005 +0000

    Trunk: removed doc/.cvsignore

commit 52de638f8e7e13dd62a4e7906387be72969a4168
Merge: 0950447 0fb4bc7
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 4 16:23:12 2005 +0000

    Copied branches/2.0 to trunk/software

commit 0fb4bc74b24ea96e80d4e27428b8c2451fbf0eb5
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 4 11:40:42 2005 +0000

    * lib/Smokeping.pm,
      CHANGES:
      + don't create directories in "datadir" when running as a CGI

commit 3946df708ae20686c8453eb55be934103daf2f7e
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 4 11:34:08 2005 +0000

    * lib/Smokeping.pm,
      lib/Smokeping/probes/base.pm,
      doc/smokeping_upgrade.pod,
      TODO,
      CHANGES:
      + the DYNAMIC-related files (.adr and .snmp) can now be located outside "datadir"
        by specifying the new configuration variable "dyndir"

commit 733f5ee3d4aad0c1a21d796d5a36baa82389e199
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 4 09:20:48 2005 +0000

    * 2.0/lib/Smokeping.pm,
      2.0/TODO,
      2.0/CHANGES:
      + return '404 not found' when DYNAMIC updates fail

commit 08a913068ea426a7bd7c520ef140f3a2f50b8939
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Sep 4 07:40:37 2005 +0000

    * TODO:
      + CGI::Carp is already implemented

commit b24bc862beab1ac7bc8467d83321e56569e4138f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Sep 1 10:29:44 2005 +0000

    fixed spelling

commit 04e1ef4cd80ad08455452d56aa4b953ed3a53057
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Aug 30 12:38:35 2005 +0000

    * 2.0/lib/Smokeping.pm:
      + make the address of the remote client appear in the web server's error log

commit fcaa98c7edf28d8d16ff3f970460d2a0bcbd409d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon Aug 29 12:04:26 2005 +0000

    * 2.0/lib/Smokeping.pm:
      + use CGI::Carp and warn() for do_cgilog() to get timestamps there as well

commit b845e8f36b17287858130cac979914b3851189d3
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Aug 25 11:36:30 2005 +0000

    * 2.0/Makefile:
      + made the 'rename-man' target idempotent

commit 097c0c8590821246ac6630e7f2d72c0db62ea69d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Aug 23 19:13:31 2005 +0000

    * 2.0/TODO:
      + CGI: return something else than 200 OK in error situations
      + config: make .adr dir configurable

commit 69064fb816bd54a08ffd92760f125a5d83793250
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Aug 23 12:43:37 2005 +0000

    * 2.0/lib/Smokeping.pm,
      2.0/CHANGES:
      + make errors in DYNAMIC updates appear in the web server error log
    * 2.0/TODO:
      + replace the __WARN__ and __DIE__ handlers with CGI::Carp?

commit 2f01fa7db139ec0141bf5e7f8d8e2223069d3c68
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Aug 18 20:20:00 2005 +0000

    * branches/2.0/doc/smokeping_upgrade.pod:
      + document the tuning of RRD DS parameters

commit a23d80aaccf4392e8e703eea13440d3c19ca7c55
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Aug 18 18:44:26 2005 +0000

    * 2.0/lib/Config/Grammar.pm:
      + update to official version 1.02

commit cfe62bb62be56069c1507c18e2ab842fe2ef06a9
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Aug 18 18:38:44 2005 +0000

    * TODO:
      + configurable RRD parameters per target?

commit 237c2131e3f216eccd4b472e456d16f4dbe20456
Author: Niko Tyni <ntyni@iki.fi>
Date:   Fri Aug 5 20:43:55 2005 +0000

    * remove a quotemeta() call in Config::Grammar to allow metacharacters
      at the right side of '@define'
      -- niko, reported by Warrick FitzGerald <lists.smokeping.wfitzgerald *crtman.com>

commit caea6ae36aaacadab7029f172821899d237108f4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Jul 29 08:14:17 2005 +0000

    set LC_NUMERIC to C to help people that would otherwhise get , as decimal separator

commit 7c05e52c7486b782ea8fe83f61eda56f05fd2613
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Jul 27 11:45:20 2005 +0000

    * 2.0/lib/Smokeping/probes/CiscoRTTMonEchoICMP.pm,
      2.0/CHANGES:
        + bugfix for CiscoRTTMonEchoICMP packetsize variable
          -- niko, from Sam Stickland <sam_ml *spacething.org>

commit 3ca78feffa42b2863dcc23c2143d96bead1e107f
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon Jul 4 05:58:11 2005 +0000

    the old pngs in __navcache did not get removed properly ...

commit 6c3d9be08286f6bf6b21bfb7e4f8ee77900025df
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 3 22:22:05 2005 +0000

    backslash after LinuUp

commit f3a0711e88ccf8e43773dc41518b3dbbc2b87a32
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 3 22:17:00 2005 +0000

    tune datasources

commit 66c8d49cbe278316114a6eef8ccb509c9e67d0ba
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Jul 3 22:15:20 2005 +0000

    tune the rrd files for min/max/heartbeat

commit b5a21fd2221f92bf7db544bc265a76d41912a633
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Thu Jun 2 13:55:58 2005 +0000

    updated release tags so that they should protect against duplicate execution

commit 395461bfc00f6b3c98540c870fd24959d2c1466f
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Jun 2 10:58:17 2005 +0000

    * 2.0/Makefile:
      + new target 'increment-CHANGES-version intended for automatically
        updating CHANGES when releasing a new version.

commit 54b0cfd69a5ea9dd38b27bb1b6880b97bf9bc27d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Jun 1 11:29:44 2005 +0000

    * 2.0/doc/smokeping_upgrade.pod:
      + mention tSmoke inclusion
    * 2.0/bin/tSmoke.dist, 2.0/Makefile:
      + make tSmoke require the current Smokeping.pm version
      + add tSmoke to the 'patch' Makefile target to keep it up to date
    * 2.0/etc/config.dist:
      + add the 'tmail' variable
    * 2.0/CHANGES:
      + mention Dan as the original tSmoke author

commit 9791370bdbea2be98b9f715a4cea7bbfc5ec9880
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue May 31 20:14:23 2005 +0000

    prepare for the release of smokeping-2.0rc5

commit dbad531025c7f6ffe665c1514af416658fc6d3f4
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue May 31 19:50:03 2005 +0000

    * 2.0/CHANGES:
      + Officially include the tSmoke script from the contrib download directory.

commit a596fb2a0d96b7300048c27591cb3502c2b41950
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue May 31 19:27:33 2005 +0000

    * 2.0/bin/tSmoke.dist:
      + Remove the PROBE_CONF reference; this version of tSmoke is now for 2.x only.

commit 8a4ec2a4345c457fca47a1a7e2b4f40d2cf6fea5
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue May 31 19:18:17 2005 +0000

    Delete trailing DOS newlines from tSmoke files.

commit 02b65c3987f68a239c92376cbf24bc066a04d38d
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu May 26 19:24:08 2005 +0000

    * tSmoke stuff; no testing done yet
      + 2.0/lib/Smokeping.pm: include config file support
      + 2.0/tSmoke.v4.README: integrate into tSmoke script
      + 2.0/bin/tSmoke.dist:
        * renamed from tSmoke.pl to tSmoke
        * installation instructions updated
      + 2.0/etc/tmail.dist:
        * renamed from 2.0/etc/tmail
      + 2.0/Makefile:
        * doc file generation

commit 3d1b4178cd7c5d7d10aca5c48bad8995afc31a58
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu May 26 18:45:05 2005 +0000

    * Officially include tSmoke.pl from the Smokeping contrib directory
      + add pristine v4 files; they still need modification

commit 205fff014be2afad6cb4430a2fceabea8111c885
Author: Niko Tyni <ntyni@iki.fi>
Date:   Mon May 23 18:02:01 2005 +0000

    * Perl 5.8.0 compatibility fix ("missing max for DS uptime")

commit b83cf0d34b87d51fbdcf60d522b9c87ca4b4ccd2
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun May 22 11:15:46 2005 +0000

    * 2.0/TODO:
      + wishlist and other entries

commit bf7247e98dfc9891a5adaaf60cbe392b25cb66ae
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed May 18 11:19:09 2005 +0000

    * branches/2.0/lib/Smokeping/RRDtools.pm,
      branches/2.0/CHANGES:
      + RRDtool 1.2.x compatibility fix ("unknown RRD version: 0003" on restart)
        -- niko, reported by Sam Stickland <sam_ml *spacething.org>

commit 6b119de859a72910df1b1bf83ab4e978af019694
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue May 17 13:28:01 2005 +0000

    * CHANGES:
      + mention 2.0rcX releases

commit 83ab1432a8f085b2139cab8a61227b80e5b319b4
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 11 19:58:21 2005 +0000

    prepare for the release of smokeping-2.0rc4

commit ef0a8b6b72eff929a9f6a414e16db33ec3fac07d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed May 11 19:48:55 2005 +0000

    fix zooming

commit 2e6ce403d18425cf4f32dd5fc2cbb6e94eae39ae
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed May 11 10:32:46 2005 +0000

    * branches/2.0/CHANGES:
      + include Marc Spitzer's first name too :)

commit 292c6fc1ffce6460bd8fa97d31b912da3a90673b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue May 10 18:10:14 2005 +0000

    * branches/2.0/doc/smokeping_upgrade.pod;
      branches/2.0/CHANGES:
      + changelog updates

commit bd0e56f10d34b874a6d115391c4046199e5b330e
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue May 10 17:48:16 2005 +0000

    * branches/2.0/lib/Smokeping/probes/Curl.pm:
      + added the 'insecure_ssl' (-k) option from
        Marc Spitzer <mspitzer@gmail.com>

commit cc63560d93815cac731fefe82f24aee01aba7676
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue May 10 11:45:52 2005 +0000

    * 2.0/lib/Smokeping.pm:
      + make 'smokeping -static' work again
      + document '@include' and its friends in smokeping_config
        in addition to Config::Grammar

commit 4036ad2a9afa4417c670fc52eaf67da37b0f8e45
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Mon May 9 18:38:03 2005 +0000

    Double check the answer from the dns server and optionally enforce a
    NOERROR response code --  Christoph.Heine in HaDiKo.DE

commit e5123e033bdae8ceaf9ba847b929ec56d9dfa1e8
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 15 15:25:38 2005 +0000

    make navigator feature more robust for situations where invalid timeranges are provided.

commit 1f333688daf8f6dcf6f5a9c0be857dbcf0675dc3
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Apr 15 15:03:01 2005 +0000

    make unlink in navcache work

commit 21df925982b162f18479c9ab8312e3573dcd7f24
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 13 19:31:27 2005 +0000

    * added labeling fixes for rrdtool 1.2 compatibility
    * added navigator mode where it is possible to alter the timerange shown in a graph.
      This feature is sponsored by BeverlyCorp.
    * fix fix for matcher cache skipping

commit d9b0e622f870cc151ffe814abde6f62a47cdba58
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Apr 13 11:35:52 2005 +0000

    * updated version numbers in branche
    * propperly deal with branches in the target tree that have no probe propperty set.

commit c1676927af530e87f849df945deaa65182db5835
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Fri Mar 11 20:08:19 2005 +0000

    removed extra space

commit 021947ad8e963d89bdb00bd9de24dc962a3472bf
Author: Niko Tyni <ntyni@iki.fi>
Date:   Thu Mar 10 11:00:44 2005 +0000

    * 2.0/lib/Smokeping/probes/Curl.pm,
      2.0/doc/smokeping_upgrade.pod,
      2.0/CHANGES:
       + new variables: extraargs and extrare

commit 4d50cc7a6c80ea58ba492a875abcd250d44b1255
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Mar 9 17:33:33 2005 +0000

    * 2.0/lib/Config/Grammar.pm:
       + change the last few ParseConfig references to Config::Grammar

commit 1eda41862b7279427ab2da51b8dd12767118bfa4
Author: Niko Tyni <ntyni@iki.fi>
Date:   Wed Mar 9 17:17:06 2005 +0000

    * change all ISG::ParseConfig references to its new name, Config::Grammar

commit 8acdb5d58ba10ecc1dc1d57be7fdc151515c82e0
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 8 20:13:55 2005 +0000

    * branches/2.0/lib/ISG/ParseConfig.pm:
       + remove S<> tags from AUTHORS section as pod2html messes them up
       + explicitly set VERSION to 2.0

commit 6e6508791dd10e9e2b5869187973b551dabc6fc9
Author: Niko Tyni <ntyni@iki.fi>
Date:   Tue Mar 8 19:57:08 2005 +0000

    * branches/2.0/lib/Smokeping/RRDtools.pm:
       + add AUTHOR section to the POD documentation.

commit 6ffe2a9773e56a77bd1f3a07301154f0eeb10db3
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Mar 6 17:41:33 2005 +0000

    * trunk/website/bin/nestfix.pl:
       + renamed to branches/2.0/util/fix-pod2html.pl
    
    * branches/2.0/Makefile:
       + fix pod2html output with util/fix-pod2html.pl
    
    * branches/2.0/util/fix-pod2html.pl:
       + v1.4: insert the "N" letter into <a href="#xxx"> too.
    
    * trunk/website/bin/pod2wml.sh:
       + use fix-pod2html.pl from branches/2.0

commit 455ab143f72d62c07c9cef46ad3a726e2dcde065
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Mar 6 17:16:04 2005 +0000

    * lib/Smokeping/probes/base.pm:
       + probe documents had a 'SEE_ALSO' section;
         fixed to read "SEE ALSO".

commit a4c71fe71c8f40a3534490a010cde424063003ef
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Sun Feb 27 23:03:00 2005 +0000

    rc2

commit f65e5b94977a51279c81e781720334d46b5c4e78
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sun Feb 27 07:51:28 2005 +0000

    Update to David's newest version (only HISTORY changes).

commit df42119cf36c6a0cf4fe731722bdb8a986d6189b
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Feb 26 18:09:15 2005 +0000

    Changed my e-mail address to the @iki.fi one.

commit 30f15c0632513caff0c322c4cf1a8a1e10d9865c
Author: Niko Tyni <ntyni@iki.fi>
Date:   Sat Feb 26 18:00:27 2005 +0000

    SYNOPSYS is really spelled SYNOPSIS. Shame on me.

commit 90caa79fbf5c6be6d42e2768d7a5868ac851895d
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Wed Feb 23 06:36:45 2005 +0000

    exclude .svn directories

commit 3dbf456570a2fc2ab25e246a8f656ab709c79586
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 22 22:27:31 2005 +0000

    synced Makefile Changes

commit 77deee0905e61502052b0e873cef7b0bee03aaef
Author: Tobi Oetiker <tobi@oetiker.ch>
Date:   Tue Feb 22 21:50:28 2005 +0000

    branched for 2.0 pulling 2.0rc1 into tags right away

commit 09504475c41653b151b02605ea1ea7b53f86e222
Author: Niko Tyni <ntyni@iki.fi>
